2009-03-02  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.15.0.

2009-03-02  Guillem Jover  <guillem@debian.org>

	* scripts/t/900_update_alternatives.t: Do not use $srcdir for t.tmp,
	it's actually located in builddir.

2009-03-02  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl (load): Print an actual error on open
	instead of an empty string.

2009-03-02  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl: Do not use non-ASCII strings on C
	locale.
	(version): Likewise.

2009-03-02  Guillem Jover  <guillem@debian.org>

	* po/POTFILES.in: Remove reference to cleanup-info.pl.
	* scripts/.gitignore: Likewise.

2009-02-27  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl: Avoid logging too many
	useless messages about status change.

2009-02-27  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/SymbolFile.pm (save, dump): Add new
	parameter asking that #PACKAGE# be replaced on the fly.
	* scripts/dpkg-gensymbols.pl: Replace #PACKAGE# while outputting
	symbols files.
	* man/dpkg-gensymbols.1: Document the new feature.
	* scripts/t/200_Dpkg_Shlibs.t,
	scripts/t/200_Dpkg_Shlibs/symbols.fake-2: Add test-case for
	replacement of #PACKAGE# on the fly (together with test of dump).

2009-02-27  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl: Add one more sanity check
	verifying that <link> and <path> are different (cf #509667 for a
	sample).

2009-02-27  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl: Improve output messages
	by identifying their origin and by being more consistent.
	* scripts/t/900_update_alternatives.t: Adjust test suite
	for one error message that's now on standard error instead
	of standard output.

2009-02-27  Guillem Jover  <guillem@debian.org>

	* lib/tarfn.c (get_prefix_name): New function.
	(DecodeTarHeader): On tar_format_ustar and if Prefix is not empty
	call get_prefix_name instead of aborting.
	* man/deb.5: Document that ustar format is now properly supported.

2009-02-27  Guillem Jover  <guillem@debian.org>

	* lib/tarfn.h (enum tar_format): New type.
	(struct TarInfo): Add new format member.
	* lib/tarfn.c (TAR_MAGIC_USTAR, TAR_MAGIC_GNU): New macros.
	(struct TarHeader): Add new Prefix member.
	(DecodeTarHeader): Detect tar formats based on the magic values.
	Abort on tar_format_ustar and an non-empty Prefix.

2009-02-27  Guillem Jover  <guillem@debian.org>

	* lib/fields.c (f_boolean): Use PKGPFIELD to assign to the correct
	member instead of hardcoding to the essential member.

2009-02-27  Guillem Jover  <guillem@debian.org>

	* lib/fields.c (f_boolean): Return if value is an empty string.

2009-02-26  Chris Coulson  <chrisccoulson@googlemail.com>,
            Guillem Jover  <guillem@debian.org>

	* configure.ac (AC_CHECK_HEADERS): Add 'sys/syscall.h'.
	* man/start-stop-daemon.8: Document new option --iosched.
	* utils/start-stop-daemon.c [HAVE_SYS_SYSCALL_H]: Include
	<sys/syscall.h>.
	(HAVE_IOPRIO_SET) [SYS_ioprio_set, linux]: New macro.
	(IOPRIO_CLASS_NONE, IOPRIO_CLASS_RT): New anonymous enum.
	(IOPRIO_CLASS_BE, IOPRIO_CLASS_IDLE): Likewise.
	(IOPRIO_WHO_PROCESS, IOPRIO_WHO_PGRP, IOPRIO_WHO_USER): Likewise.
	(IOPRIO_CLASS_SHIFT, IOPRIO_PRIO_VALUE, IO_SCHED_PRIO_MIN)
	(IO_SCHED_PRIO_MAX): New macros.
	(io_sched): New variable.
	(do_help): Document --iosched.
	(ioprio_set) [HAVE_IOPRIO_SET]: New function.
	(parse_io_schedule, set_io_schedule): Likewise.
	(parse_options): Add 'iosched' to longopts. Add 'I:' to getopt_long
	call. Handle 'I' as getopt_long return value. Call parse_io_schedule
	if io_schedule_str is not NULL.
	(main): Print io_sched values if --test is used. Call set_io_schedule
	if io_sched is not NULL.

2009-02-26  Romain Francoise  <rfrancoise@debian.org>,
            Guillem Jover  <guillem@debian.org>

	* src/filesdb.c: Include 'progress.h'.
	(ensure_allinstfiles_available): Call progress_init instead of
	directly printing. Call progress_step if needing to print on each
	package iteration. And call progress_done if needing to print when
	finished.

2009-02-26  Romain Francoise  <rfrancoise@debian.org>,
            Guillem Jover  <guillem@debian.org>

	* lib/Makefile.am (libdpkg_a_SOURCES): Add 'progress.h' and
	'progress.c'.
	* lib/progress.h: New file.
	* lib/progress.c: Likewise.

2009-02-22  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl: Add new option --log to
	log to another file than /var/log/dpkg.log.
	* man/update-alternatives.8: Document the new option.
	* scripts/t/900_update_alternatives.t: Call update-alternatives
	with --log /dev/null since the test suite can be run with fakeroot
	and it would try to write to /var/log/dpkg.log because fakeroot
	makes it believe that it is writable.

2009-02-22  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl: update-alternatives should not
	replace real files by symlinks. When --install is called, the
	alternative link should either not exist or already be a link. It
	that's not the case, it will simply skip installing that link and
	display a warning. However if --force is given, it will (try to)
	replace the file.
	* man/update-alternatives.8: Document this behaviour.
	* scripts/t/900_update_alternatives.t: Add corresponding tests in
	the test suite.

2009-02-22  Raphaël Hertzog  <hertzog@debian.org>

	* man/update-alternatives.8: Document how --all can be used to
	repair all alternatives on the system in a single command.
	* scripts/update-alternatives.pl: Ensure the above explanation
	is true by ensuring that --config does something sensible when
	no alternative is currently selected and when the user input is
	empty: it will auto-select the best alternative.

2009-02-22  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl: Implement --set-selections.
	It's the the counterpart of --get-selections, it reads
	configuration on standard input and reconfigures alternatives
	accordingly.
	* man/update-alternatives.8: Document this option.
	* scripts/t/900_update_alternatives.t: Add corresponding tests in
	the test suite.

2009-02-22  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl: Implement --get-selections.
	The new option lists all master alternatives and their status in a
	format simple to parse.
	* man/update-alternatives.8: Document this option.

2009-02-22  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl: Installation of a slave
	alternative link is only done if the corresponding slave file is
	available.
	* man/update-alternatives.8: Document this behaviour.
	* scripts/t/900_update_alternatives.t: Add corresponding tests in
	the test suite.

2009-02-22  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl: Add more sanity check for
	--install: ensure alternative path and links are absolute, ensure
	master alternative path exists, forbid / and spaces in alternative
	names.
	* scripts/t/900_update_alternatives.t: Add corresponding tests in
	the test suite.

2009-02-22  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl: Checks that --install does not
	reuse alternatives or links in a way that is not compatible with
	the current setup.
	* scripts/t/900_update_alternatives.t: Add corresponding tests in
	the test suite.

2009-02-22  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl: Add logging to
	/var/log/dpkg.log.

2009-02-22  Raphaël Hertzog  <hertzog@debian.org>

	* man/update-alternatives.8: The vocabulary used was misleading
	and not really uniform. Try to standardize and make it match with
	the vocabulary used in the source code too.
	Includes minor fixes to make it match the behaviour of the current
	implementation.

2009-02-22  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl: Rewrite it entirely in a more
	object-oriented way. The only behaviour changes concern --config:
	the output is nicer and sorted, it accets a path as well as the
	index of the choice.
	* scripts/t/900_update_alternatives.t: Test suite adjusted to the
	--config change.

2009-02-22  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-gencontrol.pl, scripts/dpkg-gensymbols.pl: Reset
	umask to 0022 to ensure that files created in the DEBIAN directory
	have sane permissions.

2009-02-13  Guillem Jover  <guillem@debian.org>

	* src/query.c: Remove bogus comment about '--yet-to-unpack'.

2009-02-11  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Makefile.am: Drop cleanup-info.pl script.
	* man/Makefile.am, man/po/po4a.cfg: Drop cleanup-info(8) manual page.
	* README.feature-removal-schedule: Update information accordingly.

2009-02-11  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Makefile.am: Move update-alternatives, dpkg-divert and
	dpkg-statoverride to /usr/bin as they can be useful to users since
	they have --display or --list options that do not require
	administrative rights.
	* Makefile.am (EXTRA_DIST): Add debian/dpkg.links.

2009-02-11  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-buildpackage.pl: Add new option --target/-T to
	allow a specific debian/rules target to be run. The new --as-root
	option forces the target to be run with root rights.
	Add support for the two common syntaxes for long
	options	("--admindir=…" and "--admindir …").
	* man/dpkg-buildpackage.1: Update documentation accordingly.

2009-02-11  Raphaël Hertzog  <hertzog@debian.org>

	* man/dpkg-buildpackage.1: Fix name of binary target in default
	case.

2009-02-10  Guillem Jover  <guillem@debian.org>

	* src/enquiry.c (assert_version_support): Rename verrev_buf argument
	to version.

2009-02-10  Guillem Jover  <guillem@debian.org>

	* src/enquiry.c (assert_version_support): Add new feature_name
	argument, and use it when printing the output messages. Fix all
	callers.

2009-02-10  Guillem Jover  <guillem@debian.org>

	* src/enquiry.c (assert_version_support): Remove reqversion argument.
	Do not initialize verrev_buf from reqversion, when the epoch is ~0UL.
	(assertpredep): Pass a fully constructed versionrevision to
	assert_version_support, rename versionrevision variable to version
	and remove static keyword.
	(assertepoch): Likewise.
	(assertlongfilenames): Likewise.
	(assertmulticonrep): Likewise.

2009-02-10  Guillem Jover  <guillem@debian.org>

	* src/enquiry.c (assertversion): Rename to ...
	(assert_version_support): ... this.

2009-02-08  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h (ohshitvb): Remove function prototype.
	* lib/ehandle.c (ohshitvb): Remove function definition.

2009-02-06  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/t/900_update_alternatives.t: New test-suite for
	update-alternatives.
	* scripts/Makefile.am: Add the previous file.

2009-02-06  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl: Deal with empty
	files in the administrative directory by ignoring them.

2009-02-06  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl: Ensure that a non-existant
	alternative result in automatic mode configuration.

2009-02-06  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl: Change set_links() to
	also reset the main alternative link. Add a parameter to
	make it quiet.
	When --install reinstalls the current and manually selected entry,
	let it recreate the symlinks in case something has gone wrong.

2009-02-06  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl: Remove the alternative when
	the last choice is removed, even if we are in manual mode.
	* man/update-alternatives.8: Update the documentation
	accordingly to not be as strong about not touching links in manual
	mode.

2009-02-06  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl (set_links): Remove slavelinks
	if needed as well. We create slave links automatically, we should
	remove them in the same way. Otherwise --config or --set will let
	dangling symlinks on the system.

2009-02-06  Guillem Jover  <guillem@debian.org>

	* man/deb.5: Add detailed information of the currently supported
	format.

2009-02-06  Guillem Jover  <guillem@debian.org>

	* ostable: Add gnu-kopensolaris.
	* triplettable: Add gnu-kopensolaris to kopensolaris mapping.

2009-02-06  Guillem Jover  <guillem@debian.org>

	* ostable: Reindent to make room for longer os names.

2009-02-05  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl (rename_mv): Integrate logic to
	not fail if ENOENT is the reason why the rename failed.

2009-02-05  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/update-alternatives.pl: Ensure that a broken link
	in automatic mode doesn't lead to the alternative being set
	on manual mode. Also displays by default (and not only
	when --verbose is given) the message that indicates that
	an alternative is switched to manual mode.

2009-02-05  Raphaël Hertzog  <hertzog@debian.org>
            Osamu Aoki  <osamu@debian.org>

	* scripts/update-alternatives.pl: Allow --config to continue when
	the currently selected alternative doesn't match the only existing
	one. Useful to be able to recover from a broken configuration.
	Also offer the choice in --config mode to go back the automatic
	mode. Add a new --skip-auto option to combine with --all and
	easily review manual and broken alternatives.
	* man/update-alternatives.8: Update the documentation accordingly.

2009-02-04  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Vendor/Ubuntu.pm: Ubuntu vendor object implementing
	lookup of launchpad bugs in changelogs and a safety-check for
	Maintainer fields of forked packages (launched during source
	build).
	* scripts/Makefile.am (EXTRA_DIST): Add
	'scripts/Dpkg/Vendor/Ubuntu.pm'.
	* scripts/po/POTFILES.in: Add 'scripts/Dpkg/Vendor/Ubuntu.pm'.

2009-02-04  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Vendor/Default.pm: Generic vendor object that will
	be used to hook vendor-specific behaviour in multiple places.
	* scripts/Dpkg/Vendor/Debian.pm: Debian variant of that object.
	* scripts/Dpkg/Vendor.pm (get_vendor_object, run_vendor_hook):
	New functions to retrieve the current vendor object and run
	vendor-specific code.
	* scripts/dpkg-source.pl, scripts/dpkg-genchanges.pl: Add first
	vendor hooks to be used by Ubuntu.
	* scripts/Makefile.am (EXTRA_DIST): Add
	'scripts/Dpkg/Vendor/Default.pm' and
	'scripts/Dpkg/Vendor/Debian.pm'.

2009-01-29  Guillem Jover  <guillem@debian.org>

	* lib/Makefile.am (libdpkg_a_SOURCES): Add 'dpkg-test.h'.
	* libcompat/Makefile.am (libcompat_a_SOURCES): Add 'compat.h'.
	* man/Makefile.am (EXTRA_DIST): Add 'po/ChangeLog'.

2009-01-27  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/t/900_Dpkg_Version.t: Renamed into...
	* scripts/t/100_Dpkg_Version.t: and merged test cases previously
	provided by this file so that there's no loss of tests. Also
	adjusted test cases to match the change below.
	* scripts/Dpkg/Version.pm (compare_versions): Handle "<" like "<="
	and ">" like ">=" in order to be consistent with dpkg
	--compare-versions. Emit warnings when they are used as they are
	deprecated.
	* scripts/Makefile.am: Drop scripts/t/900_Dpkg_Version.t from the
	set of extra files to distribute.
	* scripts/dpkg-genchanges.pl: Use "<<" instead of ambiguous "<" in
	version comparison.

2009-01-22  Guillem Jover  <guillem@debian.org>

	* lib/log.c (statusfd_send): Use varbufsubstc to replace new lines
	with spaces.

2009-01-22  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-db.h (varbufsubstc): New function prototype.
	* lib/varbuf.c (varbufsubstc): New function definition.
	* lib/test/t-varbuf.c (test_varbuf_substc): New function.
	(test): Call test_varbuf_substc.

2009-01-22  Guillem Jover  <guillem@debian.org>

	* configure.ac (AC_CONFIG_FILES): Add 'lib/test/Makefile'.
	* lib/Makefile.am (SUBDIRS): New variable.
	* lib/dpkg-test.h: New file.
	* lib/test/Makefile.am: Likewise.
	* lib/test/t-macros.c: Likewise.
	* lib/test/t-path.c: Likewise.
	* lib/test/t-pkginfo.c: Likewise.
	* lib/test/t-string.c: Likewise.
	* lib/test/t-test.c: Likewise.
	* lib/test/t-varbuf.c: Likewise.
	* lib/test/t-version.c: Likewise.

2009-01-20  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-db.h (varbufaddbuf): Rename argument l to size.
	* lib/nfmalloc.c (nfstrnsave): Likewise.
	* lib/varbuf.c (varbufaddbuf): Likewise.

2009-01-20  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-db.h (varbufdupc): Use size_t instead of ssize_t.
	(varbufaddbuf): Use size_t instead of const int.
	(nfstrnsave): Use size_t instead of int.

2009-01-14  Guillem Jover  <guillem@debian.org>

	* man/start-stop-daemon.8: Document new option --procsched.
	* utils/start-stop-daemon.c [_POSIX_PRIORITY_SCHEDULING]: Include
	<sched.h>.
	[!_POSIX_PRIORITY_SCHEDULING]: Define SCHED_OTHER, SCHED_FIFO and
	SCHED_RR with dummy values.
	(struct res_schedule): New type.
	(proc_sched): New variable.
	(do_help): Document --procsched.
	(parse_proc_schedule, set_proc_schedule): New functions.
	(parse_options): Add 'procsched' to longopts. Add 'P:' to getopt_long
	call. Handle 'P' as getopt_long return value. Call parse_proc_schedule
	if proc_schedule_str is not NULL.
	(main): Print proc_sched values if --test is used. Call
	set_proc_schedule if proc_sched is not NULL.

2009-01-14  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (xstrdup): New function.
	(parse_options): Use xstrdup instead of strdup.

2009-01-10  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (main): If changeuser is a uid, call
	getpwuid to get the passwd entry and do the same setup as if it is
	a username.

2009-01-07  Guillem Jover  <guillem@debian.org>

	* man/dpkg-deb.1: Document that -x will modify the extraction
	directory permissions.

2009-01-05  Guillem Jover  <guillem@debian.org>

	* src/main.c (setobsolete): Use warning instead of fprintf call.
	(setforce): Likewise.

2009-01-05  Guillem Jover  <guillem@debian.org>

	* man/start-stop-daemon.8: Clarify that the signal sent by default
	is TERM not KILL.

2009-01-04  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (signal_nr): Initialize with SIGTERM
	instead of literal 15.
	* man/start-stop-daemon.8: Refer to signal as TERM instead of
	literal 15.

2009-01-04  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h (LOCALLIBDIR): Move macro to ...
	* dselect/Makefile.am (INCLUDES): ... here, as a -D argument.

	* lib/dpkg.h (DSELECT): Move macro to ...
	* dselect/dselect.h: ... here.

	* lib/dpkg.h (SPLITVERSION, SPLITPARTDEFMAX): Move macros to ...
	* dpkg-split/dpkg-split.h: ... here.

	* lib/dpkg.h (ARCHIVEVERSION, BUILDCONTROLDIR, EXTRACTCONTROLDIR)
	(BUILDOLDPKGFORMAT, OLDARCHIVEVERSION, OLDDEBDIR, OLDOLDDEBDIR)
	(MAXFIELDNAME, INTERPRETER_MAX): Move macros to ...
	* dpkg-deb/dpkg-deb.h: ... here.

2009-01-04  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h (printforhelp): Move declaration to ...
	* lib/myopt.h: ... here.

2009-01-04  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-db.h (trig_note_pend_core, trig_note_pend): Make trig
	argument const.
	* lib/triglib.c (trig_record_activation): Likewise.
	(trig_file_activate): Remove now unneeded cast in
	trig_record_activation call.

2009-01-04  Guillem Jover  <guillem@debian.org>

	* lib/myopt.h (MAX_CONFIG_LINE): New macro.
	* lib/myopt.c (myfileopt): Use MAX_CONFIG_LINE instead of
	MAXDIVERTFILENAME.

2009-01-04  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h (SHELL, SHELLENVIR): Remove unused macros.
	* src/main.h (check_libver): Remove unused prototype.

2009-01-04  Guillem Jover  <guillem@debian.org>

	* dselect/main.cc (findintable, dme, refreshmenu): Make static.
	* dselect/method.cc (sthfailed): Likewise.
	* dselect/pkgtop.cc (pkgprioritystring): Likewise.

2008-12-30  Guillem Jover  <guillem@debian.org>

	* lib/ehandle.c (badusage): Move function to ...
	* lib/myopt.c: ... here. Include <stdarg.h>.
	* lib/dpkg.h (badusage): Move declaration to ...
	* lib/myopt.h: ... here.
	* dpkg-split/split.c: Include <myopt.h>.

2008-12-30  Colin Watson  <cjwatson@ubuntu.com>

	* src/help.c (preexecscript): Call chdir after chroot.

2008-12-23  Guillem Jover  <guillem@debian.org>

	* lib/log.c (statusfd_send): Pass to write the remaining data, not
	the same initial buffer.

2008-12-08  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Changelog.pm, scripts/dpkg-buildpackage.pl,
	scripts/dpkg-genchanges.pl, scripts/dpkg-gencontrol.pl,
	scripts/dpkg-source.pl: Also import the default exported functions
	of Dpkg::ErrorHandling and not only the unusual ones.

2008-12-08  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/build.c (do_build): Mark strings for translation.
	* dpkg-deb/extract.c (extracthalf): Likewise.
	* dpkg-split/info.c (read_info): Likewise.
	* dpkg-split/join.c (reassemble): Likewise.
	* dpkg-split/queue.c (do_queue): Likewise.
	* dselect/pkglist.cc (packagelist::packagelist): Likewise.
	(packagelist::display): Likewise.
	* lib/log.c (statusfd_send): Likewise.
	* scripts/Dpkg/Source/Package/V1.pm (do_build): Likewise.
	* src/filesdb.c (ensure_packagefiles_available): Likewise.
	(ensure_statoverrides): Likewise.

2008-12-08  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/extract.c (extracthalf): Improve internerr strings, and add
	the invalid value provoking the call.
	* dpkg-split/queue.c (discardsome): Likewise.
	* lib/dbmodify.c (modstatdb_init): Likewise.
	* lib/dump.c (varbufdependency): Likewise.
	* lib/parsehelp.c (varbufversion): Likewise.
	* lib/vercmp.c (versionsatisfied3): Likewise.
	* scripts/Dpkg/Source/Archive.pm (_add_entry): Likewise.
	* src/archives.c (tarobject, archivefiles): Likewise.
	* src/configure.c (deferred_configure, promptconfaction): Likewise.
	* src/depcon.c (describedepcon, depisok): Likewise.
	* src/enquiry.c (yettobeunpacked): Likewise.
	* src/packages.c (packages, process_queue, dependencies_ok): Likewise.
	* src/query.c (enqperpackage): Likewise.
	* src/update.c (updateavailable): Likewise.

2008-12-08  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/Deps.pm (implies): Do not mark internerr strings for
	translation.
	* scripts/Dpkg/Fields.pm (output): Likewise.
	* scripts/Dpkg/Source/Package.pm (add_file): Likewise.

2008-12-08  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/Deps.pm (parse): Do not use sprintf for warning.
	(implies): Do not use sprintf for internerr.

2008-12-08  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/build.c (do_build): Use internerr instead of ohshit. Do not
	mark the string for translation.
	* src/trigcmd.c (do_check): Use internerr instead of abort.
	* lib/dump.c (w_status): Likewise.
	* lib/triglib.c (trig_incorporate): Likewise. Remove <stdlib.h>
	include.
	* scripts/Dpkg/IPC.pm (_sanity_check_opts): Use internerr instead of
	error.
	(fork_and_exec): Likewise. Do not mark the string for translation.
	(wait_child): Likewise.
	* scripts/Dpkg/Source/Archive.pm: Use internerr instead of error from
	Dpkg::ErrorHandling.
	(_add_entry, add_file, add_directory): Likewise.
	* scripts/Dpkg/Source/CompressedFile.pm: Likewise.
	(get_filename): Likewise.
	* scripts/Dpkg/Source/Compressor.pm: Likewise.
	(_sanity_check): Likewise.
	* scripts/Dpkg/Source/Package.p (do_extract, do_build): Likewise.
	* scripts/Dpkg/Source/Patch.pm (add_diff_file): Use error instead of
	internerr.

2008-12-08  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h (do_internerr): Reorder arguments. Support format
	strings.
	(internerr): Likewise.
	* lib/ehandle.c (do_internerr): Likewise.

2008-12-08  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/ErrorHandling.pm (@EXPORT): Remove 'failure'.
	(failure): Remove function.
	(syserr): Rename 'failure' string to 'error'.
	(subprocerr): Use error instead of failure.
	* scripts/Dpkg/Checksums.pm (extractchecksum): Likewise.
	* scripts/Dpkg/Source/Functions.pm (erasedir): Likewise.
	* scripts/changelog/debian.pl: Likewise.
	* scripts/dpkg-gencontrol.pl: Likewise.
	* scripts/dpkg-shlibdeps.pl: Likewise.
	* scripts/dpkg-buildpackage.pl: Use syserr instead of failure.

2008-12-08  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/ErrorHandling.pm (@EXPORT_OK): Move info, warning,
	warnerror, error, errormsg, failure, syserr, internerr, subprocerr,
	usageerr and syntaxerr to ...
	(@EXPORT): ... here. Fix all users.

2008-12-08  Modestas Vainius  <modestas@vainius.eu>
	    Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/Objdump.pm (parse): Split into add_object()
	and parse().
	* scripts/Dpkg/Shlibs/SymbolFile.pm (merge_object_from_symfile):
	New function to reintegrate symbols from previous symfiles.
	* scripts/dpkg-shlibdeps.pl: Optimizes it by caching parsed
	symbols files and objdump objects. This way neither of the
	libraries or symbols files are parsed more than once.

2008-12-05  Guillem Jover  <guillem@debian.org>

	* lib/mlib.c: Remove <sys/wait.h> include.
	(checksubprocerr, waitsubproc): Move to ...
	* lib/subproc.c (checksubprocerr, waitsubproc): ... here.
	Include <sys/types.h> and <sys/wait.h>.

2008-12-05  Guillem Jover  <guillem@debian.org>

	* lib/mlib.c (checksubprocerr): Split unrelated conditionals for n
	and PROCPIPE.

2008-12-05  Guillem Jover  <guillem@debian.org>

	* lib/mlib.c (checksubprocerr): Return an explicit 0 instead of n.

2008-12-05  Guillem Jover  <guillem@debian.org>

	* lib/ehandle.c (warning): Print the current program name and a
	'warning' string.
	* lib/mlib.c (checksubprocerr): Use warning() instead of a print
	function.
	* src/archives.c (try_deconfigure_can): Likewise.
	(check_breaks): Likewise.
	(check_conflict): Likewise.
	(wanttoinstall): Likewise.
	* src/configure.c (deferred_configure): Likewise.
	(conffderef): Likewise.
	(md5hash): Likewise.
	* src/errors.c (forcibleerr): Likewise.
	* src/filesdb.c (ensure_packagefiles_available): Likewise.
	* src/help.c (maintainer_script_alternative): Likewise.
	* src/processarc.c (process_archive): Likewise.
	* src/remove.c (deferred_remove): Likewise.
	(removal_bulk_remove_leftover_dirs): Likewise.
	* dpkg-deb/build.c (do_build): Likewise.

2008-12-05  Guillem Jover  <guillem@debian.org>

	* lib/ehandle.c (warning): Do not implicitly print the errno string.
	* lib/myopt.c (myfileopt): Print the errno string in the warning.

2008-12-05  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h (warningf): Rename to ...
	(warning): ... this. Fix all callers.

2008-11-19  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Functions.pm (fixperms): Fix chmod call to
	also work when POSIXLY_CORRECT is set.

2008-11-11  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-architecture.pl: Use new style functions calls.
	* scripts/dpkg-distaddfile.pl: Likewise.
	* scripts/dpkg-divert.pl: Likewise.
	* scripts/dpkg-genchanges.pl: Likewise.
	* scripts/dpkg-gencontrol.pl: Likewise.
	* scripts/dpkg-gensymbols.pl: Likewise.
	* scripts/dpkg-scanpackages.pl: Likewise.
	* scripts/dpkg-statoverride.pl: Likewise.
	* scripts/update-alternatives.pl: Likewise.

2008-11-08  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/Objdump.pm (_parse): Support RUNPATH exactly
	like RPATH but taking precedence over it.

2008-10-22  Guillem Jover  <guillem@debian.org>

	* lib/ehandle.c (error_unwind): Remove unused cleanupentry code.

2008-10-15  Guillem Jover  <guillem@debian.org>

	* lib/dbmodify.c (modstatdb_shutdown): Use importanttmpfile on unlink
	instead of constructing the file name again.

2008-10-15  Guillem Jover  <guillem@debian.org>

	* src/Makefile.am (dpkg_query_SOURCES): Remove 'errors.c'.
	* src/main.h (nerrs): Remove declaration.
	* src/errors.c (nerrs): Change from extern to static.
	* src/query.c (failures): New variable.
	(errabort): Remove variable.
	(listpackages): Use failures instead of nerrs.
	(searchfiles): Likewise.
	(showpackages): Likewise.
	(enqperpackage): Likewise. Do not define nor initialize failures.
	(main): Use failures variable instead of reportbroken_retexitstatus.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* libcompat/scandir.c (scandir): Handle case when filter and cmp
	function arguments are NULL.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* libcompat/compat.h (scandir): Rename arguments from select to
	filter and compar to cmp.
	* libcompat/scandir.c (scandir): Likewise.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* libcompat/compat.h (alphasort): Change argument types to match
	modern system ones (the current ones were missing one indirection
	anyway).
	* libcompat/alphasort.c (alphasort): Likewise. Properly dereference
	arguments.
	* libcompat/scandir.c (scandir_comparfn): Remove static function
	variable.
	(scandir_compar): Remove function.
	(scandir): Pass compar function directly to qsort.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* libcompat/strerror.c (strerror): Change string for unknown value.
	* libcompat/strsignal.c (strsignal): Likewise.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* libcompat/strsignal.c (strsignal): Do not return a string for
	signal 0.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* libcompat/strsignal.c (sys_siglist): Insert a NULL entry at the
	beginning.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* libcompat/strsignal.c (sys_siglist): Remove array size from
	declaration. Remove unknown signal names.
	(strsignal): Use sizeof to compute the array size instead of NSIG.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* libcompat/vsnprintf.c (vsnprintf): Use SEEK_SET instead of a 0
	literal on fseek.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* libcompat/vsnprintf.c (vsnprintf): Change size and nr types from
	unsigled long to size_t. Always return the amount that would be
	written regardless of any truncation. Do not read one byte less from
	the temporary file.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* libcompat/vsnprintf.c (vsnprintf): Use the return value from
	vfprintf as the formatted string size instead of using fstat to get
	the file size.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* libcompat/vsnprintf.c (vsnprintf): Check for negative return error
	values instead of just EOF.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* libcompat/snprintf.c (snprintf): Use vsnprintf instead of vsprintf.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* libcompat/vsnprintf.c (vsnprintf): Use '\0' instead of NULL to
	terminate the string.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* libcompat/compat.h (unsetenv): Change return type from void to int.
	* libcompat/unsetenv.c (unsetenv): Likewise. Return -1 on error, or
	pass through the status code from putenv.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* dselect/methkeys.cc: Remove unused headers <stdio.h>, <string.h>,
	<assert.h> and <dpkg.h>.
	* dselect/pkgkeys.cc: Likewise.
	* dselect/basetop.cc: Likewise. Remove unused header <ctype.h>.
	* dselect/curkeys.cc: Remove unused header <dpkg.h>.
	* dselect/helpmsgs.h: Likewise.
	* dselect/pkgcmds.cc: Likewise.
	* dselect/pkgdisplay.cc: Likewise.
	* dselect/pkginfo.cc: Likewise.
	* lib/compression.c: Likewise.
	* lib/dpkg-db.h: Remove unused header <string.h>. Include
	<sys/types.h>.
	* lib/md5.c: Remove unused header <netinet/in.h>.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* src/main.c (commandfd): Remove left over debug printf.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h (IMPORTANTFMT): Remove out of sync comment.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h (standard_startup): Do not take prog, loadcfg and
	cmdinfos as arguments, and do not call loadcfgfile. Fix all callers.
	* src/main.c: Call loadcfgfile directly.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h: Do not include <myopt.h>.
	(standard_startup): Do not take argc and argv as arguments, and do
	not call myopt. Fix all callers.
	* lib/myopt-util.c: Include <myopt.h>.
	* dpkg-deb/build.c: Likewise.
	* dpkg-split/info.c: Likewise.
	* dpkg-split/join.c: Likewise.
	* dpkg-split/queue.c: Likewise.
	* src/select.c: Likewise.
	* dpkg-deb/main.c (main): Call myopt directly.
	* dpkg-split/main.c: Likewise.
	* src/main.c: Likewise.
	* src/query.c: Likewise.
	* src/trigcmd.c: Likewise.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h (standard_shutdown): Remove unused freemem argument,
	and do not call nffreeall. Fix all callers.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-db.h: Move <stdlib.h> inclusion to ...
	* dselect/pkglist.cc: ... here.
	* lib/database.c: Likewise.
	* lib/dump.c: Likewise.
	* lib/parse.c: Likewise.
	* lib/parsehelp.c: Likewise.
	* lib/triglib.c: Likewise.
	* src/filesdb.c: Likewise.
	* src/help.c: Likewise.
	* src/select.c: Likewise.
	* src/trigproc.c: Likewise.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* configure.ac (AC_CHECK_FUNCS): Move 'vsnprintf', 'snprintf',
	'strerror', 'strsignal', 'scandir', 'alphasort' and 'unsetenv' to ...
	(DPKG_CHECK_COMPAT_FUNCS): ... here.
	* lib/Makefile.am (libdpkg_a_SOURCES): Remove 'compat.c'.
	* lib/dpkg.h (strerror, strsignal, scandir, alphasort, unsetenv)
	(offsetof, strtoul, va_copy, WCOREDUMP): Move declarations to ...
	* libcompat/compat.h: ... here.
	* libcompat/Makefile.am (libcompat_a_SOURCES): Add 'strerror.c',
	'strsignal.c', 'snprintf.c', 'vsnprintf.c', 'alphasort.c',
	'scandir.c' and 'unsetenv.c'.
	* po/POTFILES.in: Remove 'lib/compat.c'.
	* lib/compat.c: Split into ...
	* libcompat/alphasort.c: ... here. New file.
	* libcompat/scandir.c: Likewise.
	* libcompat/snprintf.c: Likewise.
	* libcompat/strerror.c: Likewise.
	* libcompat/strsignal.c: Likewise.
	* libcompat/unsetenv.c: Likewise.
	* libcompat/vsnprintf.c: Likewise.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* lib/compat.c: Do not include <dpkg.h> anymore.
	(vsnprintf): Return negative on error instead of ohshite.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* libcompat/compat.h: New file.
	* dpkg-deb/build.c: Include <compat.h>.
	* dpkg-deb/extract.c: Likewise.
	* dpkg-deb/info.c: Likewise.
	* dpkg-deb/main.c: Likewise.
	* dpkg-split/info.c: Likewise.
	* dpkg-split/join.c: Likewise.
	* dpkg-split/main.c: Likewise.
	* dpkg-split/queue.c: Likewise.
	* dpkg-split/split.c: Likewise.
	* dselect/basecmds.cc: Likewise.
	* dselect/baselist.cc: Likewise.
	* dselect/basetop.cc: Likewise.
	* dselect/bindings.cc: Likewise.
	* dselect/curkeys.cc: Likewise.
	* dselect/helpmsgs.cc: Likewise.
	* dselect/main.cc: Likewise.
	* dselect/methkeys.cc: Likewise.
	* dselect/methlist.cc: Likewise.
	* dselect/method.cc: Likewise.
	* dselect/methparse.cc: Likewise.
	* dselect/pkgcmds.cc: Likewise.
	* dselect/pkgdepcon.cc: Likewise.
	* dselect/pkgdisplay.cc: Likewise.
	* dselect/pkginfo.cc: Likewise.
	* dselect/pkgkeys.cc: Likewise.
	* dselect/pkglist.cc: Likewise.
	* dselect/pkgsublist.cc: Likewise.
	* dselect/pkgtop.cc: Likewise.
	* lib/cleanup.c: Likewise.
	* lib/compression.c: Likewise.
	* lib/database.c: Likewise.
	* lib/dbmodify.c: Likewise.
	* lib/dump.c: Likewise.
	* lib/ehandle.c: Likewise.
	* lib/lock.c: Likewise.
	* lib/log.c: Likewise.
	* lib/md5.c: Likewise.
	* lib/mlib.c: Likewise.
	* lib/myopt-util.c: Likewise.
	* lib/myopt.c: Likewise.
	* lib/nfmalloc.c: Likewise.
	* lib/parse.c: Likewise.
	* lib/parsehelp.c: Likewise.
	* lib/path.c: Likewise.
	* lib/showpkg.c: Likewise.
	* lib/string.c: Likewise.
	* lib/subproc.c: Likewise.
	* lib/triglib.c: Likewise.
	* lib/utils.c: Likewise.
	* lib/varbuf.c: Likewise.
	* lib/vercmp.c: Likewise.
	* src/archives.c: Likewise.
	* src/cleanup.c: Likewise.
	* src/configure.c: Likewise.
	* src/depcon.c: Likewise.
	* src/enquiry.c: Likewise.
	* src/errors.c: Likewise.
	* src/filesdb.c: Likewise.
	* src/help.c: Likewise.
	* src/main.c: Likewise.
	* src/packages.c: Likewise.
	* src/pkg-list.c: Likewise.
	* src/pkg-show.c: Likewise.
	* src/processarc.c: Likewise.
	* src/query.c: Likewise.
	* src/remove.c: Likewise.
	* src/select.c: Likewise.
	* src/trigcmd.c: Likewise.
	* src/trigproc.c: Likewise.
	* src/update.c: Likewise.
	* lib/fields.c: Likewise. Do not include "strnlen.h", now implicitly
	included by <compat.h>.
	* lib/tarfn.c: Likewise.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h: Move <locale.h> inclusion and standard_startup locale
	setup to ...
	* dpkg-deb/main.c (main): ... here.
	* dpkg-split/main.c (main): Likewise.
	* dselect/main.cc (main): Likewise.
	* src/main.c (main): Likewise.
	* src/query.c (main): Likewise.
	* src/trigcmd.c (main): Likewise.

2008-09-14  Guillem Jover  <guillem@debian.org>

	* lib/Makefile.am (libdpkg_a_SOURCES): Add 'dpkg-i18n.h'.
	* lib/dpkg.h: Move <gettext.h> inclusion and ...
	(_, N_): ... macros to ...
	* lib/dpkg-i18n.h: ... here. New file.
	* dpkg-deb/build.c: Include <dpkg-i18n.h>.
	* dpkg-deb/extract.c: Likewise.
	* dpkg-deb/info.c: Likewise.
	* dpkg-deb/main.c: Likewise.
	* dpkg-split/info.c: Likewise.
	* dpkg-split/join.c: Likewise.
	* dpkg-split/main.c: Likewise.
	* dpkg-split/queue.c: Likewise.
	* dpkg-split/split.c: Likewise.
	* dselect/basecmds.cc: Likewise.
	* dselect/baselist.cc: Likewise.
	* dselect/bindings.cc: Likewise.
	* dselect/helpmsgs.cc: Likewise.
	* dselect/main.cc: Likewise.
	* dselect/methlist.cc: Likewise.
	* dselect/method.cc: Likewise.
	* dselect/methparse.cc: Likewise.
	* dselect/pkgdisplay.cc: Likewise.
	* dselect/pkginfo.cc: Likewise.
	* dselect/pkglist.cc: Likewise.
	* dselect/pkgsublist.cc: Likewise.
	* dselect/pkgtop.cc: Likewise.
	* lib/compression.c: Likewise.
	* lib/database.c: Likewise.
	* lib/dbmodify.c: Likewise.
	* lib/dump.c: Likewise.
	* lib/ehandle.c: Likewise.
	* lib/fields.c: Likewise.
	* lib/lock.c: Likewise.
	* lib/log.c: Likewise.
	* lib/mlib.c: Likewise.
	* lib/myopt-util.c: Likewise.
	* lib/myopt.c: Likewise.
	* lib/nfmalloc.c: Likewise.
	* lib/parse.c: Likewise.
	* lib/parsehelp.c: Likewise.
	* lib/showpkg.c: Likewise.
	* lib/subproc.c: Likewise.
	* lib/trigdeferred.l: Likewise.
	* lib/triglib.c: Likewise.
	* lib/utils.c: Likewise.
	* src/archives.c: Likewise.
	* src/cleanup.c: Likewise.
	* src/configure.c: Likewise.
	* src/depcon.c: Likewise.
	* src/enquiry.c: Likewise.
	* src/errors.c: Likewise.
	* src/filesdb.c: Likewise.
	* src/help.c: Likewise.
	* src/main.c: Likewise.
	* src/packages.c: Likewise.
	* src/pkg-show.c: Likewise.
	* src/processarc.c: Likewise.
	* src/query.c: Likewise.
	* src/remove.c: Likewise.
	* src/select.c: Likewise.
	* src/trigcmd.c: Likewise.
	* src/trigproc.c: Likewise.
	* src/update.c: Likewise

2008-09-14  Guillem Jover  <guillem@debian.org>

	* dselect/baselist.cc (baselist::startdisplay): Unmark debug message
	for translation.
	* dselect/methlist.cc (methodlist::display): Likewise.
	* dselect/pkgdepcon.cc (packagelist::resolvedepcon): Likewise.
	* dselect/pkglist.cc (packagelist::addheading): Likewise.
	* dselect/pkgsublist.cc (packagelist::add): Likewise.

2009-02-03  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.25.

2009-02-02  Guillem Jover  <guillem@debian.org>

	* src/archives.c (tarobject): Do not call ensure_pathname_nonexisting
	for .dpkg-tmp and .dpkg-new if we are going to return due to already
	existing directory or a file to be skept.

2008-02-02  Raphaël Hertzog  <hertzog@debian.org>

	* dpkg-deb/build.c: Ensure that data.tar and control.tar
	archives created inside a .deb use the GNU format that is compatible
	with dpkg itself. And remove TAR_OPTIONS from environment to
	avoid unexpected user customizations of the resulting archives.

2008-12-29  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.25~.

2008-12-29  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.24.

2008-12-20  Guillem Jover  <guillem@debian.org>

	* src/archives.c (tarobject): Move a 'continue' inside a conditional
	checking if the conffile to take over was obsolete on the other
	package by adding missing bracese.

2008-12-01  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Archive.pm (extract): Do not create the temp
	directory in the current directory but in the parent directory of
	the target directory. Otherwise the code would fail when called
	from a non-writable dir and rename could fail due to filesystem
	boundaries beetwen the current dir and the target one.

2008-12-01  Modestas Vainius  <modestas@vainius.eu>

	* scripts/dpkg-shlibdeps.pl: Don't merge all dependency templates
	into the generated dependency when Build-Depends-Package is
	used in the symbols file. Instead simply modify the minimal
	version on any pre-existing dependency.

2008-11-19  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/Objdump.pm (parse_dynamic_symbol): Fix the
	regular expression to not require two space between alignment and
	symbol name.
	* scripts/t/200_Dpkg_Shlibs.t,
	scripts/t/200_Dpkg_Shlibs/objdump.ls: Add a non-regression test
	corresponding to the above case.

2008-11-18  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.24~.

2008-11-18  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.23.

2008-11-14  Guillem Jover  <guillem@debian.org>

	* lib/ehandle.c (run_error_handler): In case of onerr_abort print an
	error message and exit, otherwise longjmp.

2008-11-14  Guillem Jover  <guillem@debian.org>

	* src/main.h (abort_processing): New variable declaration.
	* src/errors.c (abort_processing): New variable definition.
	* src/archives.c (print_error_perpackage): Use abort_processing
	instead of onerr_abort for non fatal errors.
	(reportbroken_retexitstatus): Likewise. Do not check onerr_abort
	for the exit value as it should not have reached this function.
	* src/packages.c (process_queue): Likewise. Return on entering if
	it should abort processing.

2008-11-14  Guillem Jover  <guillem@debian.org>

	* lib/ehandle.c (run_error_handler): New function.
	(push_error_handler): Use run_error_handler instead of directly
	calling longjmp.
	(ohshit): Likewise.
	(ohshitvb): Likewise.
	(ohshitv): Likewise.
	(ohshite): Likewise.

2008-11-07  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Version.pm: Synchronize code with version used by
	debbugs (add some bugfixes).
	* scripts/t/900_Dpkg_Version.t: Add non-regression tests for
	version comparison code.
	* scripts/Makefile.am: Add new file in the dist tarball.

2008-10-20  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/SymbolFile.pm (load): Let the recursively
	nested calls to load() modify the name of the current object so
	that the header can be set in an included file (like it's already
	documented).

2008-09-26  Thiemo Seufer  <ths@debian.org>

	* scripts/Dpkg/Shlibs/SymbolFile.pm: add "__gnu_local_gp" symbol
	  to the blacklist (mips/mipsel specific symbol that appeared with
	  GCC 4.3).

2008-09-05  Raphaël Hertzog  <hertzog@debian.org>

	* configure.ac: Bump version to 1.14.23~.

2008-09-05  Raphaël Hertzog  <hertzog@debian.org>

	* configure.ac: Release 1.14.22.

2008-08-29  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-gensymbols.pl: It was already skipping symlinks
	within the package build tree. Now it also skips real
	directories accessed through a symlink contained in the package
	build tree. Package like libc6-386 had symlinks usr/lib32
	pointing to some directories outside of the build tree and
	the LD_LIBRARY_PATH set by fakeroot led contained
	/usr/lib32/libfakeroot which made dpkg-gensymbols scan this
	directory and add libfakeroot to the libc6-386 symbols file!

2008-08-29  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package/V3/quilt.pm: run_quilt() can be run
	when no quilt series file exist yet. In that case we have to
	provide the name of the series file that we want to create (as the
	quilt command might create it). Up to now
	File::Spec->rel2abs(undef) returned the name of the current
	directory and we improperly used that as value of QUILT_SERIES.
	* scripts/Dpkg/Source/Package/V2.pm (do_build): Change permissions
	of the automatically generated patch which is initially created
	0600 with tempfile().

2008-08-26  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.22~.

2008-08-26  Guillem Jover  <guillem@debian.org>

	* lib/gettext.h: Move to ..
	* libcompat/gettext.h: ... here.
	* lib/Makefile.am (libdpkg_a_SOURCES): Remove 'gettext.h'.
	* libcompat/Makefile.am (libcompat_a_SOURCES): Add 'gettext.h'

2008-08-24  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-priv.h [HAVE_STDDEF_H]: Conditionalize <stddef.h> inclusion.

2008-08-24  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-def.h (DPKG_BEGIN_DECLS, DPKG_END_DECLS): New macros.
	* lib/dpkg.h: Surround declarations with DPKG_BEGIN_DECLS and
	DPKG_END_DECLS.
	* lib/myopt.h: Likewise.
	* lib/dpkg-db.h: Likewise. Include <dpkg-def.h>.
	* lib/dpkg-priv.h: Include <dpkg-def.h>. Replace extern "C" context
	with DPKG_BEGIN_DECLS and DPKG_END_DECLS.
	* dselect/basecmds.cc: Remove surrounding extern "C" context from
	header files.
	* dselect/baselist.cc: Likewise.
	* dselect/basetop.cc: Likewise.
	* dselect/bindings.cc: Likewise.
	* dselect/curkeys.cc: Likewise.
	* dselect/helpmsgs.h: Likewise.
	* dselect/main.cc: Likewise.
	* dselect/methkeys.cc: Likewise.
	* dselect/methlist.cc: Likewise.
	* dselect/method.cc: Likewise.
	* dselect/methparse.cc: Likewise.
	* dselect/pkgcmds.cc: Likewise.
	* dselect/pkgdepcon.cc: Likewise.
	* dselect/pkgdisplay.cc: Likewise.
	* dselect/pkginfo.cc: Likewise.
	* dselect/pkgkeys.cc: Likewise.
	* dselect/pkglist.cc: Likewise.
	* dselect/pkgsublist.cc: Likewise.
	* dselect/pkgtop.cc: Likewise.

2008-08-24  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-def.h: Do not include <config.h>.
	* dselect/helpmsgs.h: Likewise.
	* dselect/helpmsgs.cc: Include <config.h>.
	* lib/cleanup.c: Likewise.
	* lib/md5.c: Include <config.h> instead of "config.h".
	* lib/mlib.c: Likewise.
	* utils/start-stop-daemon.c: Likewise.

2008-08-22  Raphaël Hertzog  <hertzog@debian.org>

	* man/dpkg-source.1: Clarify two points concerning the behaviour
	of the new 3.0 (quilt) source format.

2008-08-18  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h (ARCHBINFMT): Remove unused macro.

2008-08-18  Guillem Jover  <guillem@debian.org>

	* src/query.c: Remove left-over description from header comment.
	* src/remove.c: Remove partial change log from header comment.

2008-08-18  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h (CMETHOPTFILE, METHLOCKFILE, METHODSDIR)
	(IMETHODMAXLEN, IOPTIONMAXLEN, METHODOPTIONSFILE)
	(METHODSETUPSCRIPT, METHODUPDATESCRIPT, METHODINSTALLSCRIPT)
	(OPTIONSDESCPFX, OPTIONINDEXMAXLEN): Move macros ...
	* dselect/method.h: ... here.
	* dselect/methparse.cc: Include "method.h".

2008-08-18  Guillem Jover  <guillem@debian.org>

	* man/dpkg-trigger.1: Mark program names in bold.

2008-08-18  Guillem Jover  <guillem@debian.org>

	* man/cleanup-info.8: Use a troff special character for the copyright
	symbol.
	* man/deb-substvars.5: Likewise.
	* man/deb-version.5: Likewise.
	* man/dpkg-buildpackage.1: Likewise.
	* man/dpkg-checkbuilddeps.1: Likewise.
	* man/dpkg-deb.1: Likewise.
	* man/dpkg-distaddfile.1: Likewise.
	* man/dpkg-divert.8: Likewise.
	* man/dpkg-genchanges.1: Likewise.
	* man/dpkg-gencontrol.1: Likewise.
	* man/dpkg-gensymbols.1: Likewise.
	* man/dpkg-name.1: Likewise.
	* man/dpkg-parsechangelog.1: Likewise.
	* man/dpkg-query.1: Likewise.
	* man/dpkg-shlibdeps.1: Likewise.
	* man/dpkg-source.1: Likewise.
	* man/dpkg-split.1: Likewise.
	* man/dpkg-statoverride.8: Likewise.
	* man/install-info.8: Likewise.
	* man/update-alternatives.8: Likewise.

2008-08-15  Guillem Jover  <guillem@debian.org>

	* man/dpkg-deb.1 (BUGS): Improve comment about missing authentication
	and checksum support in .deb files.

2008-08-05  Guillem Jover  <guillem@debian.org>

	* lib/ehandle.c: Include <dpkg-priv.h>.
	(push_cleanup): Use sizeof_array instead of ad-hoc calculation.

2008-08-05  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-scanpackages.pl: Use usageerr instead of embedded code.

2008-08-05  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-distaddfile.pl: Use _g() instead of wrong and typoed
	gettetx().

2008-08-03  Guillem Jover  <guillem@debian.org>

	* src/processarc.c (process_archive): Use blankpackageperfile instead
	of manually blanking the members.
	* src/remove.c (removal_bulk): Likewise.

2008-08-03  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (pid_is_running) [!OSHURD]: Reimplement
	using kill instead of less-portable /proc.

2008-08-03  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (check) [HAVE_KVM_H]: Call pid_is_exec.

2008-08-03  Guillem Jover  <guillem@debian.org>

	* src/pkg-show.c (limiteddescription): Assign directly to l_r instead
	of a temporary variable.

2008-08-03  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c: Move the different implementations
	of the same function for different operating systems together.

2008-08-03  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (MIN_POLL_INTERVAL): Use proper UTF-8 mu
	symbol for the unit in the comment.

2008-07-26  Guillem Jover  <guillem@debian.org>

	* src/Makefile.am (dpkg_SOURCES): Add 'pkg-show.c'.
	(dpkg_query_SOURCES): Likewise.
	* src/main.h (limiteddescription): New function prototype.
	* src/enquiry.c (limiteddescription): Move function to ...
	* src/pkg-show.c: ... here. New file.
	* src/query.c (limiteddescription): Remove duplicate function.

2008-07-26  Guillem Jover  <guillem@debian.org>

	* lib/showpkg.c (parseformat): Do not set cur->type to field, as
	that's set in parsefield.

2008-07-22  Guillem Jover  <guillem@debian.org>

	* src/Makefile.am (dpkg_SOURCES): Add 'pkg-list.c'.
	(dpkg_query_SOURCES): Likewise.
	* src/enquiry.c (pkglistqsortcmp): Move function to ...
	* src/pkg-list.c: ... here. New file.
	* src/query.c (pkglistqsortcmp): Remove duplicate function.

2008-07-22  Guillem Jover  <guillem@debian.org>

	* src/main.h (struct pkg_deconf_list): Move declaration ...
	* src/archives.h: ... here.

2008-07-22  Guillem Jover  <guillem@debian.org>

	* src/main.h (struct packageinlist): Rename to ...
	(struct pkg_deconf_list): ... this. Fix all users.

2008-07-22  Guillem Jover  <guillem@debian.org>

	* src/main.h (struct packageinlist): Change 'void *xinfo' member to
	'struct pkginfo *pkg_removal'. Fix all users.

2008-07-22  Guillem Jover  <guillem@debian.org>

	* src/main.h (ignoredependss): Change type to 'struct pkginqueue'.
	* src/main.c (ignoredependss): Likewise.
	(ignoredepends): Change type for variable 'ni' to 'struct pkginqueue'.
	* src/help.c (ignore_depends): Likewise.

2008-07-22  Guillem Jover  <guillem@debian.org>

	* src/query.c (ignoredependss): Remove unused variable.

2008-07-10  Raphaël Hertzog  <hertzog@debian.org>

	* man/dpkg-buildpackage.1: Give a detailed explanation of what the
	command does. Drop any duplicate information contained in the
	dpkg-genchanges/dpkg-source manual pages.
	* man/dpkg-genchanges.1: Document the -A option (was missing).

2008-07-10  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-priv.h (min, max): New macros.
	* lib/tarfn.c: Include <dpkg-priv.h>.
	* src/configure.c: Likewise.
	* src/enquiry.c: Likewise.

	* src/configure.c (conffderef): Use max instead of hardcoded test.
	* lib/tarfn.c (TarExtractor): Use min instead of hardcoded test.
	* lib/fields.c (conffvalue_lastword): Likewise.
	* src/enquiry.c (limiteddescription): Likewise.
	* src/main.c (setforce): Likewise.
	* src/query.c (limiteddescription): Likewise.

2008-07-10  Guillem Jover  <guillem@debian.org>,
            Timothy G Abbott  <tabbott@mega-man.mit.edu>

	* src/configure.c (deferred_configure): Call namenodetouse to handle
	diverted conffiles. Use trig_file_activate on usenode, instead of
	trig_file_activate_byname, to activate the correct file trigger for
	the diverted conffile.

2008-07-06  Guillem Jover  <guillem@debian.org>

	* src/main.h: Remove comment about side effect in namenodetouse.
	* src/help.c (namenodetouse): Move call to trig_file_activate to ...
	* src/archives.c (tarobject): ... here.
	* src/processarc.c (process_archive): Likewise.
	* src/remove.c (removal_bulk_remove_files): Likewise.
	(removal_bulk_remove_leftover_dirs): Likewise.

2008-07-06  Michel Lespinasse  <walken@zoy.org>

	* dselect/baselist.cc (baselist::startdisplay): Create the
	pad with the list of the size of the display and not of the
	size of the list content itself.
	* dselect/basetop.cc (baselist::refreshlist): The part to
	display is always at the top of the pad.
	(baselist::redrawitemsrange): Simplified to redraw the real
	range only.
	* dselect/pkglist.cc (packagelist::sortmakeheads): No need to reallocate
	the pad when the list changes.
	* dselect/pkgtop.cc (packagelist::redraw1itemsel): The line
	of the item in the infopad doesn't correspond to its index in
	the list any more. Adjust accordingly.

2008-07-05  Guillem Jover  <guillem@debian.org>

	* src/archives.c (filesavespackage): Do not mark debug message for
	translation.

2008-07-04  Raphaël Hertzog  <hertzog@debian.org>
            Bruce Sass <bmsass@shaw.ca>

	* dselect/pkginfo.cc (packagelist::itd_description), dselect/pkgtop.cc
	(packagelist::redraw1itemsel): Use description of installed
	package as a fallback if the package is not more listed in the
	available list.

2008-07-02  Guillem Jover  <guillem@debian.org>

	* lib/fields.c (convert_string): Remove unneeded variable assignments.
	Get rid this way of an int variable.

2008-07-02  Guillem Jover  <guillem@debian.org>

	* lib/fields.c (convert_string): Change nvip to be const and use a
	proper assignment instead of a sneaky cast through memcpy. Remove
	unneeded length caching as all current namevalue arrays have it
	precomputed.

2008-07-02  Guillem Jover  <guillem@debian.org>

	* lib/fields.c (convert_string): Use a capped string length instead
	of using last namevalue length member when printing the disallowed
	value.

2008-07-02  Guillem Jover  <guillem@debian.org>

	* src/query.c (limiteddescription): Use NULL instead of 0.
	(list1package, searchfiles, enqperpackage, main): Likewise.
	(cipaction, ignoredependss, cmdinfos): Likewise.
	(ACTION, OBSOLETE): Likewise.
	* src/select.c (setselections): Likewise.
	* src/trigcmd.c (cmdinfos): Likewise.

2008-07-02  Guillem Jover  <guillem@debian.org>

	* src/remove.c (removal_bulk_remove_configfiles): Remove wrong comment
	not matching the code.

2008-07-02  Guillem Jover  <guillem@debian.org>

	* src/archives.c (tarfile_skip_one_forward): Make static.

2008-07-02  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-priv.h: Include <stddef.h>.
	* lib/string.c: Include <config.h> and <dpkg-priv.h>.

2008-07-02  Guillem Jover  <guillem@debian.org>

	* dselect/Makefile.am (curkeys.h): Use '$(CPP)' instead of '$(CC) -E'.

2008-07-01  Guillem Jover  <guillem@debian.org>

	* src/depcon.c (findbreakcyclerecursive): Use the debug function
	instead of reimplementing its logic.
	* src/help.c (preexecscript): Likewise.

2008-07-01  Egmont Koblinger  <egmont@uhulinux.hu>

	* src/processarc.c (process_archive): Properly lstat the correct
	file on upgrade when using --root.

2008-07-01  Guillem Jover  <guillem@debian.org>

	* src/processarc.c (process_archive): Do not allocate a struct stat
	when lstat fails, instead assign a pointer to a static empty stat
	variable that will mark it as such.

2008-06-30  Guillem Jover  <guillem@debian.org>

	* lib/showpkg.c (parsefield): Remove unneeded 'const char *' cast.

2008-06-30  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-db.h (struct arbitraryfield): Make all 'char *' members
	'const'.
	(struct filedetails): Likewise.
	(struct pkginfoperfile): Likewise.
	(struct trigpend): Likewise.

	* lib/parse.c (parsedb): Remove now unneeded 'const char **' casts.
	* src/processarc.c (process_archive): Change size variable before
	assigning the pointer.

2008-06-30  Guillem Jover  <guillem@debian.org>

	* dselect/baselist.cc (baselist::wordwrapinfo): Surround expression
	with parenthesis.
	* dselect/pkgcmds.cc (packagelist::affectedmatches): Likewise.
	(packagelist::affectedrange): Switch a for with an empty body into a
	while.
	* dselect/basecmds.cc (baselist::displayhelp): Likewise.
	* dselect/bindings.cc (keybindings::bind, keybindings::find)
	(keybindings::operator(), keybindings::key2name)
	(keybindings::name2key): Likewise.
	* dselect/main.cc (urq_menu, main): Likewise.
	* dselect/methparse.cc (readmethods, getcurrentopt): Likewise.
	* dselect/pkgdepcon.cc (packagelist::resolvedepcon): Likewise.
	* dselect/pkgsublist.cc (packagelist::alreadydone): Likewise.

2008-06-30  Guillem Jover  <guillem@debian.org>

	* lib/trigdeferred.l: Define YY_NO_INPUT to make flex not include
	the unused input() in the resulting object.

2008-06-29  Guillem Jover  <guillem@debian.org>

	* lib/parsedump.h (parseerr, parsemustfield): Remove prototypes.
	(parse_error, parse_warn): New prototypes.
	(parse_must_have_field, parse_ensure_have_field): Likewise.
	* lib/parsehelp.c (parseerr): Split into ...
	(parse_error_msg, parse_error, parse_warn): ... these. New functions.
	Fix all callers.
	(parsemustfield): Split into ...
	(parse_must_have_field, parse_ensure_have_field): ... there. New
	functions. Fix all callers.
	* lib/fields.c (convert_string): Remove now unused warning related
	arguments. Fix all callers.
	(conffvalue_lastword): Likewise.

2008-06-29  Guillem Jover  <guillem@debian.org>

	* lib/Makefile.am (libdpkg_a_SOURCES): Add 'string.c'.
	* lib/dpkg-priv.h (str_escape_fmt): New prototype.
	* lib/parsehelp.c: Include <dpkg-priv.h>.
	(parseerr): Refactor string format escaping to ,,,
	* lib/string.c (str_escape_fmt): ... here. New file.

2008-06-28  Guillem Jover  <guillem@debian.org>

	* lib/parsedump.h (parseerr, parsemustfield): Remove unused 'file'
	argument. Fix all callers.
	* lib/parsehelp.c (parseerr): Remove checks on 'file'.

2008-06-28  Tollef Fog Heen  <tfheen@err.no>

	* src/archives.c (tarobject): Refactor tarfile object skipping to ...
	(tarfile_skip_one_forward): ... here. New function.

2008-06-28  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-db.h (skip_slash_dotslash): Move declaration ...
	* lib/dpkg-priv.h: ... here.
	* lib/parsehelp.c (skip_slash_dotslash): Move definition ...
	* lib/path.c: ... here.
	* lib/fields.c: Include <dpkg-priv.h>.
	* src/filesdb.c: Likewise.

2008-06-28  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h (onerr_abort): Move declaration to the ehandle.c section.
	* lib/mlib.c (onerr_abort): Move definition ...
	* lib/ehandle.c: ... here.

2008-06-28  Guillem Jover  <guillem@debian.org>

	* lib/mlib.c (checksubprocerr): Move the PROCNOERR check before
	the reporting, and exit directly instead in case of error.

2008-06-28  Guillem Jover  <guillem@debian.org>

	* lib/ehandle.c (badusage): Use ohshit instead of its own error
	handling.

2008-06-28  Guillem Jover  <guillem@debian.org>

	* src/query.c (printforhelp): Remove trailing newlines.

2008-06-27  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/build.c (do_build): Move string translation markers outside
	of the string.
	* src/help.c (ensure_pathname_nonexisting): Localize the 'failed'
	variable instead of expecting gettext to magically infer the formatted
	string.
	* src/processarc.c (process_archive): Likewise.

2008-06-27  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/install-info.pl: Improve error message when the
	info file doesn't exist.

2008-06-27  Raphaël Hertzog  <hertzog@debian.org>

	* man/dpkg-query.1: Document the origin of the various fields and
	warn that they are not always available.

2008-06-23  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-source.pl: New option --require-valid-signature.
	* scripts/Dpkg/Source/Package.pm (check_signature): Updated to use
	Dpkg::IPC and to implement the checks related to
	--require-valid-signature.
	* man/dpkg-source.1: Document the new option.

2008-06-23  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/IPC.pm (fork_and_exec): New nocheck option that is
	forwarded to wait_child().

2008-06-23  Timothy G Abbott  <tabbott@MIT.EDU>

	* scripts/dpkg-divert.pl: Add new option --listpackage to
	dpkg-divert.
	* man/dpkg-divert.1: Document new option.

2008-06-22  Raphaël Hertzog  <hertzog@debian.org>

	* man/dpkg.1, man/dpkg-query.1: Document the fact that the available
	file is mostly useful for dselect users and that the related commands
	are useless for APT users.

2008-06-22  Raphaël Hertzog  <hertzog@debian.org>

	* man/dpkg-buildpackage.1: Document -A option.

2008-06-22  Raphaël Hertzog  <hertzog@debian.org>

	* man/dpkg.1, man/dpkg-query.1: Clarify lisf of packages displayed
	in dpkg --get-selections and dpkg-query -l.

2008-06-21  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-shlibdeps.pl: If the binary analyzed is a library on a
	non-public path, assume it's likely a plugin and reduce the number of
	warnings displayed about symbols not found. Also use a different,
	hopefully less confusing message.
	* man/dpkg-shlibdeps.1: Document the above changes.

2008-06-21  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Vendor.pm: Provide simple parser for vendor-specific
	information stored in /etc/dpkg/origins/. The current vendor can
	be identified through get_current_vendor() and get_vendor_info()
	retrieves the information stores within those files.
	* scripts/dpkg-buildpackage.pl: Setup the DEB_VENDOR environment
	variable if possible.
	* man/dpkg-buildpackage.1: Document the above changes.
	* scripts/Dpkg/Source/Package/V3/quilt.pm (get_series_file): Use
	get_current_vendor() to decide the name of the vendor-specific
	series file that should be used.
	* scripts/Makefile.am, scripts/po/POTFILES.in: Include the new
	module in the dist tarball and in the list of files containing
	translatable strings.

2008-06-19  Guillem Jover  <guillem@debian.org>

	* lib/varbuf.c (varbufdupc): Store the old used size instead of the
	precomputed address, as varbufextend might change the buffer from
	under us.

2008-06-17  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-divert.pl: Do not silently force --rename on --remove.

2008-06-17  Juergen Kreileder  <jk@blackdown.de>,
            Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-divert.pl (rename_mv): New function.
	(dorename): Use rename_mv instead of rename.

2008-06-10  Guillem Jover  <guillem@debian.org>

	* lib/varbuf.c (varbufvprintf): Call va_end when done with the va_list
	variable from va_copy.

2008-06-10  Guillem Jover  <guillem@debian.org>

	* lib/varbuf.c (varbufprintf): Use varbufvprintf instead of
	reimplementing it.

2008-06-09  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/BuildOptions.pm (parse, set): Use space as the
	official separator in DEB_BUILD_OPTIONS. Check for validity of
	flags and print a warning if a bad option is detected. Rewrote
	the logic of set() to avoid adding options twice in non-overwrite
	mode.
	* scripts/t/300_Dpkg_BuildOptions.t: Adjust the test suite
	accordingly.

2008-06-09  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/Source/Package.pm ($diff_ignore_default_regexp): Add
	'.hgignore'.
	(@tar_ignore_default_pattern): Likewise.

2008-06-09  Guillem Jover  <guillem@debian.org>

	* src/query.c (searchfiles): Use VARBUF_INIT to initialize path
	instead of vb.

2008-06-04  Guillem Jover  <guillem@debian.org>

	* src/main.c (setpipe): Set file descriptors to close on exec.

2008-06-04  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/build.c (getfi): Use m_realloc instead of realloc.
	* dpkg-deb/info.c (info_spew): Likewise.
	* lib/fields.c (f_dependency): Likewise.
	* lib/parse.c (parsedb): Likewise.
	* lib/varbuf.c (varbufextend): Likewise.
	* src/main.c (commandfd): Likewise.

2008-06-04  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-db.h (varbufinit): Add a size argument, fix all callers.
	(varbuf::init): Add an optional size argument.
	(varbuf::varbuf): Likewise.
	* lib/varbuf.c (varbufinit): Allocate a buffer if size is not zero.
	* lib/dbmodify.c (modstatdb_init): Use varbufinit instead of its
	own initialization.

2008-06-04  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-db.h (VARBUF_INIT): New macro.
	* lib/compression.c (decompress_cat, compress_cat): Use VARBUF_INIT
	instead of varbufinit to initialize the variables.
	* lib/dump.c (writerecord, writedb): Likewise.
	* lib/mlib.c (buffer_copy_setup_dual): Likewise.
	* lib/showpkg.c (show1package): Likewise.
	* src/archives.c (check_breaks, check_conflict): Likewise.
	* src/configure.c (deferred_configure): Likewise.
	* src/depcon.c (describedepcon): Likewise.
	* src/main.c (commandfd): Likewise.
	* src/packages.c (breaks_check_one, dependencies_ok): Likewise.
	* src/query.c (searchfiles): Likewise.
	* src/remove.c (deferred_remove): Likewise.
	* src/select.c (setselections): Likewise.

2008-06-04  Guillem Jover  <guillem@debian.org>

	* src/archives.c (archivefiles): Use varbufreset instead of varbufinit
	to avoid possible leaks if this function is called more than once.

2008-06-04  Guillem Jover  <guillem@debian.org>

	* lib/log.c (log_message): Switch log from a pointer to struct varbuf
	to just struct varbuf.

2008-06-04  Guillem Jover  <guillem@debian.org>

	* src/main.c (setpipe): Fix the setting of more than one pipef.

2008-06-04  Guillem Jover  <guillem@debian.org>

	* src/select.c (setselections): Free varbuf variables.

2008-06-04  Guillem Jover  <guillem@debian.org>

	* lib/subproc.c (catch_signals): Remove array sentinel.

2008-06-01  Guillem Jover  <guillem@debian.org>

	* lib/varbuf.c (varbufdupc): Use memset instead of ad-hoc operation.

2008-06-01  Guillem Jover  <guillem@debian.org>

	* lib/subproc.c (setup_subproc_signals): Use size_t intead of int
	for the index, to fix a warning.
	(cu_subproc_signals): Likewise.

2008-06-01  Guillem Jover  <guillem@debian.org>

	* src/query.c (searchfiles): Use strpbrk instead of strcspn and
	strlen.

2008-06-01  Guillem Jover  <guillem@debian.org>

	* src/query.c: Include <dpkg-priv.h>.
	(searchfiles): Trim trailing '/' and '/.' from file searches only
	on path names, but not patterns.

2008-06-01  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-priv.h (rtrim_slash_slashdot): Return the string size.

2008-06-01  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Control.pm (parse, parse_fh, new): Add a new function
	parse_fh() to be able to parse the control file from an arbitrary
	file handle. Change parse() to use it and modify new() to parse
	STDIN instead of a real file if the parameter is "-".

2008-06-01  Daniel Hahler  <debian-bugs@thequod.de>

	* src/archives.c (tarobject): Improve error message stating that
	dpkg is unable to create a file so that it also refers to the real
	filename instead of the non-diverted name only.

2008-05-31  Raphaël Hertzog  <hertzog@debian.org>

	* man/dpkg.1: Use the term conffile for a configuration file handled
	by dpkg. Drop reference to hamm. Updated description of values
	supported by -D to include those which are trigger related.

2008-05-29  Colin Watson  <cjwatson@debian.org>

	* lib/dbmodify.c (modstatdb_note): Add a comment around obscure bits
	of trigger handling code.
	* src/trigproc.c (trigproc): Likewise.

2008-05-29  Colin Watson  <cjwatson@debian.org>

	* lib/triglib.c (trig_incorporate): Fix typo in comment.

2008-05-24  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/build.c (do_build): Move argument name into a parameter to
	coalesce similar strings for translation.
	* dpkg-split/info.c (do_info): Likewise.
	* dpkg-split/join.c (do_join): Likewise.
	* dpkg-split/queue.c (do_queue): Likewise.
	* src/enquiry.c (audit, unpackchk, assertversion, predeppackage)
	(printarch): Likewise.
	* src/select.c (setselections, clearselections): Likewise.

2008-05-24  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/main.c: Include <dpkg-priv.h>.
	(setaction): Use sizeof_array instead of ad-hoc calculation.
	* dpkg-split/main.c: Include <dpkg-priv.h>.
	(setaction): Use sizeof_array instead of ad-hoc calculation.

2008-05-24  Guillem Jover  <guillem@debian.org>

	* src/trigcmd.c (main): Remove duplicate program name from badusage.

2008-05-19  Martin Koeppe  <mkoeppe@gmx.de>,
            Guillem Jover  <guillem@debian.org>

	* dpkg-deb/Makefile.am (dpkg_deb_LDADD): Move 'libcompat.a' and
	'$(LIBINTL)' after 'libdpkg.a'.
	* dpkg-split/Makefile.am (dpkg_split_LDADD): Likewise.
	* dselect/Makefile.am (dselect_LDADD): Likewise.
	* /src/Makefile.am (dpkg_LDADD): Likewise.
	(dpkg_query_LDADD): Likewise.
	(dpkg_trigger_LDADD): Likewise.

2008-05-19  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/Source/Package.pm ($diff_ignore_default_regexp): Add
	'.be'.
	(@tar_ignore_default_pattern): Likewise.

2008-05-12  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-gencontrol.pl ($package_type): Rename to ...
	($pkg_type): ... this, for uniformity.

2008-05-12  Guillem Jover  <guillem@debian.org>

	* src/help.c (do_script): Expand 'maint' to 'maintainer' in string.
	(vmaintainer_script_installed): Mark string for translation. Change
	strings so that they get merged by gettext with similar ones.
	(maintainer_script_new): Likewise.

2008-05-12  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-priv.h (sizeof_array): New macro.
	* lib/parse.c: Include <dpkg-priv.h>.
	(NFIELDS): Remove macro.
	(nfields): Use sizeof_array instead of NFIELDS.
	(parsedb): Likewise.
	* lib/subproc.c (NCATCHSIGNALS): Remove macro.
	(uncatch_signals): Use sizeof_array instead of NCATCHSIGNALS.
	(setup_subproc_signals): Likewise.
	(cu_subproc_signals): Likewise.

2008-05-12  Guillem Jover  <guillem@debian.org>

	* dselect/method.cc: Include <dpkg-priv.h>. Use setup_subproc_signals
	and cu_subproc_signals instead of cu_restoresignals and duped code
	in falliblesubprocess.
	* lib/Makefile.am (libdpkg_a_SOURCES): Add 'subproc.c'.
	* ib/dpkg-priv.h (setup_subproc_signals): New prototype.
	(cu_subproc_signals): Likewise.
	* src/help.c: Include <dpkg-priv.h> and stop including <signal.h>.
	(cu_restorescriptsignals, script_catchsignals): Move to ...
	* lib/subproc.c (cu_subproc_signals, setup_subproc_signals): ... here.
	New file.

2008-05-12  Guillem Jover  <guillem@debian.org>

	* lib/Makefile.am (libdpkg_a_SOURCES): Add 'dpkg-priv.h' and 'path.c'.
	* lib/dpkg-priv.h: New file.
	* lib/path.c: Likewise.

2008-05-11  Raphaël Hertzog  <hertzog@debian.org>

	* man/dpkg-source.1: Properly escape hyphen in -i option.

2008-05-11  Pierre Habouzit  <madcoder@debian.org>

	* lib/showpkg.c (show1package): Use %zd instead of %d in sprintf()
	call with a size_t parameter.

2008-05-11  Pierre Habouzit  <madcoder@debian.org>

	* scripts/update-alternatives.pl: Add a --query option that works
	like --display but outputs a machine parseable rfc822-like output.
	* man/update-alternatives.8: Document that new option, and the
	associated format.

2008-05-05  Raphaël Hertzog  <hertzog@debian.org>

	* man/dpkg-source.1: Improve explanation of -i when used with
	VCS-based source packages.

2008-05-05  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-gensymbols.pl: Do not accept empty parameters for
	-v,  -P and -e.

2008-05-05  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-shlibdeps.pl: Include the format of the desired
	library in the "library not found" error message.

2008-05-02  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl: Do not suggest manually changing
	the alternative symlinks on verbose mode.

2008-04-29  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.15.0~.

2008-08-26  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.21.

2008-08-26  Guillem Jover  <guillem@debian.org>

	* man/dpkg.1: Escape hyphen in apt-get command.

2008-08-17  Guillem Jover  <guillem@debian.org>

	* man/dpkg.1: Change reference to dselect as being the preferred
	fron-end to aptitude. And 'apt-get dselect-upgrade' to be used to
	act on the current package selections. Add references to aptitude
	and apt man pages in 'SEE ALSO'.

2008-08-16  Guillem Jover  <guillem@debian.org>

	* src/main.c (setpipe): Set file descriptors to close on exec.

2008-08-15  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-buildpackage.pl (usage): Fix description of -si option.
	* man/dpkg-buildpackage.1: Match description of -si option with the
	one from dpkg-genchanges.1.

2008-08-15  Raphaël Hertzog  <hertzog@debian.org>

	* Dpkg/Source/Package.pm (new): Call init_options() only if
	initialize() has been called as it's supposed to be called
	only after the object has been upgraded to its target type.
	(init_options): add a comment that explains that this function is
	not called by Dpkg::Source::Package::V1::init_options() and
	render the function more robust.

2008-08-15  Ian Jackson  <ian@davenant.greenend.org.uk>

	* src/packages.c (process_queue): When onerr_abort is bigger than 0
	return instead of breaking out of the loop, to avoid wrongly
	asserting that !queue.length.

2008-08-15  Guillem Jover  <guillem@debian.org>

	* lib/dbmodify.c (modstatdb_note): Do not call modstatdb_note_core if
	cstatus does not allow writting. Move the core functionallity to ...
	(modstatdb_note_core): ... here. New function.
	* src/help.c (post_postinst_tasks_core): Do not call trig_incorporate
	if running under --no-act.
	* src/trigproc.c (trigproc): Do not call maintainer_script_postinst
	if running under --no-act.
	(trig_transitional_activate): Do not call trig_file_interests_save
	if cstatus does not allow writting.

2008-08-15  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-db.h (trig_enqueue_awaited_pend): New function prototype.
	(trig_fixup_awaiters): Likewise.
	* lib/dbmodify.c (modstatdb_init): Call trig_fixup_awaiters.
	* lib/fields.c (f_trigaw): Call trig_enqueue_awaited_pend.
	* lib/triglib.c (struct pkg_list): New type.
	(trig_awaited_pend_head): New variable.
	(trig_enqueue_awaited_pend): New function definition.
	(trig_fixup_awaiters): Likewise.

2008-06-24  Raphaël Hertzog  <hertzog@debian.org>

	* debian/archtable: Add armel.

2008-06-21  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-buildpackage.pl, scripts/dpkg-genchanges.pl: Treat
	debian.tar.gz files (used by 3.0 (quilt) source packages) like
	diff.gz files when it comes to detection of the kind of upload.

2008-06-21  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package/V3/quilt.pm: Define QUILT_SERIES
	when running quilt in order to be able to use quilt series with
	non-standard names (like debian.series or ubuntu.series).

2008-06-18  Raphaël Hertzog  <hertzog@debian.org>

	* configure.ac: Bump version to 1.14.21~.

2008-06-18  Raphaël Hertzog  <hertzog@debian.org>

	* configure.ac: Release 1.14.20.

2008-06-16  Guillem Jover  <guillem@debian.org>

	* lib/triglib.c (trig_file_interests_ensure): Pass the proper mask
	to push_cleanup to make sure pop_cleanup closes the file.

2008-06-15  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-divert.pl (checkrename): Do not check the target file
	if the source does not exist and dorename was thus disabled.

2008-06-09  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-divert.pl, scripts/update-alternatives.pl,
	scripts/install-info.pl, scripts/dpkg-statoverride.pl: Set
	PERL_DL_NONLAZY to 1 so that the usage of Locale::Gettext doesn't
	cause run-time failures when this perl binary module is not
	compiled for the corresponding perl version (and this happens in
	configuration scripts, in particular preinst, during upgrades).

2008-06-08  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Patch.pm (analyze): Be less strict in
	filenames accepted on ---/+++ lines. Don't blow up on absolute
	filenames if the other one is fine. Make sure to use the one that
	is relative and that corresponds to a real file when possible.

2008-06-08  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package/V3/quilt.pm: Use absolute path names
	when giving directories and filenames to quilt to avoid any
	problems due to quilt's feature of trying relative paths in parent
	directories too.

2008-06-07  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Patch.pm (analyze): Accept unexpected
	end-of-file in patches if we're missing no more than 2 lines
	of context. Output a warning instead.

2008-06-07  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package/V3/quilt.pm (register_autopatch):
	Register the newly created patch with quilt only if quilt has
	already been used to apply the existing patches (or if we don't
	have any patch yet), otherwise register it manually at the end of
	the series.

2008-06-05  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Patch.pm (add_diff_directory): If option
	use_dev_null is set, then the label of the "old" file will be
	'/dev/null' if we're creating a new file (instead of using the
	name of the created file, like it's currently done in .diff
	of version "1.0" source packages).
	* scripts/Dpkg/Source/Package/V2.pm (prepare_build): Use the new
	option "use_dev_null" when creating the automatic patch.

2008-06-05  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package/V3/quilt.pm (get_patches): Really
	skip all comments in the series files.

2008-06-04  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Patch.pm (analyze): Enhance function to
	parse correctly many more patches that are accepted by the patch
	utility itself:
	- ignore/strip carriage return of patches with Windows end of lines
	- accept empty lines as contextual lines (instead of the expected " ")
	- accept spaces as separator between filename and timestamp if
	  there's no tab
	- accept a name that differs on the +++ line if the name in --- is
	  correct, and use the name in +++ if this one exists while the one
	  on --- doesn't.

2008-05-28  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package.pm (extract): If we extract a
	source package that uses a non-standard (!= 1.0) source package
	then we create debian/source/format to remember it.
	* scripts/dpkg-source.pl: Use debian/source/format as a new source
	of format to try when building the package. Prioritize it lower than
	command line and debian/control but higher than the default build
	formats.
	* man/dpkg-source.1: Document the above changes.

2008-05-28  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package/V3/quilt.pm: Factorize calls to
	quilt in a new run_quilt() function. And check only once
	if quilt is available while setting the default value of
	without_quilt option. Last but not least, register properly the
	automatically generated patch with quilt import.

2008-05-28  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Patch.pm (check_apply): New function to
	verify if a patch will successfully apply on top of a given
	directory.
	* scripts/Dpkg/Source/Package/V3/quilt.pm (check_patches_applied):
	Don't trust debian/patches/.dpkg-source-applied blindly. Get a
	list of (supposedly unapplied) patches and verify if the first
	patch applies or not. If yes, then apply the patch series,
	otherwise do not (and assume that the patch series is already
	applied).

2008-05-26  Helge Kreutzmann  <debian@helgefjell.de>

	* man/dselect.1: Fixed a typo and regenerated all po(t) files,
	including updating the German one.

2008-05-23  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package/V2.pm (do_build): Display a
	message when local modifications are stored in a new
	automatic patch. This messages includes a list of
	modified files.

2008-05-23  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package/V3/quilt.pm: Remove the .diff
	from the name of the automatically generated patch. It will
	facilitate the switch to this format: packages using
	patch system that apply debian/patches/*.{patch,diff}
	will not be bothered by the presence of the quilt serie
	created by dpkg-source itself.
	* man/dpkg-source.1: Update the documentation accordingly.

2008-05-22  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package/V3/quilt.pm: Add missing "use
	File::Path" for mkpath().

2008-05-13  Guillem Jover  <guillem@debian.org>

	* src/main.c (setforce): Add help output for '--force-breaks'.

2008-05-13  Sven Joachim  <svenjoac@gmx.de>

	* man/dpkg.1: Document triggers --debug values.

2008-05-13  Guillem Jover  <guillem@debian.org>

	* man/deb-version.5: Change '©' to '(C)'.

2008-05-12  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.20~.

2008-05-12  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.19.

2008-05-12  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-gencontrol.pl: Get Package-Type field value also from
	custom field.

2008-05-11  Raphaël Hertzog  <hertzog@debian.org>

	* src/processarc.c (process_archive): While removing files that
	disappeared, move the call to namenodetouse before the test
	that skips directory shared with other packages. This is required
	because namenodetouse() handles trigger activation and we really
	want directories containing (only) removed files to activate the
	corresponding triggers.

2008-05-08  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package/V2.pm,
	scripts/Dpkg/Source/Package/V3/quilt.pm: Ensure the
	.dpkg-source-applied stamp file is created when an automatic patch
	is created so that a second build doesn't try to mistakenly
	reapply it.

2008-05-08  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Functions.pm (is_binary): New function
	to check if a file is binary by using diff against it.
	* scripts/Dpkg/Source/Package/V2.pm: Check that all files from the
	debian sub-directory are non-binary and only allow whitelisted
	binary files.
	* man/dpkg-source.1: Document this behaviour.

2008-05-08  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Changelog/Debian.pm (parse): Bugfix in creation of
	an unexpected new changelog entry that lacks an header line.

2008-05-04  Marco d'Itri  <md@linux.it>

	* scripts/Dpkg/Source/Patch.pm: Add missing import of internerr.

2008-04-26  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package.pm (upgrade_object_type): Instead
	of using the full Format: version to deduce the perl object name
	use only the major part of the version. The minor part is under
	control of the corresponding object, that way they can evolve
	and indicate that the source package has changed in a backwards
	compatible way. See
	http://lists.debian.org/debian-dpkg/2008/04/msg00045.html
	Also add a new parameter to disable update of the minor version in
	the Format field.
	(initialize): Don't let the Format field be updated by
	upgrade_object_type() as this function only loads information from
	the .dsc into the object.
	* scripts/Dpkg/Source/Package/**: Rename V1_0.pm into V1.pm,
	V2_0.pm into V2.pm and V3_0/ into V3/. Fix perl package names
	accordingly. Integrated a $CURRENT_MINOR_VERSION set to "0"
	in all packages.
	* scripts/Makefile.am, scripts/po/POTFILES.in: Update the lists
	according to above file renames.

2008-04-25  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package/V3_0/quilt.pm: Parse correctly
	series files with patch options and warn if something else than
	-p1 is used.
	* man/dpkg-source.1: Document how dpkg-source handles those patch
	options in series files.

2008-04-25  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package/V3_0/native.pm: Fix permissions of
	generated tarball to "666 & ~umask()".

2008-04-21  Helge Kreutzmann  <debian@helgefjell.de>

	* man/dpkg-shlibdeps.1: Fix a typo.
	* man/dpkg-source.1: Improve a sentence (with agreement from Raphäel).

2008-04-14  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Fields.pm (find_custom_field, get_custom_field):
	New function to handle custom fields (X[SBC]*-*).
	* scripts/dpkg-genchanges.pl: Use Package-Type control field to
	decide if a package is an udeb instead of relying on the file
	extension of a generated package since that doesn't work when
	generating source-only uploads for example.

2008-04-14  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Patch.pm (_fail_not_same_type): Fix
	inversion between new/old filetype.

2008-04-12  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Path.pm (check_files_are_the_same): Add a new
	parameter so that we can use stat() instead of lstat() and
	compare if pointed files are the same.
	* scripts/Dpkg/Source/Package.pm: Resolve symlinks before deciding
	if both original tarballs are the same or not. Use the new
	parameter of check_files_are_the_same() for this.
	* scripts/Dpkg/Source/Package/V1_0.pm: Remove useless import of
	check_files_are_the_same.

2008-04-12  Sven Joachim  <svenjoac@gmx.de>

	* scripts/Dpkg/Source/Package.pm: Add missing import of
	subprocerr.

2008-04-12  Russell Coker  <russell@coker.com.au>,
            Guillem Jover  <guillem@debian.org>

	* src/archives.c (tarobject): Set scontext to NULL after freecon.

2008-04-10  Sven Joachim  <svenjoac@gmx.de>

	* src/trigcmd.c: Fix typo.

2008-04-09  Sven Joachim  <svenjoac@gmx.de>

	* THANKS: Update my e-mail address.

2008-04-09  Helge Kreutzmann  <debian@helgefjell.de>

	* man/deb-triggers.5: Fix typos.
	* man/dpkg-trigger.1: Likewise.

2008-04-08  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.19~.

2008-04-08  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.18.

2008-04-08  Guillem Jover  <guillem@debian.org>

	* doc/triggers.txt: Fix wrong dpkg trigger related option names.

2008-04-08  Guillem Jover  <guillem@debian.org>

	* doc/triggers.txt: Move parts of the document into proper man pages.
	Add references to those.

2008-04-08  Guillem Jover  <guillem@debian.org>

	* man/dpkg.1: Document new trigger statuses, and new --triggers-only,
	--no-triggers and --triggers options.
	* man/deb-triggers.5: New file.
	* man/dpkg-trigger.1: Likewise.
	* man/Makefile.am (dist_man_MANS): Likewise.

2008-04-08  Guillem Jover  <guillem@debian.org>

	* man/dpkg.1: Sort package states.

2008-04-05  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package/V1_0.pm: Do not use
	diff -p to generate patches as dpkg-source of sarge doesn't accept
	data after the @@.

2008-04-04  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/SymbolFile.pm (get_smallest_version): New
	function to retrieve the smallest "minver" of all symbols of a
	given library.
	* scripts/dpkg-shlibdeps.pl: Do not initialize dependencies of
	libraries with symbols files as unversioned, instead use the
	smallest minimal version returned by the function above. This
	is required because the library might not have always been
	available in the package and the unversioned dependency thus
	doesn't ensure his presence.

	* scripts/t/800_Dpkg_IPC.t: Remove temporary files used by the
	tests.

2008-04-03  Peter Karlsson  <peterk@debian.org>

	* man/dpkg-source.1: Corrected English.

2008-04-02  Sven Joachim  <svenjoac@gmx.de>

	* lib/triglib.c (trk_unknown_interest_change): Fix typo.
	* dselect/helpmsgs.cc (hlp_displayexplain1): Ditto.

2008-04-02  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package.pm, scripts/dpkg-genchanges.pl:
	Explicitly put Checksums-* fields before the Files field so that
	the Files field is last. This is a work-around for some braindead
	dsc parsers (dupload and sbuild for instance, see #473518 and
	#470440).

2008-04-01  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package/V2_0.pm: Add the option
	--skip-patches to not apply patches at the end of the source
	package extraction. Also works for Format: 3.0 (quilt).
	* man/dpkg-source.1: Document the above change.

2008-04-01  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Source/Package/V2_0.pm (do_extract): Create
	debian/patches/.dpkg-source-applied containing the list of patches
	applied during extraction.
	(prepare_build): apply patches before trying to build a source package
	when it's clear that they have not been applied because
	debian/patches/.dpkg-source-applied doesn't exist.
	* scripts/Dpkg/Source/Package/V3_0/quilt.pm: Likewise. If a .pc
	directory is present, then use "quilt unapplied" to check if all
	patches have been applied.
	* man/dpkg-source.1: Document the above changes.

2008-04-01  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/IPC.pm (fork_and_exec): Handle redirection
	of STDERR with new options error_to_{file,pipe,string,handle}.

2008-04-01  Guillem Jover  <guillem@debian.org>

	* lib/trigdeferred.l (trigdef_update_start): Use TRIGGERSLOCKFILE
	instead of literal string.

2008-04-01  Guillem Jover  <guillem@debian.org>

	* src/enquiry.c (badstatinfos): Fix typos (processesing -> processing).

2008-03-30  Raphaël Hertzog  <hertzog@debian.org>

	* man/dpkg-source.1: Make it clear that Format: 2.0 is not really
	meant to be widely used by moving all the explanations in the
	section describing the format "3.0 (quilt)".

2008-03-30  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.18~.

2008-03-30  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.17.

2008-03-30  Guillem Jover  <guillem@debian.org>

	* dselect/main.cc: Use <ncursesw/term.h> instead of <term.h>.
	* dselect/dselect.h: Use <ncursesw/curses.h> instead of <curses.h>.
	* dselect/Makefile.am (curkeys.h): Likewise.

2008-03-30  Guillem Jover  <guillem@debian.org>

	* po/POTFILES.in: Add 'lib/cleanup.c', 'lib/log.c', 'lib/myopt-util.c'
	and remove 'lib/showcright.c'.
	* scripts/Makefile.am (EXTRA_DIST): Add
	't/600_Dpkg_Changelog/regressions'.

2008-03-30  Ian Jackson  <ian@davenant.greenend.org.uk>,
            Guillem Jover  <guillem@debian.org>

	* doc/triggers.txt: New file.
	* lib/dlist.h: Likewise.
	* lib/trigdeferred.l: Likewise.
	* lib/triglib.c: Likewise.
	* src/trigcmd.c: Likewise.
	* src/trigproc.c: Likewise.
	* configure.ac: Use AC_PROG_LEX.
	* Makefile.am (EXTRA_DIST): Add 'doc/triggers.txt'.
	* po/POTFILES.in: Add 'lib/trigdeferred.c', 'lib/triglib.c',
	'src/trigcmd.c' and 'src/trigproc.c'.
	* dselect/helpmsgs.cc (hlp_displayexplain1): Document the new trigger
	statuses.
	* dselect/pkgdepcon.cc (packagelist::useavailable): Treat the trigger
	statuses in the same way as installed status.
	(packagelist::deppossatisfied): Likewise.
	* dselect/pkgdisplay.cc (statusstrings): Add trigger statuses
	descriptions.
	(statuschars): Likewise.
	* dselect/pkglist.cc (packagelist::ensurestatsortinfo): Mark trigger
	status as broken.
	* lib/.gitignore: Add 'trigdeferred.c'.
	* lib/Makefile.am (libdpkg_a_SOURCES): Add 'dlist.h', 'triglib.c' and
	'trigdeferred.l'.
	* lib/database.c (blankpackage): Initialize trigaw.head, trigaw.tail,
	othertrigaw_head and trigpend_head members.
	* lib/dbmodify.c (triggersdir, triggersfilefile): New variables.
	(triggersnewfilefile): Likewise.
	(fnis): Add 'TRIGGERSDIR', 'TRIGGERSDIR "/File"' and
	'TIGGERSDIR "/File.new"' entries.
	(modstatdb_init): Incorporate triggers.
	(modstatdb_note): Reset trigpend_head if status is not a trigger one.
	Remove awaited triggers if status is <= than configfiles. Clear
	awaiters.
	* lib/dpkg-db.h (struct trigpend, struct trigaw): New types.
	(enum trigdef_updateflags, struct trigdefmeths): Likewise.
	(struct trigfileint, struct trig_hooks): Likewise.
	(enum pkgstatus): Add stat_triggersawaited and stat_triggerspending.
	(struct pkginfo): Add new trigaw, othertrigaw_head and trigpend_head
	members.
	(triggersdir, triggersfilefile, triggersnewfilefile): New variables.
	(trigdef, trig_new_deferred, trigh): Likewise.
	(trigdef_update_start, trigdef_yylex, trigdef_process_done): New
	functions prototypes.
	(trig_note_pend_core, trig_note_pend, trig_note_aw): Likewise.
	(trig_clear_awaiters, trig_incorporate): Likewise.
	(trig_file_activate_byname, trig_file_activate): Likewise.
	(trig_file_interests_ensure, trig_file_interests_save): Likewise.
	(trig_cicb_interest_delete, trig_cicb_interest_add): Likewise.
	(trig_cicb_statuschange_activate, trig_parse_ci): Likewise.
	(illegal_triggername): Likewise.
	(trig_parse_cicb): New function typedef.
	(TRIGHOOKS_DEFINE_NAMENODE_ACCESSORS): New macro.
	* lib/dpkg.h (TRIGGERSCIFILE, TRIGGERSDIR, TRIGGERSFILEFILE)
	(TRIGGERSDEFERREDFILE, TRIGGERSLOCKFILE, MAINTSCRIPTPKGENVVAR)
	(MAINTSCRIPTDPKGENVVAR, MAXTRIGDIRECTIVE): New macros.
	(MAXUPDATES): Set to 250.
	* lib/dump.c (w_configversion): Do not write the field if on trigger
	statuses either.
	(w_status): Abort on unknown status. Assert the presence or not
	of awaited and pending triggers depending on the status.
	(w_trigpend, w_trigaw): New functions.
	* lib/fields.c (scan_word, f_trigpend, f_trigaw): Likewise.
	* lib/parse.c: Include <assert.h>.
	(fieldinfos): Add 'Triggers-Pending' and 'Triggers-Awaited' fields.
	(parsedb): Add new variable aw. Check for consistency between the
	triggers lists and the status. Initialize trigpend_head and trigaw.
	* lib/parsedump.h (f_trigpend, f_trigaw, w_trigpend, w_trigaw): New
	function prototypes.
	* lib/parsehelp.c (statusinfos): Add 'triggers-awaited' and
	'triggers-pending'.
	* src/Makefile.am (bin_PROGRAMS): Add 'dpkg-trigger'.
	(dpkg_SOURCES): Add 'trigproc.c'.
	(dpkg_trigger_SOURCES, dpkg_trigger_LDADD): New variables.
	* src/archives.c (check_conflict): Treat trigger statuses the same way
	as installed.
	(archivefiles): Install trigger hooks. Make act_triggers perform
	process_queue. Do a deferred triggers process run.
	(wanttoinstall): Treat trigger statuses the same way as installed.
	Remove duped check about package being installed on forced
	skip-same-version.
	* src/configure.c (deferred_configure): Activate file triggers on
	conffile changes.
	* src/depcon.c (depisok): Treat trigger statuses the same way as
	installed for the dependency and for breaks or conflicts. For depends,
	predepends, recommends and suggests treat triggerspending as installed
	and triggersawaited as halfconfigured.
	* src/enquiry.c (badstatinfos): Add stat_triggerspending and
	stat_triggersawaited entries.
	(yettobeunpacked): Treat trigger statuses as unpacked.
	(assertversion): Treat triggerspending the same way as installed,
	and triggersawaited as not fully installed.
	* src/filesdb.h (enum fnnflags): Add new fnn_nonew item.
	(struct filenamenode): Add new trig_interested member.
	* src/filesdb.c (ensure_package_clientdata): Initialize
	clientdata->trigprocdeferred.
	(findnamenode): Return NULL if flags has fnn_nonew and there is no
	match before creating a new one. Initialize trig_interested when
	creating a newnode.
	* src/help.c (statusstrings): Add trigger statuses descriptions.
	(namenodetouse): Activate a file trigger before returning.
	(post_postinst_tasks): Initialize trigpend_head to NULL. Set status
	to stat_triggersawaited if trigaw.head otherwise to new_status.
	Call post_postinst_tasks_core. Move call to modstatdb_note to ...
	(post_postinst_tasks_core): ... here. New function. Incorporate
	triggers.
	(post_script_tasks): Incorportate triggers.
	(do_script): Set MAINTSCRIPTPKGENVVAR and MAINTSCRIPTDPKGENVVAR
	environment variables.
	* src/main.h (struct perpackagestate): Add new trigprocdeferred
	member.
	(enum action): Add new act_triggers item.
	(f_triggers): New variable definition.
	(namenodetouse): Add a comment about its new side effects.
	(post_postinst_tasks_core): Likewise. New prototype.
	(enum debugflags): Add dbg_triggers, dbg_triggersdetail and
	dbg_triggersstupid items.
	(trigproc_install_hooks, trigproc_run_deferred): New protoypes.
	(trigproc_reset_cycle, trigproc): Likewise.
	(trig_activate_packageprocessing): Likewise.
	* src/main.c (usage): Document '--triggers-only' and
	'--[no-]triggers'.
	(f_triggers): New variable declaration
	(setdebug): Document new triggers debug flags.
	(cmdinfos): Add triggers-only, triggers and no-triggers entries.
	(main): Disable f_triggers when --triggers-only has been specified.
	* src/packages.c (progress_bytrigproc): New variable.
	(packages): Install trigger hooks. On act_configure skip the package
	also if trigpend_head is not valid. Handle act_triggers. Do a
	deferred triggers process run.
	(process_queue): New action_todo variable. Set the same value for
	istobe as on act_triggers as for act_configure. Print the same message
	when erasing the queue entry on act_triggers as for act_configure.
	Add packages which can be fixed by means of processing their triggers
	to the queue and set the action to act_configure. On act_triggers
	ohshit if trigpend_head is NULL, otherwise fall through to
	act_install. On act_configure call trigproc if there's pending
	triggers or call deferred_configure.
	(deppossi_ok_found): Add a new fixbytrig argument, fix all callers.
	Treat trigger statuses the same way as installed. Handle dependee
	trigger statuses.
	(dependencies_ok): Handle packages which can be fixed by means of
	processing their triggers.
	* src/processarc.c (process_archive): Ensure file triggers intersts.
	Activate trigger package processsing. Parse package triggers control
	file before reading the conffiles. Treat trigger statuses the same
	way as installed. Activate trigger package processing for the package
	being deconfigured and for conflictors. Parse package control file
	to delete the package and parse it again to re-add it and then save
	the file triggers interests. Activate trigger package processing for
	disappearing packages.
	* src/query.c (list1package): Add trigger statuses to the listing
	header and to the one letter statuses.
	* src/remove.c (checkforremoval): Treat trigger statuses in the same
	way as installed.
	(deferred_remove): Activate trigger package processing. Operate on
	packages with halfconfigured or higher status.
	(removal_bulk_remove_configfiles): Activate trigger package processing.

2008-03-28  Ian Jackson  <ian@davenant.greenend.org.uk>

	* src/packages.c (deppossi_ok_found): Refactor returning code.

2008-03-28  Ian Jackson  <ian@davenant.greenend.org.uk>

	* src/depcon.c (depisok): Improve whynot message by stating when a
	package is installed with 'is present'.

2008-03-28  Ian Jackson  <ian@davenant.greenend.org.uk>

	* src/help.c (cu_post_script_tasks): New function.
	(do_script): Install cu_post_script_tasks as a cleanup handler.
	(maintainer_script_alternative): Call post_script_tasks if the
	first do_script invokation fails instead of it succeeding.

2008-03-28  Ian Jackson  <ian@davenant.greenend.org.uk>,
            Guillem Jover  <guillem@debian.org>

	* src/main.h (maintainer_script_postinst): New prototype.
	* src/help.c (post_script_tasks): New function.
	(maintainer_script_installed): Renamed to ...
	(vmaintainer_script_installed): ... this. Dot not call
	ensure_diversions.
	(maintainer_script_installed): New function.
	(maintainer_script_postinst): Likewise.
	(maintainer_script_new): Call post_script_tasks instead of directly
	calling ensure_diversions.
	(maintainer_script_alternative): Likewise.
	* src/cleanup.c (cu_prermupgrade): Use maintainer_script_postinst
	instead of maintainer_script_installed.
	(cu_prermdeconfigure): Likewise.
	(cu_prerminfavour): Likewise.
	(cu_prermremove): Likewise.
	(deferred_configure): Likewise.
	* src/configure.c (deferred_configure): Likewise.

2008-03-28  Ian Jackson  <ian@davenant.greenend.org.uk>,
            Guillem Jover  <guillem@debian.org>

	* src/main.h (post_postinst_tasks): New prototype.
	* src/help.c (post_postinst_tasks): New function.
	* src/cleanup.c (cu_prermupgrade): Use post_postinst_tasks instead of
	duplicate code.
	(cu_prermdeconfigure): Likewise.
	(cu_prerminfavour): Likewise.
	(cu_prermremove): Likewise.
	* src/configure.c (deferred_configure): Likewise.

2008-03-28  Guillem Jover  <guillem@debian.org>

	* src/packages.c (process_queue): Fix typo in comment.

2008-03-28  Ian Jackson  <ian@davenant.greenend.org.uk>

	* src/help.c (statusstrings): Improve Breaks message by saying that
	it can be in that status due to a failed installation.

2008-03-29  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-buildpackage.pl: If the user request a cross-compilation,
	then define PKG_CONFIG_LIBDIR so that it will look in directories
	specidic to the target architecture.
	* man/dpkg-buildpackage.1: Document this change and also the -t option.

2008-03-28  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-buildpackage.pl: LDFLAGS now defaults to an empty
	value instead of "-Wl,-Bsymbolic-functions". The latter can break
	some libraries at run-time and such a change is best done
	at the beginning of a release cycle.

2008-03-28  Raphaël Hertzog  <hertzog@debian.org>

	* man/dpkg-source.1: Move a paragraph at its right place and some
	other presentation fixes.

2008-03-27  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs.pm: Support cross-compilation by adding
	directories containing libraries for the architecture that is
	being crossbuilt.

2008-03-27  Raphaël Hertzog  <hertzog@debian.org>
            Frank Lichtenheld  <djpig@debian.org>
            Joey Hess  <joeyh@debian.org>
            Colin Watson  <cjwatson@debian.org>

	* Merge branch 'sourcev3'. It contains an extensive refactoring of
	dpkg-source around many new modules in scripts/Dpkg/Source/.

	General purpose changes:
	* scripts/Dpkg/IPC.pm: New module offering fork_and_exec() to
	conveniently execute any program in a child process. It hides
	all the error checking and lets you easily redirect input and
	output streams.
	* scripts/t/800_Dpkg_IPC.t: Non-regression tests for the module
	above.
	* scripts/Dpkg/Exit.pm: New module to register functions
	that would be called if the process was interrupted by a signal.
	Useful to cleanup temporary files if we're interrupted while doing
	some heavy I/O operation (as dpkg-source can do).
	* scripts/Dpkg/ErrorHandling.pm (info, errormsg): info() reports
	informational notices on STDOUT and errormsg() displays an error
	message on STDERR without dying. Use it only when you will die
	later on but want to display all errors before doing so.
	* scripts/dpkg-source.pl: Heavy rewrite/refactoring based on
	all the modules listed below.
	* man/dpkg-source.1: Update the manual page to document all the
	source package formats and the associated options.

	Dpkg::Source::* infrastructural modules:
	* scripts/Dpkg/Source/Compressor.pm: Compress and uncompress a
	stream of data.
	* scripts/Dpkg/Source/CompressedFile.pm: Base class used to
	provide on-the-fly compression and decompression of any file.
	Dpkg::Source::Archive and Dpkg::Source::Patch inherit from it.
	* scripts/Dpkg/Source/Archive.pm: Create and manipulate tar files.
	* scripts/Dpkg/Source/Patch.pm: Create and manipulate patch files.
	* scripts/Dpkg/Source/Functions.pm: Misc helper functions.
	erasedir() removes recursively a directory in a safe manner.
	fixperms() make sure the permissions of all files in a tree
	are sane.

	Source package formats:
	* scripts/Dpkg/Source/Package.pm: Base class implementing the
	functions common to all source package formats.
	* scripts/Dpkg/Source/Package/V1_0.pm: Implement the actual
	"Format: 1.0" source package format.
	* scripts/Dpkg/Source/Package/V2_0.pm: Implement the wig&pen
	format as specified in http://www.dpkg.org/dpkg/NewSourceFormat.
	* scripts/Dpkg/Source/Package/V3_0/native.pm: Native source
	packages (single tarball) that supports all compressions
	methods. Compatible with "Format: 1.0" if gzip compression is
	used.
	* scripts/Dpkg/Source/Package/V3_0/quilt.pm: Next generation
	source package format based on wig&pen. It supports multiple
	.orig.tar files and all compressions schemes (gzip, bzip2, lzma).
	It uses quilt to apply patches at unpack time and is able to add
	a new patch at the end of the series if changes are present
	at build-time.
	* scripts/Dpkg/Source/Package/V3_0/bzr.pm: Experimental format
	based on a bzr repository. Contributed by Colin Watson.
	* scripts/Dpkg/Source/Package/V3_0/git.pm: Experimental format
	based on a git repository. Contributed by Joey Hess.
	* scripts/Dpkg/Source/Package/V3_0/custom.pm: Special purpose
	format that can be used to create source packages with arbitrary
	files. Useful for helper tools (like git-buildpackage) which can
	generate source files by themselves.

2008-03-25  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-shlibdeps.pl: Let the user configure the set of
	warnings that he wants. Add a new warning for useless libraries
	on all binaries analyzed. Disable by default the warning that
	does the same but individually, for each binary analyzed.
	* man/dpkg-shlibdeps.1: Update manual page accordingly.

2008-03-25  Ian Jackson  <ian@davenant.greenend.org.uk>

	* lib/dpkg-db.h (modstatdb_note_ifwrite): New prototype.
	* ib/dbmodify.c (modstatdb_note_ifwrite): New function.

2008-03-25  Ian Jackson  <ian@davenant.greenend.org.uk>

	* src/archives.c (archivefiles): Call log_message.
	* src/configure.c (deferred_configure): Likewise.
	* src/packages.c (packages): Likewise.
	* src/processarc.c (process_archive): Call log_action after printing
	the action to perform to stdout.
	* src/help.c (log_action): Call statusfd_send.
	* man/dpkg.1: Document improved status-fd output.

2008-03-25  Ian Jackson  <ian@davenant.greenend.org.uk>,
            Guillem Jover  <guillem@debian.org>

	* lib/dbmodify.c (status_pipes): Move definitions to ...
	* lib/log.c: ... here.
	* lib/dpkg-db.h (struct pipef, status_pipes): Move declarations to ...
	* lib/dpkg.h: ... here.
	(statusfd_send): New function protoype.
	* lib/log.c: Include <assert.h> and <unistd.h>.
	(statusfd_send): New function.
	* lib/dbmodify.c: Use statusfd_send instead of duplicate code.
	* src/configure.c: Likewise.
	* src/errors.c: Likewise.

2008-03-25  Guillem Jover  <guillem@debian.org>

	* lib/dbmodify.c (log_file, log_message): Move to ...
	* lib/log.c: ... here. New file.
	* lib/Makefile.am (libdpkg_a_SOURCES): Add 'log.c'.
	* lib/dpkg-db.h (log_file, log_message): Move declaration to ...
	* lib/dpkg.h: ... here.

2008-03-25  Ian Jackson  <ian@davenant.greenend.org.uk>,
            Guillem Jover  <guillem@debian.org>

	* src/packages.c (struct pkginqueue): Move declaration to ...
	* src/main.h: ... here.
	(queuelen): Remove extern declaration.
	(struct pkgqueue): New declaration.
	(PKGQUEUE_DEF_INIT): New macro.
	(add_to_some_queue): New function prototype.
	(remove_from_some_queue): Likewise.
	* src/packages.c (queuehead, queuetail, queuelen): Replace with ...
	(queue): ... this. New variable. Fix all users.
	(add_to_queue): Refactor into ...
	(add_to_some_queue): ... this. Take a struct pkgqueue argument.
	(process_queue): Assert that the queue is empty at the end of the
	function. Refactor queue entry removal into ...
	(remove_from_some_queue): ... this. New function.
	(add_to_queue): New function.

2008-03-25  Guillem Jover  <guillem@debian.org>

	* src/main.h (ensure_package_clientdata): Move prototype to ...
	* src/filesdb.h: ... here.
	* src/help.c (ensure_package_clientdata): Move function to ...
	* src/filesdb.c: ... here.
	* src/query.c: Remove duplicate function.

2008-03-25  Guillem Jover  <guillem@debian.org>

	* lib/dpkg-db.h (unlockdatabase): Change prototype to not take any
	argument (as it was not being used). Fix all callers.
	* lib/lock.c (unlockdatabase): Likewise.

2008-03-25  Ian Jackson  <ian@davenant.greenend.org.uk>,
            Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h (lock_file): New function prototype.
	(unlock_file): Likewise.
	* lib/lock.c (cu_unlockdb): Rename to ...
	(cu_unlock_file): ... here. Rename dblockfd to lockfd, and take it
	from argv.
	(unlock_file): New function.
	(lock_file): Likewise.
	(dblockfd): Move variable to ...
	(lockdatabase): ... here. Call lock_file instead of doing the
	actual file locking.
	(unlockdatabase): Call unlock_file, instead if doing the actual
	pop_cleanup.

2008-03-24  Ian Jackson  <ian@davenant.greenend.org.uk>

	* lib/dpkg.h (error_printer): New function pointer type.
	(push_error_handler): Use error_printer instead of an explicit
	declaration in the argument list.
	(set_error_display): Likewise.
	* lib/ehandle.c (push_error_handler): Likewise.
	(set_error_display): Likewise.

2008-03-23  Guillem Jover  <guillem@debian.org>

	* configure.ac (DPKG_CHECK_COMPAT_FUNCS): Add 'strnlen'.
	* libcompat/Makefile.am [!HAVE_STRNLEN] (libcompat_a_SOURCES): Add
	'strnlen.c' and 'strnlen.h'.
	* libcompat/strnlen.c: New file (import from Simon Josefsson).
	* libcompat/strnlen.h: Likewise.
	* lib/tarfn.c: Include "strnlen.h".

2008-03-22  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/t/200_Dpkg_Shlibs.t: Fix test suite to handle the
	recent addition of the "objid" field to symbol hash returned
	by Dpkg::Shlibs::Objump::Object->get_symbol().

2008-03-22  Ian Jackson  <ian@davenant.greenend.org.uk>

	* lib/dpkg-db.h (enum pkgstatus): Sort entries.
	* lib/dump.c (w_status): Change 'stat_configfiles' to 'stat_installed'
	in assert as that's the new last item.
	* src/processarc.c (process_archive): Likewise.
	* src/packages.c (process_queue): Likewise.
	(deppossi_ok_found): Match sorting of 'enum pkgstatus'.
	* dselect/pkgdisplay.cc (statusstrings): Likewise.
	(statuschars): Likewise.
	* src/help.c (statusstrings): Likewise.
	* src/query.c (list1package): Likewise.
	* lib/parsehelp.c (statusinfos): Likewise.

2008-03-21  Guillem Jover  <guillem@debian.org>

	* lib/parse.c (cu_parsedb): Remove duplicate function.
	(parsedb): Use cu_closefd instead of cu_parsedb.

2008-03-21  Ian Jackson  <ian@davenant.greenend.org.uk>

	* src/archives.c (tarobject): Make 'fd' static.
	* lib/parse.c (parsedb): Likewise. Use ehflag_normaltidy on
	push_cleanup and pop_cleanup. Move pop_cleanup call just before its
	related close call.
	* src/processarc.c (process_archive): Do not install two cleanup
	handlers to close the fsys-tarfile pipe. Mark pipe descriptors with
	invalid values when closed.

2008-03-20  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/extract.c (safe_fflush): Change return type from int to
	void.

2008-03-20  Ian Jackson  <ian@davenant.greenend.org.uk>

	* lib/dpkg.h (cisspace): New prototype.
	* lib/utils.c (cisspace): New function definition.

2008-03-20  Ian Jackson  <ian@davenant.greenend.org.uk>

	* src/main.h (pkgadminfile): Move prototype to ...
	* lib/dpkg-db.h: ... here.
	* src/help.c (pkgadminfile): Move function definition to ...
	* lib/dbmodify.c: ... here.
	* src/query.c (pkgadminfile): Remove duplicated functions.

2008-03-20  Ian Jackson  <ian@davenant.greenend.org.uk>,
            Guillem Jover  <guillem@debian.org>

	* src/query.c (cu_closepipe, cu_closefile, cu_closefd): Remove
	duplicated functions.
	* src/help.c (cu_closepipe, cu_closefile, cu_closedir)
	(cu_closefd): Move function definitions to ...
	* lib/cleanup.c: ... here. New file.
	* src/main.h (cu_closefile, cu_closepipe, cu_closedir)
	(cu_closefd): Move prototypes to ...
	* lib/dpkg.h: ... here.
	* lib/Makefile.am (libdpkg_a_SOURCES): Add 'cleanup.c'.

2008-03-20  Ian Jackson  <ian@davenant.greenend.org.uk>

	* lib/dpkg-db.h (modstatdb_checkpoint): New prototype.
	* lib/dbmodify.c (checkpoint):  Remove static keyword. Rename to ...
	(modstatdb_checkpoint): ... this. Fix all callers.

2008-03-20  Ian Jackson  <ian@davenant.greenend.org.uk>

	* lib/tarfn.c (TarExtractor): Initialize h.LinkName and h.Name to
	NULL.

2008-03-16  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/Objdump.pm: Add "objid" property to
	symbols and fake "soname" property with the basename of the
	object's filename if the object has no official SONAME.
	* scripts/dpkg-shlibdeps.pl: Add some more debugging messages.
	* scripts/dpkg-shlibdeps.pl: Also count usage of alternate sonames
	for symbols found in symbols files.

2008-03-16  Guillem Jover  <guillem@debian.org>

	* configure.ac (AC_CHECK_HEADERS): Add 'libintl.h'.
	* lib/gettext.h [!ENABLE_NLS]: Use HAVE_LIBINTL_H instead of
	'(__GLIBC__ >= 2)'.

2008-03-15  Erast Benson  <erast@gnusolaris.org>

	* utils/start-stop-daemon.c (check): Move 'return' inside preprocessor
	conditionals, so that it does not just return on non-handled OSes.

2008-03-15  Erast Benson  <erast@gnusolaris.org>

	* utils/start-stop-daemon.c: Use __sun instead of __sparc__ to
	define OSsunos.

2008-03-15  Raphaël Hertzog  <hertzog@debian.org>

	* debian/dpkg.prerm: Removed as it's empty.
	* Makefile.am: Remove debian/dpkg.prerm from EXTRA_DIST.

2008-03-14  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Changelog/Debian.pm: Fix regression by re-allowing
	capitals (like UNRELEASED!) in the distribution/package name.
	* scripts/t/600_Dpkg_Changelog/regressions: Add capitals in the
	distribution name as part of the non-regression tests.

2008-03-14  Guillem Jover  <guillem@debian.org>

	Fix errors spotted by Helge Kreutzmann.

	* man/dpkg-buildpackage.1: Refer to 'Debian' not 'debian'. Remove a
	space beofre a comma. Replace FFLAGS with CFLAGS when referring to
	usage similar to C for Fortran. Do not make bold a terminating
	parenthesis.
	* man/dpkg-checkbuilddeps.1: Mark 'debian/contorl' file with italics.

2008-03-11  Ian Jackson  <ian@davenant.greenend.org.uk>,
            Guillem Jover  <guillem@debian.org>

	* lib/showcright.c: Rename to ...
	* lib/myopt-util.c: ... this.
	* lib/Makefile.am (libdpkg_a_SOURCES): Rename 'showcright.c' to
	'myopt-util.c'.

	* lib/dpkg.h (struct cmdinfo): Remove declaration.
	(showcopyright): Move prototype to ...
	* lib/myopt-util.c: ... here.
	(helponly, versiononly): New functions.
	* lib/myopt.h: Include <dpkg-def.h>.
	(showcopyright, helponly, versiononly, usage, printversion): New
	function prototypes.
	* dpkg-deb/main.c (printversion, usage): Remove static keyword.
	(helponly, versiononly): Remove function declarations and definitions.
	* dpkg-split/main.c: Likewise.
	* dselect/main.cc: Likewise.
	* src/main.c: Likewise.
	* src/query.c: Likewise.

2008-03-11  Guillem Jover  <guillem@debian.org>

	* lib/showcright.c (showcopyright): Move function prototype to ...
	* lib/dpkg.h: ... here, and replace existing one.

2008-03-11  Guillem Jover  <guillem@debian.org>

	* lib/Makefile.am (libdpkg_a_SOURCES): Add 'dpkg-def.h'.
	* lib/dpkg.h: Include 'dpkg-def.h'.
	(CONSTANT, PRINTFFORMAT, NONRETURNING, UNUSED): Move defninitions
	to ...
	* lib/dpkg-def.h: ... here. New file.
	* utils/start-stop-daemon.c: Include 'dpkg-def.h'.
	(CONSTANT, PRINTFFORMAT, NONRETURNING, UNUSED): Remove defninitions.

2008-03-11  Ian Jackson  <ian@davenant.greenend.org.uk>

	* lib/dpkg.h (fgets_checked, fgets_must): New function declarations.
	* lib/utils.c: Include <string.h>.
	(fgets_checked, fgets_must): New function.
	* src/filesdb.c (ensure_diversions): Use new fgets_checked and
	fgets_must instead of duped code.

2008-03-09  Ian Jackson  <ian@davenant.greenend.org.uk>

	* dselect/pkgdisplay.cc (relatestrings): Change 'breaks with' to
	'breaks'.

2008-03-09  Ian Jackson  <ian@davenant.greenend.org.uk>

	* dselect/pkgdepcon.cc (packagelist::resolvedepcon): Move dep_breaks
	case after dep_conflicts so that it falls through.
	(packagelist::deppossatisfied): Handle dep_breaks in the same way as
	dep_conflicts.

2008-03-09  Ian Jackson  <ian@davenant.greenend.org.uk>

	* dselect/pkgdepcon.cc (packagelist::deppossatisfied): The new rule
	is that a Conflicts is violated if the target package is installed
	or to be error-preserved ie would_like_to_install() != 0 - except
	that we disregard packages which directly Conflict with themselves.

2008-03-07  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Fields.pm: Import Dpkg::Gettext since we use _g().

2008-03-06  Sean Finney  <seanius@seanius.net>

	* lib/dump.c (writedb): Free newfn and oldfn.
	* src/help.c (clear_istobes): Free pkgiterator 'it' by calling
	iterpkgend.

2008-03-02  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-gencontrol.pl, scripts/dpkg-source.pl:
	Do not sort the dependency fields as order matters given
	the greedy algorithm that APT uses when trying to resolve
	dependencies. See discussion on debian-devel:
	http://lists.debian.org/debian-devel/2008/02/msg00893.html
	* man/dpkg-gencontrol.1: Document the above changes.

	* scripts/Dpkg/Deps.pm (simplify_deps): Tries to respect order put
	by the maintainer when simplifying dependencies.
	* scripts/t/400_Dpkg_Deps.t: Add a test-case to ensure that
	further changes respect this constraint.

	* scripts/dpkg-shlibdeps.pl: Sort generated dependencies to
	have a deterministic output.

2008-02-29  Frank Lichtenheld  <djpig@debian.org>

	* scripts/Dpkg/Changelog/Debian.pm (parse):
	One patch against the old parser that allowed
	chars '+' and '.' in distribution names was
	not forward ported into the new parser. Do
	this now.
	* scripts/t/600_Dpkg_Changelog/regression:
	Add testcase for this regression.

2008-02-22  Raphaël Hertzog  <hertzog@debian.org>

	* man/dpkg-gensymbols.1: Fix some groff errors detected by lintian.
	* man/dpkg-query.1: Likewise..

2008-02-22  Raphaël Hertzog  <hertzog@debian.org>

	* man/deb-symbols.5: Escape some hyphens so that they do not end up
	as minus sign.
	* man/dpkg-architecture.1: Likewise.
	* man/dpkg-shlibdeps.1: Likewise.
	* man/start-stop-daemon.8: Likewise.

2008-02-22  Raphaël Hertzog  <hertzog@debian.org>
	    Mike Frysinger  <vapier@gentoo.org>

	* scripts/Makefile.am: Modify PATH during make check to include
	build directories containing dpkg and the scripts dpkg-*.

2008-02-20  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Changelog.pm (parse_changelog): Fallback
	into /usr/lib/dpkg/parsechangelog to find changelog parser
	in case $dpkglibdir points to another directory (for example
	when DPKG_DATADIR is manually set).

2008-02-19  Frank Lichtenheld  <djpig@debian.org>

	* m4/libs.m4 (DPKG_LIB_CURSES): Use libncursesw if
	available.
	* debian/control: Change build-dependency from
	libncurses5-dev to libncursesw5-dev.

2008-02-19  Frank Lichtenheld  <djpig@debian.org>

	* man/dpkg-source.1: Fix documentation of -sk and -sp. The directory
	with the unpacked original source will be removed, not the tarball.

2008-02-17  Frank Lichtenheld  <djpig@debian.org>

	* scripts/Dpkg.pm: Allow overriding $pkgdatadir
	with $ENV{DPKG_DATADIR}.
	* scripts/Makefile.am (check): Use DPKG_DATADIR.
	* debian/rules: Remove hack to copy data files
	to build directory.

2008-02-17  Frank Lichtenheld  <djpig@debian.org>

	* man/dpkg-architecture.1: Document the files needed by
	dpkg-architecture.

2008-02-17  Frank Lichtenheld  <djpig@debian.org>
	    Matthias Klose  <doko@cs.tu-berlin.de>

	* scripts/dpkg-buildpackage.pl: Set a set of environment variables
	for setting compiler and linker options, unless already set in the
	environment. See https://wiki.ubuntu.com/DistCompilerFlags for
	background information.
	* man/dpkg-buildpackage.1: Document the new behaviour for build
	related environment variables.

2008-02-17  Zack Weinberg  <zackw@panix.com>

	* man/deb-shlibs.5: Make this manual page a bit more elaborate and
	helpful.

2008-02-13  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Version.pm: Import Dpkg::Gettext since we use _g().

2008-02-07  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-gencontrol.pl: Do not output the Homepage field on udeb.

2008-02-04  Guillem Jover  <guillem@debian.org>

	* libcompat/Makefile.am (localedir): Remove unused variable.
	(INCLUDES): Do not pass -DLOCALEDIR nor -I$(top_srcdir)/lib.

2008-02-03  Guillem Jover  <guillem@debian.org>

	* m4/funcs.m4 (DPKG_CHECK_COMPAT_FUNCS): New macro.
	* configure.ac (DPKG_CHECK_COMPAT_FUNCS): Check getopt, getopt_long
	and obstack_free.
	* libcompat/Makefile.am (libcompat_a_SOURCES): Set empty by default.
	Only add 'getopt.c getopt.h' if !HAVE_GETOPT. Only add 'getopt1.c'
	if !HAVE_GETOPT_LONG. Only add 'obstack.c obstack.h' if
	!HAVE_OBSTACK_FREE.
	(INCLUDES): Add '-idirafter $(top_srcdir)/libcompat'.
	* dpkg-deb/Makefile.am (INCLUDES): Likewise.
	* dpkg-split/Makefile.am (INCLUDES): Likewise.
	* dselect/Makefile.am (INCLUDES): Likewise.
	* lib/Makefile.am (INCLUDES): Likewise.
	* src/Makefile.am (INCLUDES): Likewise.
	* utils/Makefile.am (INCLUDES): Use -idirafter instead of -I for
	'$(top_srcdir)/libcompat'.

	* src/Makefile.am (dpkg_LDADD): Add '../libcompat/libcompat.a'.
	(dpkg_query_LDADD): Likewise.
	* dpkg-deb/Makefile.am (dpkg_deb_LDADD): Likewise.
	* dpkg-split/Makefile.am (dpkg_split_LDADD): Likewise.
	* dselect/Makefile.am (dselect_LDADD): Likewise.

2008-02-03  Guillem Jover  <guillem@debian.org>

	* libcompat/Makefile.am (libcompat_a_SOURCES): Remove closeout.c,
	closeout.h, error.h, long-options.c and long-options.h.
	* libcompat/closeout.c: Remove unused file.
	* libcompat/closeout.h: Likewise.
	* libcompat/error.h: Likewise.
	* libcompat/long-options.c: Likewise.
	* libcompat/long-options.h: Likewise.

2008-02-03  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-shlibdeps.pl: Handle better the case when the
	library found has a different soname than the one used to look up
	the library file. Properly affect symbols coming from it to the
	soname wanted by the binary, thus avoiding invalid warnings about
	unused library.

2008-01-31  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-genchanges.pl: Always list all binary packages in
	the Description field of generated .changes files.

2008-01-30  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-buildpackage.pl: Warn if build-dependencies
	are not satisfied during -S. Also warn that this might become
	an error in the future.

2008-01-30  Justin Pryzby  <jpryzby+d@quoininc.com>

	* utils/start-stop-daemon.c (do_help): Clarify --name and --user
	options.
	(parse_options): Reword --make-pidfile badusage.
	(pid_is_cmd): Fix typo in comment.
	* man/start-stop-daemon.8: Cosmetic fixes. Document that --chuid
	will change the group even if it has not been specified. Add EXIT
	STATUS and EXAMPLE sections.

2008-01-29  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-buildpackage.pl: Add a new -R option to be able to
	replace "debian/rules" by something else. The replacement command
	can contain parameters (and thus spaces). Fix -r option to also
	accept parameters.
	* man/dpkg-buildpackage.1: Document the new option and the changed
	behaviour of -r.

2008-01-28  Guillem Jover  <guillem@debian.org>

	* getopt: Rename to ...
	* libcompat: ... this.
	* configure.ac (AC_CONFIG_FILES): Likewise.
	* Makefile.am (SUBDIRS): Likewise.
	* utils/Makefile.am (INCLUDES): Likewise.
	(start_stop_daemon_LDADD): Use '../libcompat/libcompat.a' instead of
	'../getopt/libopt.a'.
	* libcompat/Makefile.am (noinst_LIBRARIES): Rename 'libopt.a' to
	'libcompat.a'.
	(libopt_a_SOURCES): Rename to ...
	(libcompat_a_SOURCES): ... this.

2008-01-27  Raphaël Hertzog  <hertzog@debian.org>

	* README.feature-removal-schedule: Deprecate support of substvars
	in dpkg-source and dpkg-genchanges.
	* README.feature-removal-schedule, README.api: Deprecate support
	of custom changelog parsers that understand only the -v option.
	* README.feature-removal-schedule: Deprecate support of PGP.

2008-01-27  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/SymbolFile.pm: Replace has_new_libs(),
	has_lost_libs(), has_new_symbols() and has_lost_symbols() by
	corresponding get_* functions.
	* scripts/dpkg-gensymbsols.pl: Display list of new/lost libs. Also
	display list of lost symbols when wildcards symbols have been
	used.
	* scripts/t/200_Dpkg_Shlibs.t: Adjust test suite to API change.

2008-01-26  Frank Lichtenheld  <djpig@debian.org>

	* scripts/Dpkg/Checksums.pm: New module for checksum handling
	in .changes and .dsc files.
	* scripts/dpkg-genchanges.pl, scripts/dpkg-source.pl: Use new
	module. Adds new 'Checksums-{Sha1,Sha256}' field
	to .changes and .dsc files. Increase changes format to 1.8.

2008-01-25  Andreas Påhlsson  <andreas.pahlsson@xcerion.com>

	* utils/start-stop-daemon.c (tsub): Remove function.
	(tmul): Fix normalization.
	(run_stop_schedule): Use timersub instead of tsub.

2008-01-24  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-genchanges.pl: Warn if the current version is
	smaller than the previous one.

	* scripts/dpkg-checkbuilddeps.pl: Add support of options -d and -c to
	use build dependencies/conflicts given on the command line instead of
	those retrieved from debian/control.
	* man/dpkg-checkbuilddeps.1: Document the new options.

2008-01-22  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/extract.c (extracthalf): Refactor fflush and its buggy
	fpos handling to ...
	(safe_fflush): ... here. New function.

2008-01-22  Guillem Jover  <guillem@debian.org>

	* lib/vercmp.c [0] (verrevcmp): Remove dead code.

2008-01-22  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h [!offsetof] (offsetof): New compatibilty macro.
	* lib/parsedump.h (PKGIFPOFF): Use offsetof instead of ad-hoc
	calculation.
	(FILEFOFF): Likewise.
	(struct fieldinfo): Change integer member type to size_t.
	* lib/tarfn.c (TarChecksumOffset): Use offsetof instead of ad-hoc
	calculation.

2008-01-22  Guillem Jover  <guillem@debian.org>

	* configure.ac (AC_CHECK_HEADERS): Check for 'stddef.h'.

2008-01-21  Colin Watson  <cjwatson@debian.org>

	* dselect/pkgkeys.cc (packagelist_korgbindings): Add 'C'.
	(packagelist_kinterps): Add 'revertinstalled'.
	* dselect/bindings.cc (keybindings::descriptions): Likewise.
	* dselect/pkglist.h (class packagelist): Add kd_revertinstalled.
	* dselect/pkgcmds.cc (packagelist::kd_revertinstalled): New method.
	* man/dselect.1: Document new 'C' keybinding.

2008-01-21  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/build.c (getfi): Use m_malloc instead of malloc.
	(do_build): Likewise.
	* dpkg-deb/extract.c (extracthalf): Likewise.
	* lib/mlib.c (buffer_write): Likewise.
	(buffer_copy): Likewise.
	* lib/myopt.c (loadcfgfile): Likewise.
	* lib/parse.c (parsedb): Likewise.
	* lib/showpkg.c (alloclstitem): Likewise.
	(parsefield): Likewise.
	(parsestring): Likewise.
	* lib/tarfn.c (StoC): Likewise.
	(TarExtractor): Likewise.
	* src/archives.c (try_deconfigure_can): Likewise.
	* src/main.c (execbackend): Likewise.

2008-01-21  Guillem Jover  <guillem@debian.org>

	* lib/mlib.c (m_strdup): New function.
	* lib/dpkg.h (m_strdup): New declaration.
	* lib/tarfn.c: Include <dpkg.h>.
	(TarExtractor): Use m_strdup instead of strdup.
	* lib/database.c (findpackage): Likewise.
	* lib/myopt.c (myfileopt): Likewise.
	* dpkg-deb/build.c (getfi): Likewise.
	* src/configure.c (md5hash): Likewise.
	* src/help.c (vbuildarglist): Likewis.
	* src/main.c (execbackend): Likewise.
	(commandfd): Likewise.

2008-01-21  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.17~.

2008-01-26  Raphaël Hertzog  <hertzog@debian.org>

	* configure.ac: Release 1.14.16.6.

2008-01-26  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-gensymbols: Don't scan directories which are
	symlinks. They might point outside of the package build dir which
	results in addition of libraries which are not in the package.
	The libc6 package on amd64 is affected with a symlink "lib64" ->
	"/lib".

2008-01-24  Raphaël Hertzog  <hertzog@debian.org>

	* configure.ac: Release 1.14.16.5.

2008-01-24  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/SymbolFile.pm (load): Remove the loaded file
	from the %$seen hash at the end so that it's possible to include
	multiple times the same file (at the same level and not from any
	nested file obviously).

	* scripts/Dpkg/Shlibs/SymbolFile.pm: Blacklist many armel specific
	symbols.

2008-01-23  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.16.4.

2008-01-23  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/Cdata.pm: Import capit from Dpkg::Fields.

2008-01-22  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.16.3.

2008-01-22  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (tvselector): Remove typedef.
	(tvselector_sec): Remove function.
	(tvselector_usec): Likewise.
	(TVCALC_ELEM): Remove macro.
	(TVCALC): Likewise.
	(tsub): New function.
	(tmul): Likewise.
	(run_stop_schedule): Use tsub and tmul instead of TVCALC. Make sure
	the time is not negative.

2008-01-22  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (main): Only call initgroups if changeuser
	is not NULL.

2008-01-22  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (gid_in_current_groups): Remove function.
	(main): Call initgroups if the real user or group are different than
	the ones we should switch to. Call setgid before initgroups.

2008-01-22  Raphaël Hertzog  <hertzog@debian.org>

	* man/dpkg-parsechangelog.1: Fix typos reported by Helge Kreutzmann.

2008-01-22  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-genchanges.pl, scripts/dpkg-gencontrol.pl,
	scripts/dpkg-source.pl: Remove the IO-layer that converts to
	UTF-8. It's not as smart as I expected.

	* scripts/dpkg-genchanges.pl: Do not substitute variables on
	the output.
	* man/dpkg-genchanges.pl: Document this change.

2008-01-22  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.16.2.

2008-01-22  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (main): Move setuid code after initgroups
	and setgid.

2008-01-21  Frank Lichtenheld  <djpig@debian.org>

	* configure.ac: Release 1.14.16.1

	* scripts/dpkg-source.pl: Fix "uninitialized value"
	warning.

	* debian/control: Add libtimedate-perl to
	dpkg-dev's Depends and to Build-Depends (for
	build-time tests). This introduces our first
	run-time dependency on a perl module not shipped
	with Perl itself. But to me it seems not worth
	trying to replace that code.

2008-01-21  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.16.

2008-01-21  Guillem Jover  <guillem@debian.org>

	* README.api: New file.
	* README.feature-removal-schedule: Likewise.
	* Makefile.am (EXTRA_DIST): Add README.feature-removal-schedule and
	README.api.

2008-01-21  Guillem Jover  <guillem@debian.org>

	* configure.ac (AC_CHECK_FUNCS): Escape new lines.

2008-01-21  Ian Jackson  <ian@davenant.greenend.org.uk>

	* src/processarc.c (process_archive): Fix incorrect sizeof in a
	memset call.

2008-01-21  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (main): Cast runas_uid and runas_gid to
	uid_t and gid_t when comparing to getuid() and getgid().

2008-01-21  Guillem Jover  <guillem@debian.org>

	* configure.ac (AC_CHECK_FUNCS): Merge arguments from both macro
	calls.

2008-01-21  Guillem Jover  <guillem@debian.org>

	* configure.ac (AM_GNU_GETTEXT): Add external.
	(AC_CHECK_FUNCS): Add strtoul.
	(AC_CONFIG_FILES): Remove 'intl/Makefile'.
	* .gitignore: Remove intl.
	* Makefile.am (SUBDIRS): Likewise.
	* dpkg-deb/Makefile.am (INCLUDES): Remove '-I$(top_srcdir)/intl'.
	* dpkg-split/Makefile.am (INCLUDES): Likewise.
	* dselect/Makefile.am (INCLUDES): Likewise.
	* getopt/Makefile.am (INCLUDES): Likewise.
	* lib/Makefile.am (INCLUDES): Likewise.
	* src/Makefile.am (INCLUDES): Likewise.
	* utils/Makefile.am (INCLUDES): Likewise.

2008-01-21  Guillem Jover  <guillem@debian.org>

	* configure.ac (AC_CHECK_FUNCS): Add getdtablesize.
	* utils/start-stop-daemon.c (get_open_fd_max): New function.
	(main) [OShpux]: Remove.
	[!OShpux]: Use get_open_fd_max instead of hardcoded getdtablesize.

2008-01-21  Guillem Jover  <guillem@debian.org>

	* man/start-stop-daemon.8: Fix quotation to get rid of a spurious
	space between -c option and comma.

2008-01-20  Guillem Jover  <guillem@debian.org>

	* man/start-stop-daemon.8: Coalesce all matching options into a new
	section. List matching options by reference in the description
	section.

2008-01-20  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (do_version): Change from 'Mandatory' to
	'Matching'. Suggested by Justin Pryzby.

2008-01-20  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-buildpackage.pl: Move most functions to end of file
	to allow better reading of the program flow. This is a remnant of
	the shell script past.

2008-01-19  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-buildpackage.pl: Use
	Dpkg::Changelog::parse_changelog() instead of calling
	dpkg-parsechangelog.

	* scripts/dpkg-checkbuilddeps.pl: Fix a bug left-over from the
	switch to Dpkg::Control.

2008-01-18  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/SymbolFile.pm,
	scripts/Dpkg/Shlibs/Objdump.pm, scripts/Dpkg/Shlibs.pm: Update and
	fix many syserr(), error(), warning() and subprocerr() calls to
	the new style where the sprintf call is integrated. Uniformize
	some error messages at the same time.

2008-01-18  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/SymbolFile.pm (load): Parse *@<version>
	symbols names as wildcards and not as regular symbols. They
	provide the same dependency information for all symbols that share
	the same version.
	* scripts/Dpkg/Shlibs/SymbolFile.pm (merge_symbols): Use
	information provided by wildcards entries when new symbols are
	added.
	* scripts/dpkg-gensymbols.pl: Disable some checks which can't be
	done when symbols files have been generated with the help of
	wildcard entries.
	* man/dpkg-gensymbols.1: Update the manual page to explain how to
	use wildcard entries.

2008-01-18  Frank Lichtenheld  <djpig@debian.org>

	* scripts/changelog/debian.pl: Don't hide failures inside eval().
	* scripts/Dpkg/Changelog.pm (data2rfc822): Don't fail if argument
	is undef.

2008-01-18  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Changelog.pm (parse_changelog): Rewrite it completely
	to not call dpkg-parsechangelog but do the work of this program by
	itself.
	* scripts/dpkg-parsechangelog.pl: Rewrote it to use the enhanced
	parse_changelog() function.
	* scripts/dpkg-genchanges.pl, script/dpkg-gencontrol.pl: Adapted to use
	the modified parse_changelog().
	* scripts/dpkg-gensymbols.pl, scripts/dpkg-source.pl: Likewise.

	* scripts/dpkg-genchanges.pl: Change logic of -si option to
	include the original tarball only if the current upstream version
	differs from the upstream version of the previous changelog entry.

	* scripts/dpkg-genchanges.pl: Some code refactoring. Also fix the
	generation of the Description field to not have duplicate description
	in case of udeb (a single description per binary package is enough).
	Source only uploads will loose their Description: fields since they
	have no associated binary packages and Descriptions are only added
	for binary packages where we have a corresponding .deb to upload.

2008-01-18  Guillem Jover  <guillem@debian.org>

	* m4/arch.m4 (_DPKG_ARCHITECTURE): Do not use backticks inside double
	quotes, to support ancient shells.
	* m4/libs.m4 (DPKG_LIB_SELINUX): Likewise.

2008-01-18  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (do_help): Coalesce mandatory options
	into a single paragraph, and state that at least one is required.

2008-01-18  Guillem Jover  <guillem@debian.org>

	* configure.ac (AC_CHECK_SIZEOF): Quote parameters.

2008-01-18  Guillem Jover  <guillem@debian.org>

	* THANKS: Add all the people that have contributed until now.

2008-01-18  Guillem Jover  <guillem@debian.org>

	* src/remove.c (ensure_pathname_nonexisting): Additionally check if
	errno is EEXIST after calling rmdir, per SUSv3 when the directory
	is not empty errno can be ENOTEMPTY or EEXIST.
	* src/help.c (removal_bulk_remove_files): Likewise.
	(removal_bulk_remove_leftover_dirs): Likewise.

2008-01-18  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl: Stop parsing '--test' as a valid
	option.
	($testmode): Remove variable.
	(usage): Remove '--test' option help.
	* man/update-alternatives.8: Remove '--test' documentation.

2008-01-18  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (do_help): Add missing semicolon.

2008-01-17  Guillem Jover  <guillem@debian.org>

	* THANKS: Convert to UTF-8.

2008-01-17  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (do_help): Move version printing to ...
	(do_version): ... here. New function.
	(main): Call do_version instead of printf.

2008-01-17  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-source.pl: Revert to the old behaviour of not using
	any substvars file.
	* man/dpkg-source.1: Fix default value of -T parameter.

2008-01-17  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-genchanges.pl: Reinstate support of the ${Format}
	substvars.

2008-01-17  Samuel Thibault  <samuel.thibault@ens-lyon.org>,
            Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (gid_in_current_groups): New function.
	(main): Call setuid only if requested to run as a different user
	than the current one. Call setgid only if requested to run as a group
	different than the current one, and initgroups only if the groups is
	not part of the supplementary groups.

2008-01-16  Frank Lichtenheld  <djpig@debian.org>

	* scripts/changelog/debian.pl: Restore the old default behaviour
	to parse STDIN. Also fix the -l option to specify a label for the
	parsed input, but the actual file. Still allow --file to be used for
	that. Use the new inhandle option of parse() to pass STDIN directly.
	This should be faster and removes the implicit dependency on
	IO::String.

	* scripts/Dpkg/Changelog/Debian.pm (parse): Accept input in
	configuration item 'inhandle'. Allow to override the name of the
	file (used for reporting) with configuration item 'reportfile'.
	* scripts/Dpkg/Changelog.pm (init): Call parse if 'inhandle' is given.

	* scripts/dpkg-parsechangelog.pl: Remove one superfluous %s from a
	formatstring which was used to output $! before syserr() was used
	instead.

2008-01-16  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (do_stop): Do not print messages when
	running on quiet and test modes.
	(run_stop_schedule): Likewise.
	(main): Likewise.

2008-01-16  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (do_pidfile): Cache pid value over
	multiple calls.

2008-01-16  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c: Fix indentation.

2008-01-16  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-divert.pl: Use :errno_h from POSIX.
	($enoent): Remove variable.
	(ENOENT): Remove function.
	* scripts/update-alternatives.pl: Likewise.
	* utils/Makefile.am (pkglib_PROGRAMS): Remove variable.
	(enoent_SOURCES): Likewise.
	* utils/enoent.c: Remove file.

2008-01-16  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/build.c (do_build): Use NULL instead of 0.
	* dpkg-deb/extract.c (extracthalf, do_fsystarfile): Likewise.
	* dpkg-deb/info.c (info_prepare, info_spew): Likewise.
	(do_contents, do_field): Likewise.
	* dpkg-deb/main.c (cipaction, action, cmdinfos, main): Likewise.
	* dpkg-split/join.c (do_join): Likewise.
	* dpkg-split/queue.c (do_auto): Likewise.
	* lib/dpkg.h (standard_startup, standard_shutdown): Likewise.
	* src/archives.c (destroyobstack, deconfigure, addfiletolist)
	(tarobject, check_breaks, check_conflict, archivefiles)
	(newconff_append): Likewise.
	* src/configure.c (deferred_configure, conffderef, md5hash): Likewise.
	* src/depcon.c (findbreakcyclerecursive, findbreakcycle)
	(depisok): Likewise.
	* src/enquiry.c (limiteddescription, badstatinfos, unpackchk)
	(assertversion, assertpredep, assertepoch, assertlongfilenames)
	(assertmulticonrep, predeppackage, cmpversions): Likewise.
	* src/errors.c (reports, print_error_perpackage): Likewise.
	* src/filesdb.c (diversions, diversionsfile, statoverridefile)
	(ensure_packagefiles_available, ensure_allinstfiles_available)
	(write_filelist_except, reversefilelist_init, reversefilelist_next)
	(ensure_diversions, iterfilestart, iterfilenext, filesdbinit)
	(findnamenode): Likewise.
	* src/help.c (checkpath, ensure_package_clientdata
	(vbuildarglist, cu_restorescriptsignals, script_catchsignals)
	(clear_istobes): Likewise.
	* src/main.c (cipaction, ignoredepends, forceinfos)
	(ACTION, OBSOLETE, ACTIONBACKEND, cmdinfos)
	(execbackend, commandfd, main): Likewise.
	* src/packages.c (queuehead, add_to_queue, packages, process_queue)
	(breakses_ok, dependencies_ok): Likewise.
	* src/processarc.c (process_archive): Likewise.
	* src/remove.c (deferred_remove, removal_bulk_remove_files)
	(removal_bulk_remove_leftover_dirs, removal_bulk_remove_configfiles)
	(removal_bulk): Likewise.
	* src/update.c (updateavailable): Likewise.
	* utils/start-stop-daemon.c (xgettimeofday, run_stop_schedule)
	(parse_options): Likewise.
	(pid_is_cmd, pid_is_user, pid_is_exec) [HAVE_KVM_H]: Likewise.

2008-01-15  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-shlibdeps.pl (filter_deps): Fix filtering of
	duplicated dependencies in fields of lesser priority. Dependencies
	coming from shlibs files have no associated version and this case
	wasn't handled properly.
	* scripts/dpkg-shlibdeps.pl: When the same binary is passed
	several times as parameters (associated to different fields),
	associate it to the most important field.

2008-01-14  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-genchanges.pl, scripts/dpkg-gencontrol.pl,
	scripts/dpkg-source.pl: Hint Perl into using UTF-8 for output
	on *.dsc, *.changes and DEBIAN/control files. Updated some open() calls
	for more consistency and added binmode() calls for filehandles that
	handle only binary data.

2008-01-13  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Fields.pm: Drop public function
	set_fields_importance() in favor of a method on
	Dpkg::Fields::Object. Integrate	public function
	sort_field_by_importance() in the output() method where it was
	used.
	* scripts/Dpkg/Changelog.pm, scripts/dpkg-genchanges.pl,
	scripts/dpkg-gencontrol.pl, scripts/dpkg-source.pl: Updated to use
	the set_field_importance() method instead of the removed function.
	* scripts/Dpkg/Control.pm: Update pod documentation to refer to
	Dpkg::Fields::Object instead of the invalid Dpkg::Cdata::Object.

2008-01-13  Frank Lichtenheld  <djpig@debian.org>

	* scripts/Dpkg/Fields.pm (dump): Allow to omit the
	filehandle argument. If the function is called in
	non-void context, also remove the printed string
	to the caller. Together this avoids having to fiddle
	with filehandles if the caller doesn't want to.
	(output): Likewise.
	* scripts/Dpkg/Changelog.pm (data2rfc822): Simplify
	using this new behaviour.

	* scripts/t/600_Dpkg_Changelog.t: Add a new changelog
	'fields' that tests the handling of the different fields
	in the dpkg format.

	* scripts/Dpkg/Changelog.pm: Replace all field hashes
	with Dpkg::Changelog::Entry objects.
	(Dpkg::Changelog::Entry): Base on Dpkg::Fields::Object.
	(data2rfc822): Use Dpkg::Fields::Object->output and fix
	handling of user-defined fields.
	(data2rfc822_mult): Merge into data2rfc822 (autodetect
	whether the argument is an object or an array of object).
	* scripts/Dpkg/Changelog/Debian.pm: Adapt for
	Dpkg::Changelog::Entry changes.
	* scripts/t/600_Dpkg_Changelog.t: Likewise.

2008-01-13  Frank Lichtenheld  <djpig@debian.org>

	* man/dpkg-parsechangelog.1: Document the new command line options.

2008-01-12  Raphaël Hertzog  <hertzog@debian.org>

	* man/dpkg-shlibdeps.1: Fix a typo reported by Helge Kreutzmann.

2008-01-12  Raphael hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Fields.pm, scripts/dpkg-source.pl: Add support of
	Dm-Upload-Allowed field. It automatically ends up in the dsc.

2008-01-12  Raphael hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Fields.pm: Define variables containing
	authoritative list of fields for debian/control (one for source
	stanza, one for package stanza).
	* scripts/dpkg-genchanges.pl, scripts/dpkg-gencontrol.pl,
	scripts/dpkg-source.pl: Use the new variables to properly ignore
	valid fields. Some related cleanup.

2008-01-11  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-gencontrol.pl: Also force version in ${binary:Version}
	if dpkg-gencontrol -v<version> is used. That way we're consistent
	with the definition of that variable in deb-substvars(5).

2008-01-10  Raphaël Hertzog  <hertzog@debian.org>

	* man/dpkg-source.1: Explain better the first parameter of the '-b'
	option.

2008-01-10  Raphaël Hertzog  <hertzog@debian.org>

	* debian/control: Add a "Breaks: dpkg-dev (= 1.14.13),
	dpkg-dev (= 1.14.14)" on dpkg to force upgrade of those dpkg-dev
	versions that would break with the move of the compression related
	variables from Dpkg.pm into Dpkg/Compression.pm.

2008-01-08  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Version.pm: Import missing error function from
	Dpkg::ErrorHandling.

	* scripts/po/POTFILES.in: Add many modules containing translatable
	strings.

	* scripts/Dpkg/Changelog.pm (parse_changelog): New function to
	replace controllib's parsechangelog.

	* scripts/dpkg-buildpackage.pl, scripts/dpkg-checkbuilddeps.pl,
	scripts/dpkg-genchanges.pl, scripts/dpkg-gencontrol.pl,
	scripts/dpkg-gensymbols.pl, scripts/dpkg-source.pl: Update scripts to
	use Dpkg::Changelog::parse_changelog instead of the old controllib.pl's
	parsechangelog. With this last change controllib.pl is no more used by
	any script.

	* scripts/controllib.pl: Removed as it's no more used by any
	script.

	* debian/dpkg-dev.install: Add missing modules.

2008-01-08  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-parsechangelog.pl: Make the
	-L option actually work (it's only been eleven
	years...)
	
	* scripts/Dpkg/ErrorHandling.pm (report): export.

2008-01-08  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Cdata.pm, scripts/Dpkg/Control.pm: Add two new
	module to parse and manipulate files like debian/control.
	* scripts/t/600_Dpkg_Control.t,
	scripts/t/600_Dpkg_Control/control-1: Add non-regression tests for
	Dpkg::Control and Dpkg::Cdata.
	* scripts/dpkg-checkbuilddeps.pl, scripts/dpkg-genchanges.pl,
	scripts/dpkg-gencontrol.pl, scripts/dpkg-gensymbols.pl,
	scripts/dpkg-shlibdeps.pl, scripts/dpkg-source.pl: Update scripts
	to use the new modules Dpkg::Cdata, Dpkg::Control,
	Dpkg::Fields::Object and Dpkg::Substvars.

	* scripts/Dpkg/Version.pm (check_version): New function replacing
	checkversion of controllib.pl.
	* scripts/dpkg-source.pl, scripts/dpkg-buildpackage.pl: Use the
	new check_version.

	* scripts/Dpkg/Vars.pm (set_source_package): New function to set
	and check the global variable $sourcepackage (replacing
	controllib's setsourcepackage).
	* scripts/dpkg-genchanges.pl, scripts/dpkg-gencontrol.pl,
	scripts/dpkg-source.pl: Use the new set_source_package.

	* scripts/dpkg-distaddfile.pl, scripts/dpkg-gencontrol.pl: Delete
	the chown(getfowner(), ...) on new files. It doesn't seem to do
	anything useful anymore as it got dropped from several other
	scripts over the years without problems.

	* scripts/dpkg-source.pl: Integrate readmd5sum from controllib here
	as it's the only user of that function.

	* scripts/controllib.pl: Get rid of everything except
	parsechangelog and its dependencies (parsecdata, syntax) that are
	still needed.

	* scripts/Makefile.am: Include all the new files in the
	distributed tarball.

2008-01-08  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/ErrorHandling.pm (syntaxerr): New function to
	replace the syntax() function in controllib.pl.

2008-01-07  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-genchanges.pl: Ignore Homepage field in binary package
	stanzas.
	* scripts/dpkg-source.pl: Likewise.

2008-01-07  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-checkbuilddeps.pl: Remove unused $dep_regex.

2008-01-07  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-checkbuilddeps.pl: Add build-essential as an implicit
	Build-Depends.

2008-01-07  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.16~.

2008-01-07  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.15.

2008-01-07  Guillem Jover  <guillem@debian.org>

	* src/archives.c (archivefiles): Use arglist instead of narglist.

2008-01-07  Guillem Jover  <guillem@debian.org>

	* lib/nfmalloc.c (nfmalloc): Remove inline keyword as extern inline
	changes semantics from GNU C to C99.
	* lib/varbuf.c (varbufaddc): Likewise.

2008-01-07  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/extract.c (extracthalf): Move negative member length check
	to ...
	(parseheaderlength): ... here. Change return type to size_t. Change
	variable r to ssize_t. Use strtol instead of strtoul to easily catch
	negative values.
	* dpkg-deb/info.c (info_spew): Use %zu in a format string instead of
	%lu to print pathlen, a size_t variable.
	* dpkg-split/queue.c (do_auto): Change j from unsinged int to int.
	Cast j to unsigned int when comparing it to i.
	* lib/varbuf.c (varbufprintf): Change ou from unsigned int to size_t.
	Change r from unsigned int to int. Cast value compared to r to int.
	(varbufprintf): Likewise.
	* src/archives.c (tarobject): Change r from size_t to ssize_t.
	Cast r to size_t when comparing it to symlinkfn.size.
	* src/main.c (setforce): Cast string difference to size_t instead of
	int.
	* utils/start-stop-daemon.c (parse_schedule): Change str_len from
	ptrdiff_t to size_t. Cast string difference to size_t instead of
	ptrdiff_t. Remove ptrdiff_t cast to sizeof.

2008-01-07  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/BuildOptions.pm (set): Parse all options separated
	by spaces or comma, do not lowercase the option names, do not match
	on name substrings, and on recognized options with invalid values
	discard the value or the entire option.
	* scripts/t/300_Dpkg_BuildOptions.t: Adjust test suite.

2008-01-06  Raphaël Hertzog  <hertzog@debian.org>

	* man/deb-control.5: Explain better the ordering of call of
	postinst/prerm during installations and removal between a package
	and its dependencies.

2008-01-06  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/Objdump.pm: Also retrieve dynamic relocation
	records from objdump by adding the -R option. Use this information
	to mark symbols affected by R_*_COPY relocations as undefined.
	They are initialized by the loader with values searched in the
	needed libraries.

	* scripts/Dpkg/BuildOptions.pm (set): Change the default value of
	the overwrite parameter to 1. The only use of this function in
	dpkg-buildpackage is missing the parameter and actually wants to
	overwrite the whole variable.
	* scripts/t/300_Dpkg_BuildOptions.t: Adjust the test suite for this
	change.

2008-01-04  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/SymbolFile.pm: Replace #DEPRECATED by
	#MISSING in the output and recognize both while parsing. People
	understand better that way.

2008-01-03  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-shlibdeps.pl (find_symbols_file): When libraries
	are found in non-packaged files, first try to find the
	corresponding symbols file in the build tree containing that
	library. On the opposite, don't look up symbols files in debian/*
	build directories for libraries found in installed packages (build
	trees are scanned first and thus if they contain a needed library
	dpkg-shlibdeps will find the library there and not in an installed
	package).
	* scripts/dpkg-shlibdeps.pl (my_find_library): When defining the
	list of package build trees to scan, also consider those that
	contain symbols files (instead of only considering those that have
	a shlibs file).
	* man/dpkg-shlibdeps.1: Document the change listed above.

	* scripts/dpkg-shlibdeps.pl: Add a new -S<pkgbuilddir> option to
	indicate a package build tree that should be scanned first when
	trying to find a library.
	* man/dpkg-shlibdeps.1: Document the new -S option.

	* scripts/dpkg-shlibdeps.pl (add_shlibs_dep): Use the same logic
	as find_symbols_files to find shlibs files. Check
	debian/*/DEBIAN/shlibs only when the library has not been found in
	an installed package, and give precedence to the shlibs provided
	by the binary package where the library has been found. Replaces
	the previous work-around that gave precedence to the package
	that contained the binary.
	* man/dpkg-shlibdeps.1: Document the above change in the shlibs
	search order.

2008-01-03  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-buildpackage.pl: Do not automatically enable '-j'
	if DEB_BUILD_OPTIONS contains parallel=n, and allow overriding
	its value from the environment.
	* man/dpkg-buildpackage.1: Document new -j behaviour.

2008-01-02  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c [!__GNUC__] (fatal, badusage): Remove
	redundant function declarations.

2008-01-02  Guillem Jover  <guillem@debian.org>

	* src/main.h (struct stat): New forward declaration.

2008-01-02  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h (warningf): Add PRINTFFORMAT attribute.
	(buffer_copy_setup_PtrInt): Likewise.
	(buffer_copy_setup_PtrPtr): Likewise.
	(buffer_copy_setup_IntPtr): Likewise.
	(buffer_copy_setup_IntInt): Likewise.
	(decompress_cat): Likewise.
	(compress_cat): Likewise.
	* lib/dpkg-db.h (log_message): Likewise.

2008-01-02  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h (NONRETURNPRINTFFORMAT): Remove macro.
	(ohshit): Use NONRETURNING and PRINTFFORMAT instead of
	NONRETURNPRINTFFORMAT.
	(ohshite): Likewise.
	(badusage): Likewise.
	* utils/start-stop-daemon.c (NONRETURNPRINTFFORMAT): Remove macro.
	(fatal): Use NONRETURNING and PRINTFFORMAT instead of
	NONRETURNPRINTFFORMAT.

2008-01-01  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-buildpackage.pl: Use Dpkg::Compression. Use $comp_regex
	to match compressed diffs and tarballs.

2008-01-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	* utils/start-stop-daemon.c (do_stop): Do not print 'failed to kill'
	warning when doing pid polling.

2008-01-01  Guillem Jover  <guillem@debian.org>

	* src/archives.c (archivefiles): Remove pointless strdup for execvp
	arguments.

2008-01-01  Ian Zimmerman  <itz@buug.org>

	* scripts/install-info.pl: Ignore wrapped lines when matching
	section titles.

2008-01-01  John Zaitseff  <J.Zaitseff@zap.org.au>

	* dselect/baselist.cc (baselist::wordwrapinfo): Stop processing when
	exceeding infopad line limit, and add a warning message.

2008-01-01  Sven Rudolph  <sr1@loom.sax.de>

	* dselect/baselist.cc (baselist::startdisplay): Set helpscreen_attr
	on monochrome terminals.

2007-12-30  A. Costa  <agcosta@gis.net>

	* man/dpkg-gensymbols.1, man/dpkg-shlibdeps.1: Fix some typos.
	* man/dpkg-source.1, man/deb-symbols.5: Likewise.

2007-12-28  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg.pm: Add a warning to avoid adding unnecessary stuff
	in that module.

2007-12-27  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg.pm (%EXPORT_TAGS, @EXPORT_OK): Remove.
	(@comp_supported, %comp_supported, %comp_ext, $comp_regex): Move
	variables ...
	* scripts/Dpkg/Compression.pm: ... here. New file.
	* scripts/dpkg-genchanges.pl: Use new module Dpkg::Compression
	instead of tag from Dpkg.
	* scripts/dpkg-source.pl: Likewise
	* scripts/Makefile.am (nobase_dist_perllib_DATA): Add
	'Dpkg/Compression.pm'.

2007-12-27  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/SymbolFile.pm: Blacklist some armel specific
	symbols (__exidx_end, __exidx_start).

2007-12-27  Raphaël Hertzog  <hertzog@debian.org>

	* Makefile.am: Add some missing files in EXTRA_DIST. And add a
	dist-hook rule to check that all files contained in the git
	repository (except .gitignore) are included in the dist tarball.

2007-12-27  Raphaël Hertzog  <hertzog@debian.org>

	* configure.ac: Bump version to 1.14.15~.

2007-12-27  Raphaël Hertzog  <hertzog@debian.org>

	* configure.ac: Release 1.14.14.

2007-12-27  Raphaël Hertzog  <hertzog@debian.org>

	* debian/control: Bump dpkg dependency to >= 1.14.13 in dpkg-dev
	as dpkg-source needs the latest Dpkg.pm.
	* debian/control: Add libio-string-perl to Build-Depends as it's
	needed for a non-regression test (200_Dpkg_Shlibs.t).
	* debian/control: Fix priority of dselect to match the priority
	set by ftpmasters.

2007-12-27  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.14~.

2007-12-27  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.13.

2007-12-27  Flavio Stanchina  <flavio@stanchina.net>

	* scripts/dpkg-divert.pl (checkrename): Do not ignore ENOENT for
	destination.

2007-12-27  Daniel Leidert  <daniel.leidert@wgdd.de>
            Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl: Refactor duplicate code into ...
	(checked_alternative): ... here. New function.
	(set_links): Call it.

2007-12-27  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl (gl): Use defined instead of length.

2007-12-27  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl (set_links): New function.
	(config_alternatives): Use set_links instead of duped code.
	(set_alternatives): Likewise.

2007-12-27  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl: Refactor all code to use
	checked_mv instead of duped code.

2007-12-27  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl: Refactor all code to use
	checked_symlink instead of duped code.

2007-12-27  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl (checked_rm): New function. Refactor
	all code to use it instead of duped code.

2007-12-26  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-source.pl: Provide a sane default $origtargz in all
	cases when such a file exists.

2007-12-24  Guillem Jover  <guillem@debian.org>

	* man/Makefile.am (all-local): Rename to ...
	(all-local-yes): ... this.
	(clean-local): Rename to ...
	(clean-local-yes): ... this.
	(install-data-local): Rename to ...
	(install-data-local-yes): ... this.
	(uninstall-local): Rename to ...
	(uninstall-local-yes): ... this.
	(all-local, all-local-no, clean-local, clean-local-no): New targets.
	(install-data-local, install-data-local-no): Likewise.
	(uninstall-local, uninstall-local-no): Likewise.

2007-12-20  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-shlibdeps.pl: Always consider the shlibs of the
	current package before the shlibs of other binary packages when
	looking for a dependency.

2007-12-13  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/t/500_Dpkg_Path.t, scripts/Makefile.am: Add new
	non-regression tests for functions provided by the Dpkg::Path
	module.

2007-12-12  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-genchanges.pl: Fix typo (syserror() -> syserr()).

2007-12-12  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-gencontrol.pl (spfileslistvalue): Use || to fallback to
	a default value instead of using a temporary variable and checking if
	it's not defined.

2007-12-12  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-genchanges.pl: Use ||= instead of checking if the
	variables are not defined.
	* scripts/dpkg-gencontrol.pl: Likewise.
	* scripts/update-alternatives.pl (fill_missing_slavepaths): Likewise.

2007-12-11  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Deps.pm: Add a compare function that compares
	dependencies more intelligently than a comparison on their
	string representation. In particular we want >= and >> to sort
	lower than << and <= so that intervals are nicely displayed
	as "a (>= 1), a (<< 2)" instead of the ugly "a (<< 2), a (>= 1)".

2007-12-10  Raphaël Hertzog  <hertzog@debian.org>

	* README.translators: Explain how to format Git commit messages.

2007-12-10  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/SymbolFile.pm (merge_symbols): Do not update
	the deprecated version of a symbol if it is already marked
	deprecated.

2007-12-09  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/SymbolFile.pm: Parse and dump properly
	new meta-information fields (on lines starting with an asterisk).
	Bugfix with alternate dependency handling that were not properly
	dumped. New functions get_dependencies() and get_field().
	* scripts/t/200_Dpkg_Shlibs.t,
	scripts/t/200_Dpkg_Shlibs/symbols.fake-2: Add a test case to
	verify that meta-information fields and alternate dependencies are
	properly parsed and dumped.
	* scripts/dpkg-shlibdeps.pl: Take into account the new
	Build-Depends-Package field in symbols files.
	* man/deb-symbols.5: Describe syntax of meta-information fields and
	document the Build-Depends-Package field.
	* man/dpkg-shlibdeps.1: Describe how the Build-Depends-Package field
	of symbols file is used.

2007-12-09  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/SymbolFile.pm (load): Pass the current
	object as last parameter so that included files do not need to
	repeat the header line.
	* scripts/t/200_Dpkg_Shlibs/symbols.fake-1,
	scripts/t/200_Dpkg_Shlibs/symbols.include-1: Adjust some tests
	to also test inclusions with included files lacking a header line.
	* man/dpkg-gensymbols.1: Remove the restriction that included files
	must be valid symbol files on their own.

2007-12-08  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-shlibdeps.pl: Doesn't warn any more about libm.so.6
	being unused if the binary is also linked against libstdc++ since
	g++ always add an implicit -lm.

2007-12-08  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs.pm (find_library): When it finds a library
	in a directory which is just a symlink to another directory that
	is also considered, remember the other directory name as the
	canonical one.
	* scripts/Dpkg/Path.pm: Add new function canonpath() and
	resolve_symlink().

2007-12-05  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-buildpackage.pl: Add new
	-A option (passed to dpkg-genchanges).
	* scripts/dpkg-genchanges.pl: Add new -A
	option that will include only arch-indep
	packages into the upload.

2007-12-05  Frank Lichtenheld  <djpig@debian.org>
	    Goswin von Brederlow  <brederlo@informatik.uni-tuebingen.de>
	    Bastian Blank  <waldi@debian.org>

	* scripts/dpkg-genchanges.pl: Support more
	than one arch and more than one type of
	a package in debian/files.

2007-12-04  Frank Lichtenheld  <djpig@debian.org>

	* dpkg-deb/info.c (info_spew): Replace a
	%ld with %lu to fix compiler warning.

	* scripts/dpkg-genchanges.pl: Use comp_regex
	from Dpkg to correctly exlucde the .orig.tar
	even if it is not compressed with gzip.

	* scripts/dpkg-source.pl: Move definition
	of @comp_supported, %comp_supported, %comp_ext,
	$comp_regex to...
	* scripts/Dpkg.pm: ...here. Make them exportable
	via the :compression tag.

	* scripts/Dpkg/ErrorHandling.pm (usageerr):
	Support format strings like all the other
	error reporting functions.

	* scripts/Makefile.am (EXTRA_DIST): Add
	missing files from scripts/t/.

	* debian/rules: Call dh_installchangelogs
	and dh_installdocs for all packages instead
	of only for dpkg.
	* debian/dpkg-dev.docs: Symlink to dpkg.docs.
	* debian/dselect.docs: Likewise.
	* debian/dpkg-dev.preinst: Remove
	/usr/share/doc/dpkg-dev symlink on upgrade.
	* debian/dselect.preinst: Likewise.

2007-11-29  Frank Lichtenheld  <djpig@debian.org>

	* scripts/controllib.pl (parsecdata): Fix
	regex to determine the field name correctly
	if the field's value starts with a colon.

2007-11-29  Frank Lichtenheld  <djpig@debian.org>

	* man/deb-control.5: Move description of version format to...
	* man/deb-version.5: Take the section from policy describing version
	format and sorting since this is probably as good as it gets for
	describing these.

2007-11-29  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.13~.

2007-11-29  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.12.

2007-11-29  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-scanpackages.pl: Use Dpkg::Version.
	(vercmp): Use compare_versions instead of 'dpkg --compare-versions'.

2007-11-29  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-scanpackages.pl: Use Dpkg::ErrorHandling. Use error
	syserr and subprocerr instead of die and sprintf.
	(load_override): Likewise.

2007-11-29  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-gencontrol.pl: Unify parsing of Section and Priority
	fields with Homepage.
	(%spvalue, %spdefault): Remove unued variables.
	(spfileslistvalue): Use %f instead of %spvalue.

2007-11-29  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-gencontrol.pl (spfileslistvalue): Add prototype. Move
	to the top of the file with the other functions.

2007-11-29  Guillem Jover  <guillem@debian.org>

	* src/main.c (log_file): Move definition to ...
	* lib/dpkg-db.h: ... here.
	* src/configure.c (status_pipes): Remove extern definition.
	* src/errors.c (status_pipes): Likewise.
	* lib/tarfn.c (TarExtractor): Do not declare as extern.

2007-11-29  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/build.c (arbitrary_fields): Define as static.
	* lib/dbmodify.c (fnis): Likewise.
	* lib/fields.c (conffvalue_lastword): Likewise.
	* lib/tarfn.c (StoC): Likewise.
	* src/packages.c (breaks_check_target): Likewise.
	* utils/start-stop-daemon.c (siglist): Likewise.

2007-11-28  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-gensymbols.pl: The environment variable
	DPKG_GENSYMBOLS_CHECK_LEVEL can override the level of checks made
	by dpkg-gensymbols. This offers the possibility to unofficial
	ports to ignore errors due to symbols files that do not correspond.

2007-11-28  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-shlibdeps.pl: Harmonize a failure message.
	* man/dpkg-shlibdeps.1: Provide explanations concerning the two
	failures that dpkg-shlibdeps might generate. This is needed so
	that maintainers have an idea of what to do to fix the problems.

2007-11-28  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-shlibdeps.pl: Do not fail if it
	can't find unversioned libraries, just output a warning.
	Consequently skip the check on symbols when some libs were not
	found because one can not be sure that the symbols was not
	provided by the missing library.

2007-11-28  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-shlibdeps.pl (find_packages): Make sure to always
	return [''] for a miss in the 'dpkg -S' query.
	* scripts/dpkg-shlibdeps.pl: Always try the realpath($lib) as
	fallback to identify the package (even if it's not a symlink)
	because due to broken RPATH we might get library filenames such as
	"/usr/lib/gcc/i486-linux-gnu/4.2.3/../../../../lib/libssl.so.9.8"
	which is not a symlink and which can still be simplified to
	"/usr/lib/libssl.so.9.8" with realpath().

2007-11-25  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs.pm (find_library): Canonicalize paths before
	returning them as bad RPATH can lead to non-canonical paths
	causing us troubles in dpkg-shlibdeps.
	* scripts/dpkg-gensymbols.pl: Some formatting fixes.
	* scripts/dpkg-shlibdeps.pl: Likewise.

2007-11-24  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-gensymbols.pl: Add a new -I<file> option to force
	the usage of a specific file as basis for the generated symbols
	file.
	* man/dpkg-gensymbols.1: Document the new -I<file> option.

2007-11-24  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.12~.

2007-11-24  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.11.

2007-11-24  Guillem Jover  <guillem@debian.org>

	* scripts/Makefile.am (clean-local): Run chmod only if t.tmp exists.

2007-11-24  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-scanpackages.pl (%vercache): Declare with 'my' instead
	of 'our'.
	* scripts/dpkg-shlibdeps.pl ($host_arch): Likewise.

2007-11-24  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/Arch.pm (get_raw_host_arch): Do not shadow
	$gcc_host_gnu_type with a local variable.

2007-11-24  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-scanpackages.pl: Use parenthesis to force the
	precedence when checking if the specified override file exists.

2007-11-24  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-scanpackages.pl: Do not require controllib.pl anymore.

2007-11-23  Aaron M. Ucko  <ucko@debian.org>

	* scripts/dpkg-shlibdeps.pl: Optimize "dpkg -S" lookups by caching
	results.

2007-11-23  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-shlibdeps.pl: Limit the number of warnings
	displayed about symbols not found in libraries to 10 per binary.

2007-11-23  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-shlibdeps.pl: Look for libs in the package's build
	tree even if that package doesn't contain an shlibs file. Then
	don't complain about missing dependency information if the lib is in
	the same package than the binary. Also ignore it if the library is
	not versionned and can't have an shlibs file.
	* scripts/Dpkg/Path.pm (guess_pkg_root_dir)
	(check_files_are_the_same): New helper functions.

2007-11-23  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.11~.

2007-11-23  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.10.

2007-11-23  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/Arch.pm (get_build_arch): Rename to ...
	(get_raw_build_arch): ... this.
	(get_build_arch): New function.
	(get_host_arch): Rename to ...
	(get_raw_host_arch): ... this. Use get_raw_build_arch instead of
	get_build_arch.
	(get_host_arch): New function.
	(@EXPORT_OK): Add get_raw_build_arch and get_raw_host_arch.
	* scripts/dpkg-architecture.pl: Import get_raw_build_arch and
	get_raw_host_arch instead of get_build_arch and get_host_arch.
	Fix all callers.

2007-11-23  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-architecture.pl (%env): Rename to ...
	(%v): ... this.
	($deb_build_arch, $deb_build_arch_os, $deb_build_arch_cpu)
	($deb_build_gnu_cpu, deb_build_gnu_system, deb_build_gnu_type)
	($deb_host_arch, $deb_host_arch_os, $deb_host_arch_cpu)
	($deb_host_gnu_cpu, $deb_host_gnu_system, $deb_host_gnu_type): Use
	the %v hash to store those variables using the values from @ordered
	as keys.
	($abi): New variable.

2007-11-23  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-gensymbols.pl (@librarypaths): Remove duplicated
	declaration.

2007-11-23  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/Fields.pm (%fieldimps): Declare with 'my' instead
	of 'our'.

2007-11-22  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-name.sh (getname): Get the package extension from the
	Package-Type field, or fallback to deb if not present.
	* man/dpkg-name.1: Document that the Package-Type field is now
	supported.

2007-11-22  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-shlibdeps.pl: Add more debug messages. Accept empty
	dependencies in shlibs files again. When symlinks to libraries are
	not found by "dpkg -S", try the same on the realpath of the
	library as fallback before deciding that it's a library being
	built.
	* scripts/Dpkg/Shlibs.pm: Always add paths from LD_LIBRARY_PATH
	at the beginning of the list of path to search, even if they
	are already listed (one might want to use LD_LIBRARY_PATH to
	change the search order).
	* scripts/dpkg-source.pl: Fix regex used to identify the extension
	of the orig.tar.{gz,bz2,lzma} file.

2007-11-21  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Shlibs/Objdump.pm (reset): Initialize HASH, GNU_HASH,
	SONAME and flags.
	(is_executable, is_public_library): Fix the checks.
	* scripts/t/200_Dpkg_Shlibs.t: Add some more tests to make sure
	the above functions behave as expected.
	* scripts/t/400_Dpkg_Deps.t: Add some more tests to make sure that
	empty dependency fields are correctly handled.
	* scripts/t/200_Dpkg_Shlibs/objdump.dbd-pg: New file.
	* scripts/t/200_Dpkg_Shlibs/objdump.ls: Likewise.
	* scripts/Makefile.am (EXTRA_DIST): Include
	't/200_Dpkg_Shlibs/objdump.dbd-pg' and 't/200_Dpkg_Shlibs/objdump.ls'.
	* scripts/controllib.pl (capit, set_field_importance)
	(sort_by_field_importance): Move functions to ...
	* scrips/Dpkg/Fields.pm: ... here. New file.
	* scripts/dpkg-shlibdeps.pl: Use Dpkg::Fields for capit().
	* scripts/dpkg-genchanges.pl: Use Dpkg::Fields for capit() and
	set_field_importance().
	* scripts/dpkg-gencontrol.pl: Likewise.
	* scripts/dpkg-source.pl: Likewise.

2007-11-20  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.10~.

2007-11-20  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.9.

2007-11-19  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Path.pm: Fix behaviour of get_pkg_root_dir() when
	there's no DEBIAN subdirectory in none of the parent directories.
	* scripts/dpkg-shlibdeps.pl: Handle undef values returned by
	get_pkg_root_dir() and complain when it's likely to create a
	problem (when a RPATH contains $ORIGIN and when the value of
	this variable can't be determined because we don't know what
	is the root directory of the temporary tree).
	* scripts/Dpkg/Deps.pm: Fix parse() to handle empty fields instead
	of returning undef.

2007-11-19  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.9~.

2007-11-19  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.8.

2007-11-19  Guillem Jover  <guillem@debian.org>

	* man/dpkg-architecture.1: Remove unneeded formatting surrounding '-c'
	in example command, as a side effect get rid of an undefined macro.
	* man/dpkg-checkbuilddeps.1: Remove usage of .UR macro, which was
	undefined anyway.
	* man/dpkg-statoverride.8: Likewise.
	* man/dpkg-query.1: Likewise. Remove .T macro cruft.

2007-11-19  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-source.pl: Use %dep_field_type for the union option
	to Dpkg::Deps::parse, and use capit() to normalize the field names,
	instead of hardcoding them.

2007-11-19  Guillem Jover  <guillem@debian.org>

	* pkg-deb/build.c (arbitrary_fields): Add Package-Type,
	Subarchitecture, Kernel-Version and Installer-Menu-Item.
	* scripts/dpkg-scanpackages.pl (@fieldpri): Likewise.
	(%field_case): Add type argument.
	(usage): Document --type argument, and mark --udeb as obsolete.
	* man/dpkg-scanpackages.1: Likewise.
	* scripts/dpkg-gencontrol.pl: Parse Package-Type, Subarchitecture,
	Kernel-Version and Installer-Menu-Item from control file binary
	stanza. Warn if udeb specific fields are used on non-udeb packages.
	Add package with proper extension to the files list file.
	(@control_fields): Add Package-Type, Subarchitecture, Kernel-Version
	and Installer-Menu-Item.
	($package_type): New variable.
	* scripts/dpkg-genchanges.pl: Ignore Package-Type, Subarchitecture,
	Kernel-Version and Installer-Menu-Item fields.
	* scripts/dpkg-source.pl: Likewise.

2007-11-15  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/Arch.pm (read_cputable): Force a sane input record
	separator.
	(read_ostable): Likewise.
	(read_triplettable): Likewise.

2007-11-04  Guillem Jover  <guillem@debian.org>

	* scripts/Makefile.am (clean): Set PERL5LIB to force use of shipped
	modules instead of system ones.

2007-11-04  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-architecture.pl: Move host and build arch detection
	to ...
	* scripts/Dpkg/Arch.pm (get_host_arch): ... here.
	(get_build_arch, get_gcc_host_gnu_type): Likewise. New function.

2007-11-04  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-architecture.pl: Wrap long strings for die calls
	at less than 80 chars.

2007-11-04  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/Arch.pm (debarch_to_gnutriplet): New function.
	(gnutriplet_to_debarch): Likewise.
	* scripts/dpkg-architecture.pl: Use debarch_to_gnutriplet and
	gnutriplet_to_debarch instead of nested calls to
	debtriplet_to_gnutriplet and debarch_to_debtriplet,
	debtriplet_to_debarch and gnutriplet_to_debtriplet.

2007-11-04  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-architecture.pl: Move setting of host and build arch
	variables after argument processing. Call list_arches from argument
	processing loop. Move architecture listing to ...
	(list_arches): ... here. New function.

2007-11-04  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/Arch.pm (get_valid_arches): Return an array instead of
	printing the architectures.

2007-10-29  Frank Lichtenheld  <djpig@debian.org>

	* man/dpkg-query.1: Replace ' with \(aq in example.
	Reported by Daniel van Eeden <daniel_e -at- dds nl>
	* man/dpkg-source.1: Replace ' with \(aq in synopsis.

2007-10-18  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/controllib.pl (parsedep, showdep): Remove unused functions.
	(@pkg_dep_fields, @src_dep_fields): Move variables to ...
	* scripts/Dpkg/Deps.pm: ... here. New file.
	* scripts/t/400_Dpkg_Deps.t: New file.
	* scripts/dpkg-checkbuilddeps.pl: Adapted to use the new
	Dpkg::Deps module.
	* scripts/dpkg-source.pl: Likewise.
	* scripts/dpkg-scanpackages.pl: Likewise.
	* scripts/dpkg-gencontrol.pl: Likewise. Also gains new features
	such as automatic simplification of dependencies.
	* man/dpkg-gencontrol.1: Document the new behaviour with
	dependency fields.

2007-10-18  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/ErrorHandling.pm (report): New function.
	(warning, warnerror, failure, syserr, error, internerr, unknown)
	(usageerr): Use report instead of sprintf. Accept a format string
	with variable number of arguments. Fix all callers.
	(subprocerr): Use failure instead of die and sprintf. Accept a
	format string with variable number of arguments. Fix all callers.

2007-10-18  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-buildpackage.pl (mustsetvar): Pass $text to sprintf
	instead of _g.

2007-10-15  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Version.pm: Fix compare_versions to handle properly
	the >= cases (it was improperly handled like >> due to a bad regexp).
	* debian/rules: Include cputable ostable triplettable in
	build-tree so that they are available during make check (Dpkg.pm
	exports ".." as $pkgdatadir during tests).
	* scripts/dpkg-shlibdeps.pl (my_find_library): Avoid unwanted
	modification of @pkg_shlibs.

2007-10-14  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/Dpkg/Version.pm: Mark compare_versions as exportable.

2007-10-13  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/Shlibs.pm: Do not call textdomain.
	* scripts/Dpkg/Shlibs/Objdump.pm: Likewise.
	* scripts/Dpkg/Shlibs/SymbolFile.pm: Likewise.

2007-10-13  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-gensymbols.pl: Use new Dpkg::Arch module.
	($host_arch): Initialize with get_host_arch instead of direct call to
	'dpkg-architecture'.

2007-10-12  Raphaël Hertzog  <hertzog@debian.org>

	* scripts/dpkg-shlibdeps.pl: Use get_host_arch from Dpkg::Arch.

2007-10-12  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl ($host_arch, get_host_arch, get_valid_arches)
	(@cpu, @os, %cputable, %ostable, %cputable_re, %ostable_re)
	(%debtriplet_to_debarch, %debarch_to_debtriplet, read_cputable)
	(read_ostable, read_triplettable, debtriplet_to_gnutriplet)
	(gnutriplet_to_debtriplet, debtriplet_to_debarch)
	(debarch_to_debtriplet, debwildcard_to_debtriplet)
	(debarch_eq, debarch_is): Move to ...
	* scripts/Dpkg/Arch.pm: ... here. New file.
	* scripts/Makefile.am (nobase_dist_perllib_DATA): Add 'Dpkg/Arch.pm'.
	* scripts/po/POTFILES.in: Add 'scripts/Dpkg/Arch.pm'.

	* scripts/controllib.pl: Use new Dpkg::Arch module.
	* scripts/dpkg-architecture.pl: Likewise.
	* scripts/dpkg-checkbuilddeps.pl: Likewise.
	* scripts/dpkg-genchanges.pl: Likewise.
	* scripts/dpkg-gencontrol.pl: Likewise.
	* scripts/dpkg-source.pl: Likewise.

	* scripts/dpkg-architecture.pl: Do not require controllib.pl anymore.

2007-10-12  Frank Lichtenheld  <djpig@debian.org>

	* scripts/t/300_Dpkg_BuildOptions.t: New file.
	Leads to the following fixes:
	* scripts/Dpkg/BuildOptions.pm (parse): Add
	support for nocheck and make it actually work.
	(set): Really set DEB_BUILD_OPTIONS. Discovered
	by Daniel Shepler.

2007-10-12  Frank Lichtenheld  <djpig@debian.org>

	* man/dpkg.1 (AUTHORS): Remove some unneccessary markup.
	Allows reuse of one more msgid.

	* man/Makefile.am (update-po): New target to easily
	update the .pot and .po files. Uses po4a --force.

2007-10-11  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl ($warnable_error, $quiet_warnings): Remove
	variable declarations.
	(failure, syserr, error, internerr, warning, warnerror)
	(subprocerr): Remove functions.
	(unknown, usageerr): Move functions to ...
	* scripts/Dpkg/ErrorHandling.pm: ... here.
	(usageerr): Call usage from main::.
	(@EXPORT_OK): Add usageerr and unknown.

	* scripts/822-date.pl: Use Dpkg::ErrorHandling.
	* scripts/changelog/debian.pl: Likewise.
	* scripts/controllib.pl: Likewise.
	* scripts/dpkg-architecture.pl: Likewise.
	* scripts/dpkg-buildpackage.pl: Likewise.
	* scripts/dpkg-checkbuilddeps.pl: Likewise.
	* scripts/dpkg-distaddfile.pl: Likewise.
	* scripts/dpkg-genchanges.pl: Likewise.
	* scripts/dpkg-gencontrol.pl: Likewise.
	* scripts/dpkg-gensymbols.pl: Likewise.
	* scripts/dpkg-parsechangelog.pl: Likewise.
	* scripts/dpkg-shlibdeps.pl: Likewise.
	* scripts/dpkg-source.pl: Likewise.

	* scripts/dpkg-buildpackage.pl ($warnable_error): Import from
	Dpkg::ErrorHandling instead of declaring as our.
	* scripts/dpkg-source.pl ($warnable_error, $quiet_warnings): Likewise.

	* scripts/822-date.pl: Do not require controllib.pl anymore.
	* scripts/dpkg-parsechangelog.pl: Likewise.
	* scripts/dpkg-shlibdeps.pl: Likewise.

2007-10-10  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/ErrorHandling.pm: Use Dpkg.
	($progname): Do not set nor declare it.

2007-10-10  Guillem Jover  <guillem@debian.org>

	* scripts/Dpkg/ErrorHandling.pm ($warnable_error): Set to 1 to match
	controllib.pl.

2007-10-10  Guillem Jover  <guillem@debian.org>

	* m4/arch.m4(_DPKG_ARCHITECTURE): Set PERL5LIB when calling
	dpkg-architecture.pl to use the shipped perl modules instead of
	the system ones.

2007-10-09  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-gensymbols.pl: Use new Dpkg module. Do not declare
	nor initialize $version, $dpkglibdir and $progname anymore.

2007-10-09  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-source.pl (usage): -W is the default
	for quite some time already. Adapt the description of
	-W and -E.
	* scripts/dpkg-buildpackage.pl (usage): Likewise.
	* man/dpkg-source.1: Likewise.
	* man/dpkg-buildpackage.1: Likewise.

	* scripts/dpkg-buildpackage.pl: Add -z/-Z to
	passthrough opts (will be passed to dpkg-source).
	* man/dpkg-buildpackage.1: Document all options only passed to
	dpkg-source. -s[nsAkurKUR], -z, and -Z were missing.

	* scripts/dpkg-source.pl: Support a subset of
	wig&pen (aka Format: 2.0) on build:
	Use .orig.tar.(bz2|lzma) if they are available
	and no .gz can be found. Also let the user specify
	via -Z(gzip|bzip2|lzma) how files that need to be
	generated should be compressed. -z([1-9]|best|fast)
	can be used to specify the compression level
	to use.
	* man/dpkg-source.1: Change the rest of the man page to not contain
	any hardcoded .gz references. Document -Z and -z.

2007-10-08  Raphaël Hertzog  <hertzog@debian.org>
	    Frank Lichtenheld  <djpig@debian.org>

	Merge dpkg-shlibdeps-buxy branch.

	* scripts/Dpkg/ErrorHandling.pm: New file.
	* scripts/Dpkg/Gettext.pm: Likewise.
	* scripts/Dpkg/Path.pm: Likewise.
	* scripts/Dpkg/Shlibs.pm: Likewise.
	* scripts/Dpkg/Shlibs/Objdump.pm: Likewise.
	* scripts/Dpkh/Shlibs/SymbolFile.pm: Likewise.
	* scripts/Dpkg/Version.pm: Likewise.

	* scripts/dpkg-shlibdeps.pl: Add support for "symbols" files.
	* man/dpkg-shlibdeps.1: Document "symbols" files support.

	* scripts/dpkg-gensymbols.pl: New file.
	* man/dpkg-gensymbols.1: Likewise.

	* scripts/t/000_pod.t: New file.
	* scripts/t/100_Dpkg_Version.t: Likewise.
	* scripts/t/200_Dpkg_Shlibs.t: Likewise.
	* scripts/t/200_Dpkg_Shlibs/ld.so.conf: Likewise.
	* scripts/t/200_Dpkg_Shlibs/ld.so.conf_2: Likewise.
	* scripts/t/200_Dpkg_Shlibs/ld.so.conf.d/inf_recurse.conf: Likewise.
	* scripts/t/200_Dpkg_Shlibs/ld.so.conf.d/normal.conf: Likewise.
	* scripts/t/200_Dpkg_Shlibs/ld.so.conf.d/recursive.conf: Likewise.
	* scripts/t/200_Dpkg_Shlibs/objdump.glib-ia64: Likewise.
	* scripts/t/200_Dpkg_Shlibs/objdump.libc6-2.3: Likewise.
	* scripts/t/200_Dpkg_Shlibs/objdump.libc6-2.6: Likewise.
	* scripts/t/200_Dpkg_Shlibs/symbols.fake-1: Likewise.
	* scripts/t/200_Dpkg_Shlibs/symbols.fake-2: Likewise.
	* scripts/t/200_Dpkg_Shlibs/symbols.include-1: Likewise.
	* scripts/t/200_Dpkg_Shlibs/symbols.include-2: Likewise.

2007-10-08  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.8~.

2007-10-08  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.7.

2007-10-08  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-source.pl: Do not replace substvars for build
	dependencies.

2007-10-08  Guillem Jover  <guillem@debian.org>

	* man/deb-control.5: Document Origin and Bugs fields.

2007-10-08  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-gencontrol.pl: Refer to host architecture (instead of
	build) in error string, and quote architecture name.

2007-10-08  Frank Lichtenheld  <djpig@debian.org>,
            Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl (debarch_is): Check if $alias is equal to
	$real or 'any' before mapping them to debtriplets.
	(debarch_to_debtriplet): Do not special case 'any' nor 'all'.
	(debarch_eq): Check if $a and $b are equal before mapping them to
	debtriplets.

2007-10-07  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-buildpackage.pl: Warn if run as root and $rootcommand
	has been specified. Error if run as non-root and $rootcommand is not
	found.

2007-10-07  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-buildpackage.pl (usage): Remove details about running
	fakeroot only if it's available.
	* man/dpkg-buildpackage.1: Document that fakeroot is now the default
	value in case -r is not specified.

2007-10-07  Frank Lichtenheld  <djpig@debian.org>
	    Marcel Toele  <mtoele@kern.nl>

	* scripts/dpkg-source.pl (handleformat): Include
	a trailing HT character in the diff labels if
	the filename contains spaces. Apparantly this is
	standard but undocumented diff behaviour.

2007-09-30  Frank Lichtenheld  <djpig@debian.org>

	* man/deb-control.5: Remove obsolete sentence regarding the role of
	the Priority and Section field. They have nothing to do with the
	archive layout since woody.

	* man/dpkg-source.1: Remove superfluous [options] from -b command
	description.

2007-09-29  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-buildpackage.pl: Call checkversion()
	on version extracted from changelog. Since other
	program we call later will do the same there is
	really no reason not to fail early.

	* scripts/dpkg-buildpackage.pl (testcommand):
	Make the check more sensible. Instead of testing
	/usr/bin/$cmd, test `which $cmd`.

	* scripts/dpkg-buildpackage.pl (signfile): Call
	gpg with --utf8-strings since otherwise the key
	lookup fails with non-ASCII UTF8-encoded names.
	Since Debian changelogs should be UTF8 encoded,
	this is probably the more sane default. This
	will probably break if one uses a non-UTF8 locale
	and tries to give a uid on the commandline that
	contains non-ASCII chars. I think we can live with
	that.

2007-09-28  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-buildpackage.pl (withecho): Remove
	empty strings at the begin of the command array.
	These can be caused by e.g. an emtpy $rootcommando.
	It is easiest to filter them out here.

2007-09-24  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-buildpackage.pl (signfile): Do not use absolute path
	for 'rm'.

2007-09-24  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-buildpackage.pl (usage): Fix typo
	s/dpkg-genchangs/dpkg-genchanges/.

2007-09-24  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-buildpackage.pl ($warnable_errors): Rename to ...
	($warnable_error): ... this, and declare as 'our'.

2007-09-24  Frank Lichtenheld  <djpig@debian.org>

	* man/dpkg-source.1: Rework documentation of -i and -I options to
	give clearer explanations and explain the differences between the
	two in syntax and semantics.

2007-09-24  Jari Aalto  <jari.aalto@cante.net>
            Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-source.pl: Allow use of -I
	without filename pattern and load a list
	of default patterns which is in effect as
	similar as possible to the default regexp
	of -i.
	* man/dpkg-source.1: Document new behaviour of -I option.

2007-09-23  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-buildpackage.pl: Add new option
	-j[<number>] that works like the make option of
	the same name. It will be passed to debian/rules in
	the MAKEFLAGS environment variable. Also the
	parallel=<n> DEB_BUILD_OPTIONS option will be honored
	and set correctly. The finally used value is determined by the
	following order: -j > DEB_BUILD_OPTIONS > MAKEFLAGS.
	Based on an idea by Robert Millan <rmh@aybabtu.com>.
	* scripts/Dpkg/BuildOptions.pm: Added. Support code
	for DEB_BUILD_OPTIONS handling by dpkg-buildpackage.
	* scripts/Makefile.am: Adapt.
	* man/dpkg-buildpackage.1: Document the new -j option.

2007-09-23  Jari Aalto  <jari.aalto@cante.net>

	* scripts/dpkg-source.pl ($diff_ignore_default_regexp): Add
	_MTN for monotone.

2007-09-20  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-sources.pl (version): Don't use
	printf if we don't need it, use print instead.

	* scripts/dpkg-buildpackage.sh (usage): Fix typo
	s/dpkg-genchangs/dpkg-genchanges/

	* scripts/Dpkg.pm: Make the regex for determining
	$progname more robust.

	* scripts/dpkg-buildpackage.sh: Move to...
	* scripts/dpkg-buildpackage.pl: Convert from
	Shell to Perl.
	* scripts/Makefile.am: Adapt to move.
	* scripts/po/POTFILES.in: Add dpkg-buildpackage.pl.

2007-09-18  Guillem Jover  <guillem@debian.org>

	* lib/mlib.c (checksubprocerr): Warn instead of erroring out in case
	of receiving a signal and having been asked to only warn.

2007-09-18  Guillem Jover  <guillem@debian.org>

	* src/remove.c (deferred_remove): Remove duplicate nested conditional,
	and move its contents to the outer one.

2007-09-14  Brian M. Carlson  <sandals@crustytoothpaste.ath.cx>

	* src/remove.c (deferred_remove): Store the previous package status
	when calling '<prerm> remove' and pass it to push_cleanup.
	* src/cleanup.c (cu_prermremove): Restore previous stored status if
	the '<postinst> abort-remove' call succeeds.

2007-09-08  Guillem Jover  <guillem@debian.org>

	* man/dpkg-scanpackages.1: Document that gzipped files are also used
	by apt.

2007-09-08  A. Costa  <agcosta@gis.net>

	* man/dpkg-deb.1: Fix typo ('seperated' -> 'separated').
	* man/start-stop-daemon.8: Fix typo ('themself' -> 'themselves').

2007-09-08  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-buildpackage.sh: Use fakeroot, if present, as default
	value for the '-r' option.

2007-09-06  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-genchanges.pl: Stop recognizing the obsolete Optional
	field.
	* scripts/dpkg-gencontrol.pl: Likewise.
	* scripts/dpkg-source.pl: Likewise.

2007-09-06  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-name.sh: Avoid escaped quotes messing with syntax
	highlighting by using $() instead of backticks.
	* scripts/dpkg-buildpackage.sh: Likewise.

2007-09-06  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-genchanges.pl ($host_arch): Do not declare as 'our'.
	* scripts/dpkg-gencontrol.pl ($host_arch): Likewise.

2007-09-06  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-genchanges.pl (%fieldimps): Remove unused variable.
	* scripts/dpkg-gencontrol.pl (%fieldimps): Likewise.
	* scripts/dpkg-source.pl (%fieldimps): Likewise.
	* scripts/controllib.pl (%fieldimps): Switch from 'our' to 'my'.

2007-09-06  Guillem Jover  <guillem@debian.org>

	* man/dpkg-scanpackages.1: Replace gzip with bzip2 as the requirement
	for compressed Packages files for apt.

2007-09-06  Guillem Jover  <guillem@debian.org>

	* scripts/822-date.pl: Add $dpkglib into @INC, needed by the
	controllib.pl require.

2007-09-06  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.7~.

2007-09-05  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.6.

2007-09-05  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-gencontrol.pl: Properly override Homepage field from
	binary package stanzas.

2007-08-31  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/build.c (arbitrary_fields): Add Tag.
	* scripts/dpkg-genchanges.pl: Ignore Tag field.
	* scripts/dpkg-gencontrol.pl: Parse Tag from binary package stanza.
	(@control_fields): Add Tag.
	* scripts/dpkg-scanpackages.pl (@fieldpri): Add Tag.
	* scripts/dpkg-source.pl: Ignore Tag field from binary package stanza.
	* man/deb-control.5: Document Tag field.
	* man/dpkg-query.1: Document Tag as a recognized field.

2007-08-31  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-genchanges.pl: Ignore Vcs-Browser, Vcs-Arch, Vcs-Bzr,
	Vcs-Cvs, Vcs-Darcs, Vcs-Git, Vcs-Hg, Vcs-Mtn and Vcs-Svn fields
	from control file source stanza.
	* scripts/dpkg-gencontrol.pl: Likewise.
	* scripts/dpkg-source.pl: Parse them instead.
	(@dsc_fields): Add them here.

2007-08-31  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-genchanges.pl: Do not leave unknown fields unwarned
	and explicitly ignore all known ones from control file source
	package stanza.

2007-08-30  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-genchanges.pl: Ignore XB- fields instead of XC- fields
	from control file binary package stanzas.

2007-08-28  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl: Fix regression introduced on commit
	from 2007-08-08, which was producing a warning due to usage of
	uninitialized variables.

2007-08-28  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-gencontrol.pl: Add comments about the second pass
	parsing for dependency fields. Remove handling of uninteresting fields
	in the second pass parsing.

2007-08-24  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-gencontrol.pl: Allow a package stanza to override the
	Homepage field from the source stanza.

2007-08-20  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/build.c (arbitrary_fields): New variable.
	(known_arbitrary_field): New function.
	(do_build): Call known_arbitrary_field to not warn on known arbitrary
	fields.
	* scripts/dpkg-genchanges.pl: Ignore Homepage field.
	* scripts/dpkg-gencontrol.pl: Parse Homepage from source package
	stanza.
	(@control_fields): Add Homepage.
	* scripts/dpkg-scanpackages.pl (@fieldpri): Add Homepage.
	* scripts/dpkg-source.pl: Parse Homepage from source package stanza.
	(@dsc_fields): Add Homepage.
	* man/deb-control.5: Document Homepage field.
	* man/dpkg-query.1: Document Homepage as a recognized field.

2007-08-18  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-divert.pl (infol): Check if parameters are defined
	before using them. Use defined instead of length to check for undef
	variables.

2007-08-14  Guillem Jover  <guillem@debian.org>

	* lib/parsehelp.c (parseerr): Switch from ternary operator to compose
	a string to a conditional call to the function with two different
	strings, making life easier for translators.
	* src/archives.c (tarobject): Likewise.
	* src/query.c (searchoutput): Switch from a loop with two iterations
	and ternary operators to compose strings to a conditional with two
	sequential calls with different strings, making life easier for
	translators.

2007-08-14  Guillem Jover  <guillem@debian.org>

	* dpkg-split/main.c (rerr): Adjust string so that it gets merged by
	gettext with a similar one.

2007-08-14  Guillem Jover  <guillem@debian.org>

	* src/archives.c (linktosameexistingdir): Mark strings for translation.

2007-08-11  Ian Jackson  <iwj@ubuntu.com>

	* src/archives.c (linktosameexistingdir): New function.
	(tarobject): Call linktosameexistingdir if the tarball and the on-disk
	files are symlinks and ignore the symlink if it returns true.

2007-08-08  Ian Jackson  <iwj@ubuntu.com>

	* scripts/update-alternatives.pl: In the case where the slave is
	inapplicable do not attempt to create the slave link before
	removing it again.

2007-08-08  Guillem Jover  <guillem@debian.org>

	* src/configure.c (deferred_configure): Do not print a new line
	if maintainer_script_installed returned true.

2007-08-08  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/build.c (do_build): Use NULL instead of '(char *)0'.
	* dpkg-deb/extract.c (movecontrolfiles, extracthalf): Likewise.
	* dpkg-deb/info.c (cu_info_prepare, info_prepare): Likewise.
	* src/cleanup.c (cu_prermupgrade, cu_prermdeconfigure)
	(cu_prerminfavour, cu_preinstverynew, cu_preinstnew)
	(cu_preinstupgrade, cu_postrmupgrade, cu_prermremove): Likewise.
	* src/configure.c (deferred_configure, suspend): Likewise.
	* src/help.c (maintainer_script_alternative)
	(ensure_pathname_nonexisting): Likewise.
	* src/processarc.c (process_archive): Likewise.
	* src/remove.c (deferred_remove, removal_bulk_remove_files)
	(removal_bulk_remove_configfiles): Likewise.

2007-08-08  Guillem Jover  <guillem@debian.org>

	* src/cleanup.c (cu_prermdeconfigure): Split call to
	maintainer_script_installed depending on the conflictor variable.
	* src/packages.c (dependencies_ok): Remove comment stating that
	Breaks needs to be implemented.
	* src/depcon.c (depisok): Likewise. Remove return at the beggining
	of the function checking for a Breaks dependency, that was
	efectively making it a no-op in that case.
	* src/processarc.c (process_archive): Fix indentation. Split calls
	in deconfigure code to printf and maintainer_script_installed
	depending on the removing variable.

2007-08-07  Guillem Jover  <guillem@debian.org>

	* src/query.c (listpackages): Instead of allocating an additional
	packages array with room for the the current amount of packages,
	sort the existing one, and print the packages matching the pattern,
	which fixes segfaults when the resulting array was bigger than the
	current amount of packages.
	(showpackages): For each package show it only once it matches any
	of the patterns, so we avoid duplicated results.

2007-08-07  Ian Jackson  <iwj@ubuntu.com>

	* man/deb-control.5: Document Breaks field.
	* man/dpkg-query.1: Document Breaks as a recognized field.
	* man/dpkg.1: Add description of '--force-breaks'.
	* scripts/controllib.pl (@pkg_dep_fields): Add 'Breaks'.
	* scripts/dpkg-genchanges.pl: Ignore Breaks field.
	* scripts/dpkg-source.pl: Likewise.
	* src/archives.c (try_remove_can): Rename to ...
	(try_deconfigure_can): ... this. Generalize dependency force check
	by taking a function as argument. Store the possible package removal
	which caused the deconfiguration in the xinfo member of the package
	to be deconfigured.
	(try_remove_can): New function.
	(check_breaks): Likewise.
	* src/archives.h (check_breaks): New prototype.
	* src/cleanup.c (cu_prermdeconfigure): Handle case when argv[1]
	might be 0, if deconfigure was due to Breaks.
	* src/configure.c (deferred_configure): Call breakses_ok.
	* src/depcon.c (depisok): Add Breaks support.
	* src/help.c (force_breaks): New function.
	* src/main.c (fc_breaks): New variable.
	(forceinfo): Add 'breaks' as a supported option for '--force-...'.
	* src/main.h (struct perpackagestate): Add xinfo member.
	(fc_breaks): New variable definition.
	(breakses_ok): New prototype.
	(force_depends): Likewise.
	* src/packages.c (breaks_check_one): New function.
	(breaks_check_target): Likewise.
	(breakses_ok): Likewise.
	* src/processarc.c (process_archive): Check for Breaks dependencies,
	instead of bailing out if field found. Distinguish between deconfigure
	due to a removal due to Conflicts or Depends, and deconfigure due to
	an installation due to Breaks. Run the deconfiguration of each
	package to be deconfigured once, instead of once per each conflicting
	package being removed.

2007-07-31  Ian Jackson  <iwj@ubuntu.com>

	* src/archives.c (quote_filename): Change formatting to match the
	rest of the file (tab -> 2 spaces).

2007-07-25  Guillem Jover  <guillem@debian.org>

	* scripts/changelog/debian.pl: Switch from 'dpkg-gettext.pl' to
	Dpkg::Gettext.

2007-07-22  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-gettext.pl: Move ...
	* scripts/Dpkg/Gettext.pm: ... here. Add a package statement.
	Fix all users.
	* scripts/Makefile.am (dist_pkglib_SCRIPTS): Remove 'dpkg-gettext.pl'.
	(nobase_dist_perllib_DATA): Add 'Dpkg/Gettext.pm'.

	* scripts/822-date.pl: Do not push $dpkglibdir into @INC anymore.
	* scripts/cleanup-info.pl: Likewise.
	* scripts/controllib.pl: Likewise.
	* scripts/dpkg-divert.pl: Likewise.
	* scripts/dpkg-scansources.pl: Likewise.
	* scripts/dpkg-statoverride.pl: Likewise.
	* scripts/install-info.pl: Likewise.
	* scripts/update-alternatives.pl: Likewise.

2007-07-22  Guillem Jover  <guillem@debian.org>

	* scripts/cleanup-info.pl: Use new Dpkg module, and remove variable
	declarations already present in the module.
	* scripts/controllib.pl: Likewise.
	* scripts/dpkg-architecture.pl: Likewise.
	* scripts/dpkg-checkbuilddeps.pl: Likewise.
	* scripts/dpkg-distaddfile.pl: Likewise.
	* scripts/dpkg-divert.pl: Likewise.
	* scripts/dpkg-genchanges.pl: Likewise.
	* scripts/dpkg-gencontrol.pl: Likewise.
	* scripts/dpkg-parsechangelog.pl: Likewise.
	* scripts/dpkg-scanpackages.pl: Likewise.
	* scripts/dpkg-scansources.pl: Likewise.
	* scripts/dpkg-shlibdeps.pl: Likewise.
	* scripts/dpkg-source.pl: Likewise.
	* scripts/dpkg-statoverride.pl: Likewise.
	* scripts/install-info.pl: Likewise.
	* scripts/update-alternatives.pl: Likewise.
	* scripts/822-date.pl: Likewise.
	* changelog/debian.pl: Likewise.

	* scripts/controllib.pl (init_substvars): Remove comment about
	$version needing to be a global variable set elsewhere.

	* scripts/dpkg-scanpackages.pl: Remove $0 mangling.
	(version, usage): Use $progname instead of $0.
	* scripts/dpkg-statoverride.pl: Likewise.
	* scripts/install-info.pl: Likewise.
	* scripts/dpkg-divert.pl: Likewise.
	(quit, badusage): Use $progname instead of $0.
	* scripts/update-alternatives.pl: Likewise.
	* scripts/dpkg-scansources.pl ($Me): Remove declaration.
	(xwarndie_mess, version, usage): Use $progname instead of $Me.

2007-07-21  Guillem Jover  <guillem@debian.org>

	* m4/perl.m4 (DPKG_PROG_PERL): Add support for user overridable
	PERL_LIBDIR variable, autodetected from the system installation.
	* scripts/Makefile.am (perllibdir): New variable.
	(nobase_dist_perllib_DATA): Likewise.
	(install-data-hook): New target.
	* scripts/Dpkg.pm: New file.

2007-07-18  Guillem Jover  <guillem@debian.org>

	* man/cleanup-info.8: Unify author and copyright information
	formatting.
	* man/deb-substvars.5: Likewise.
	* man/dpkg-checkbuilddeps.1: Likewise.
	* man/dpkg-deb.1: Likewise.
	* man/dpkg-divert.8: Likewise.
	* man/dpkg-name.1: Likewise.
	* man/dpkg-query.1: Likewise.
	* man/dpkg-split.1: Likewise.
	* man/dpkg-statoverride.8: Likewise.
	* man/install-info.8: Likewise.
	* man/update-alternatives.8: Likewise.

2007-07-18  Guillem Jover  <guillem@debian.org>

	* man/dpkg.1: Split independent options.
	* man/dpkg-buildpackage.1: Likewise.
	* man/dpkg-genchanges.1: Likewise.
	* man/dpkg-source.1: Likewise.

2007-07-18  Guillem Jover  <guillem@debian.org>

	* man/dpkg-buildpackage.1: Remove ', and' leftover from man page split.
	Substitute 'FILES' with 'SEE ALSO'.

2007-07-18  Guillem Jover  <guillem@debian.org>

	* man/dpkg-deb.1: Remove space before ellipsis in parameters.
	* man/dpkg-query.1: Likewise.
	* man/update-alternatives.8: Likewise.
	* man/dpkg.1: Likewise. Use commas instead if pipes to separate
	alternative options. Remove redundant preceding 'dpkg' from options.

2007-07-18  Guillem Jover  <guillem@debian.org>

	* man/dpkg.1: Fix italics and bold usage.
	* man/dpkg-divert.8: Likewise.
	* man/dpkg-buildpackage.1: Likewise.

2007-07-10  Frank Lichtenheld  <djpig@debian.org>

	* man/dpkg.1, man/dpkg-query.1, man/dpkg-deb.1: Synchronise usage
	information between these three man pages. Also fix some formatting
	oddities and small mistakes.

2007-07-04  Frank Lichtenheld  <djpig@debian.org>

	* man/Makefile.am (uninstall-local): New target to remove the
	translated man pages. Detected with the help of 'make distcheck'.

2007-07-03  Frank Lichtenheld  <djpig@debian.org>

	* configure.ac: Bump version to 1.14.6~.

	* configure.ac: Release 1.14.5.

2007-07-02  Frank Lichtenheld  <djpig@debian.org>

	* COPYING: Update to current version of GPL v2
	text. Updates FSF address and LGPL name.

2007-07-01  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-source.pl: Warn that newly created empty files are
	not currently represented in the diff.

2007-07-01  Ian Jackson  <ian@davenant.greenend.org.uk>

	* scripts/dpkg-source.pl: Don't remove setgid bits
	on directories when extracting the .orig tarball
	since the user might prefer to have them. Also don't
	manually override user and group for extracted
	directories. Instead we will take tar take of most
	of that.
	(extracttar): Explicetly specify --no-same-owner
	and --no-same-permissions. They are default anyway
	for non-root users, but no need to handle the source
	differently (i.e. more carelessly) if working as root.
	Since tar still insists on honoring the file permissions in the
	tar ball, fix them up so that they match what the user would
	expect according to his umask.

2007-06-13  Guillem Jover  <guillem@debian.org>

	* man/dpkg-source.1: Remove section describing few dpkg-gncontrol
	options.

2007-06-12  Jiří Paleček  <jpalecek@web.de>

	* dpkg-shlibdeps.pl: Support colon separated list of paths in the
	ELF RPATH field.

2007-06-12  Guillem Jover  <guillem@debian.org>

	* man/dpkg-source.1: Fix explanation of '-b' option, remove a
	reference to checking for a missing empty string argument, and add a
	reference to '-sX' arguments affecting the behaviour.
	* man/install-info.8: Remove an additional space. Mark gzip in bold
	and remove redundant reference to GNU.

2007-06-12  Guillem Jover  <guillem@debian.org>

	* man/deb-substvars.5: Unify title header.
	* man/dpkg.1: Likewise.
	* man/dpkg-buildpackage.1: Likewise.
	* man/dpkg-checkbuilddeps.1: Likewise.
	* man/dpkg-deb.1: Likewise.
	* man/dpkg-divert.8: Likewise.
	* man/dpkg-scanpackages.1: Likewise.
	* man/dpkg-scansources.1: Likewise.
	* man/dpkg-shlibdeps.1: Likewise.
	* man/dpkg-source.1: Likewise.
	* man/dpkg-statoverride.8: Likewise.
	* man/install-info.8: Likewise.
	* man/update-alternatives.8: Likewise.

2007-06-12  Guillem Jover  <guillem@debian.org>

	* man/dpkg-divert.8: Mark dpkg-* commands in bold.
	* man/dpkg-buildpackage.1: Likewise.
	* man/dpkg-source.1: Likewise.
	* man/dpkg-statoverride.8: Likewise.

2007-06-12  Guillem Jover  <guillem@debian.org>

	* man/dpkg-source.1: Reference deb-substvars instead of dpkg-substvars.
	* man/dpkg-genchanges.1: Likewise.
	* man/dpkg-gencontrol.1: Likewise.

2007-06-12  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-scanpackages.pl: Move check for existence of $override
	outside load_override. Move load_override after having filled the
	%packages information.
	(load_override): Assume $override is always defined.

2007-06-06  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-source.pl ($diff_ignore_default_regexp): Add '.shelf'.

2007-06-06  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-source.pl (%archadded): Move to an outer scope to
	avoid duped entries in the output Architecture field.

2007-05-24  Guillem Jover  <guillem@debian.org>

	* ostable: Add gnulp-linux.
	* triplettable: Add gnulp-linux-i386 to lpia mapping.

2007-05-24  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.5~.

2007-05-24  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.4.

2007-05-24  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl (debarch_to_debtriplet): Match exactly 'any'
	or 'all', recognize again 'linux-<arch>', and do not accept unknown
	debtriplets.
	(debwildcard_to_debtriplet): New function.
	(debarch_is): Use debwildcard_to_debtriplet for the wildcard
	parameter.

2007-05-23  Guillem Jover  <guillem@debian.org>

	Revert commit on 2007-04-28 by Aaron M. Ucko <ucko@debian.org>.

	* scripts/dpkg-shlibdeps.pl: Trim down duplicated files from @libfiles
	only when passing it to dpkg-query instead.

2007-05-23  Kylan Robinson  <Kylan_Robinson@selinc.com>

	* scripts/dpkg-source.pl: Fix regex (/\.debian.tar/ ->
	/\.debian\.tar/).

2007-05-23  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-source.pl ($copy_required): New variable.
	($dumptardev, $dumptarino): Move declaration inside the block issues
	the stat call, and only compare them against $dsctardev and $dsctarino
	if the stat succeeded.

2007-05-21  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-statoverride.pl ($pat): Rename to ...
	($pattern): ... this. Fixes $pattern being an unused variable.
	($file): Move the declaration to its first usage in the for loop.

2007-05-15  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.4~.

2007-05-15  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.3.

2007-05-15  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-divert.pl (checkmanymodes): Change the error message to
	say 'commands' instead of 'modes'.
	* scripts/dpkg-statoverride.pl (CheckModeConflict): Likewise. Use
	gettext for the string.

2007-05-15  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (daemonize): Use _exit instead of exit, to
	avoid side effects while the parents terminate.

2007-05-15  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (main): Move daemonizing code to ...
	(daemonize): ... here. New function. Fork twice.

2007-05-15  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl: Call fill_missing_slavepaths at the
	end of the 'install' conditional.
	(fill_missing_slavepaths): New function.

2007-05-15  Guillem Jover  <guillem@debian.org>

	* man/deb-control.5: Document comments in the control file.

2007-05-15  Guillem Jover  <guillem@debian.org>

	* man/install-info.8: Disambiguate the use of 'Info directory' with
	'Info dir file'.

2007-05-15  Kurt B. Kaiser  <kbk@shore.net>

	* man/install-info.8: Add missing commas, and information on the
	behaviour when no '--section' option is specifyied.

2007-05-14  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-divert.pl ($divertto, $package): Initialize to undef
	instead of an empty string.

2007-05-13  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl (debarch_eq): Return 0 if
	debarch_to_debtriplet returns any undef value.
	(debarch_is): Likewise. As a side effect of changing to use arrays for
	the real and alias architectures, all parts of the triplet are now
	compared against 'any' as well.
	* scripts/dpkg-genchanges.pl: Remove redundant debarch_is being
	handled already in the grep.
	* scripts/dpkg-gencontrol.pl: Likewise.

2007-05-12  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl (debian_arch_eq): Rename to ...
	(debarch_eq): ... this. Add prototype. Fix all callers.
	(debian_arch_is): Rename to ...
	(debarch_is): ... this. Add prototype. Fix all callers.

2007-05-12  Guillem Jover  <guillem@debian.org>

	* man/deb-substvars.5: Fix title to match the real section.

2007-05-11  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl ($manual): Rename to ...
	($mode): ... this. Fix all users.
	(read_link_group): Change gl() name from 'manflag' to 'update_mode',
	and badfmt() string from 'manflag' to 'invalid update mode'.

2007-05-11  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl ($mode): Rename to ...
	($action): ... this. Fix all users.
	(checkmanymodes): Rename to ...
	(check_many_actions): ... this. Fix all callers. Add prototype.
	Change the error message to say 'commands' instead of 'modes'.

2007-05-10  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-genchanges.pl: Only use the %p2f values if defined.

2007-05-09  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.3~.

2007-05-09  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.2.

2007-05-09  Guillem Jover  <guillem@debian.org>

	* man/Makefile.am (install-data-local): Install the translated man
	pages from the srcdir.

2007-05-09  Guillem Jover  <guillem@debian.org>

	* Makefile.am (EXTRA_DIST): Add 'debian/dpkg-dev.lintian-overrides',
	'debian/dpkg.lintian-overrides', 'debian/dselect.lintian-overrides'
	and 'debian/source.lintian-overrides'.

2007-05-09  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl: Create the generic name symlinks
	when there's none, or when it differs to the current one.

2007-05-09  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl (config_message): Handle the case
	when @versions is empty. Return a negative value if there's nothing to
	do, 0 on success.
	(config_alternatives): Check for config_message exit value to decide
	to return instead of @versions being empty.

2007-05-09  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-buildpackage.sh: Remove check for variable being empty,
	as the path check quoted, thus removing the bashisms.

2007-05-08  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.2~.

2007-05-08  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.1.

2007-05-08  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.1~.

2007-05-08  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.14.0.

2007-05-08  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl (read_cputable): Localize $_.
	(read_ostable): Likewise.
	(read_triplettable): Likewise.
	(parsedep): Check first for the negated architectures.
	* scripts/dpkg-checkbuilddeps.pl: Do not enable slurp mode globally.
	Use get_host_arch instead of directly dpkg-architecture.

2007-05-08  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-genchanges.pl ($pkgdatadir): New variable.
	* scripts/dpkg-gencontrol.pl: Likewise.
	* scripts/dpkg-source.pl: Likewise.
	* scripts/dpkg-checkbuilddeps.pl: Likewise.
	($dpkglibdir): Change to '..'.

2007-05-08  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl: Do not exit with an error on
	'--remove' with a non-existing link group file for now, to be
	consistent with the case when trying to remove an non-existing path.

2007-05-08  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl: Fix warning when executed w/o any
	option.

2007-05-08  Guillem Jover  <guillem@debian.org>

	* Makefile.am (EXTRA_DIST): Rename debian/pseudo-tags to
	debian/usertags.
	* man/Makefile.am (dist-hook): New target.
	(EXTRA_DIST): New variable.

2007-05-07  Guillem Jover  <guillem@debian.org>

	* ostable: Add gnueabi-linux.
	* triplettable: Add gnueabi-linux-arm to armel mapping.

2007-05-07  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl (%debtriplet_to_debarch): New variable.
	(%debarch_to_debtriplet): Likewise.
	(split_gnu, split_debian): Remove functions.
	(debian_arch_fix, debian_arch_split): Likewise.
	(debian_to_gnu, gnu_to_debian): Likewise.
	(read_triplettable): New function.
	(gnutriplet_to_debtriplet, debtriplet_to_gnutriplet): Likewise.
	(debtriplet_to_debarch, debarch_to_debtriplet): Likewise.
	(get_valid_arches): Call read_cputable and read_ostable if @cpu or @os
	are empty. Use debtriplet_to_debarch instead of debian_arch_fix.
	(debian_arch_eq): Use debarch_to_debtriplet instead of
	debian_arch_split. Compare the whole Debian triplet.
	(debian_arch_is): Likewise.
	* scripts/dpkg-architecture.pl: Do not call the now internal functions
	read_cputable and read_ostable. Use debtriplet_to_gnutriplet,
	gnutriplet_to_debtriplet, debarch_to_debtriplet and
	debtriplet_to_debarch instead of debian_to_gnu, gnu_to_debian.
	* debian/archtable: Update comment to reflect the new Debian triplet.
	* cputable: Likewise.
	* ostable: Likewise. Include the ABI information in the Debian name.
	* triplettable: New file.
	* Makefile.am (dist_pkgdata_DATA): Add triplettable.

2007-05-04  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-architecture.pl: Use get_valid_arches instead of
	directly using @os and @cpu variables.
	($pkgdatadir): Change from a 'my' to an 'our' variable.
	(@cpu, @os, %cputable, %ostable, %cputable_re, %ostable_re,
	read_cputable, read_ostable, split_debian, debian_to_gnu,
	split_gnu, gnu_to_debian): Move to ...
	* scripts/controllib.pl: ... here.
	($pkgdatadir): Declare as 'our'.
	(get_valid_arches): New function.

2007-05-04  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl: Call read_link_group also in
	'install' mode, but do not exit nor print an error if the link goup
	file does not exist.

2007-05-02  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl: Move the ENOENT errno check from
	the if conditionals to the block body to avoid comparing against an
	undef value on the next elsif conditional.

2007-04-28  Aaron M. Ucko  <ucko@debian.org>

	* scripts/dpkg-shlibdeps.pl (unique_libfiles): New variable. Do not
	track duped libraries already on it.

2007-04-11  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-parsechangelog.pl: Use static and warnings. Declare
	variables with 'my'.
	* scripts/dpkg-scansources.pl: Likewise.
	* scripts/controllib.pl: Likewise. Globals with 'our'.
	* scripts/822-date.pl: Likewise.
	* scripts/dpkg-architecture.pl: Likewise.
	* scripts/dpkg-checkbuilddeps.pl: Likewise.
	* scripts/dpkg-distaddfile.pl: Likewise.
	* scripts/dpkg-genchanges.pl: Likewise.
	* scripts/dpkg-gencontrol.pl: Likewise.
	* scripts/dpkg-shlibdeps.pl: Likewise.
	* scripts/dpkg-source.pl: Likewise.
	* scripts/controllib.pl (parsecdata): Use 'my' instead of 'local'.
	(subprocerr): Likewise.
	(debian_arch_fix): Likewise.
	* scripts/dpkg-architecture.pl (debian_to_gnu): Likewise.
	(gnu_to_debian): Likewise.
	* scripts/controllib.pl (getfowner): Remove redundant closures of
	STDIN.

2007-04-11  Guillem Jover  <guillem@debian.org>

	* man/Makefile.am (man.stamp): Use a stamp file for now until po4a
	supports them internally.
	(all-local): Depend on man.stamp.
	(clean-local): Remove the man.stamp file.

2007-04-11  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl (@pkg_dep_fields): Reorder fields by
	importance.
	(set_field_importance): New function.
	(sort_field_by_importance): Likewise.
	(outputclose): Use sort_field_by_importance instead of direct sorting.
	* scripts/changelog/debian.pl (%fieldimps): Do not set directly, use
	set_field_importance instead.
	* scripts/dpkg-genchanges.pl: Likewise.
	* scripts/dpkg-gencontrol.pl: Likewise.
	* scripts/dpkg-source.pl: Likewise.
	* scripts/changelog/debian.pl (@changelog_fields): New variable.
	* scripts/dpkg-genchanges.pl (@changes_fields): New variable.
	* scripts/dpkg-gencontrol.pl (@control_fields): New variable.
	* scripts/dpkg-source.pl (@dsc_fields): New variable.
	* scripts/dpkg-scanpackages.pl: Require 'controllib.pl'.
	(@pkg_dep_fields): Declare as 'our'.
	(@fieldpri): Reorder fields, use '@pkg_dep_fields' instead of
	hardcoded list.

2007-04-05  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl (get_host_arch): New function.
	(findarch): Rename to ...
	(init_substvar_arch): ... this. Use get_host_arch to set the substvar.
	Fix all callers.
	(parsedep): Use get_host_arch instead of directly calling
	dpkg-architecture.
	* scripts/dpkg-genchanges.pl: Use '$host_arch' instead of '$arch'.
	(init_substvar_arch): Delay call until after init_substvars.
	* scripts/dpkg-gencontrol.pl: Likewise.

2007-04-03  Guillem Jover  <guillem@debian.org>

	* dpkg-genchanges.pl: Mark string for translation.

2007-04-03  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl (warn): Rename to ...
	(warning): ... this, to avoid collisions with the perl builtin. Fix
	all users.

2007-04-03  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl: Use defined instead of length, when variables
	might be undefined.
	* scripts/update-alternatives.pl: Likewise.
	* scripts/dpkg-source.pl: Likewise.
	* scripts/dpkg-genchanges.pl: Likewise.
	* scripts/dpkg-gencontrol.pl: Likewise.
	* scripts/dpkg-shlibdeps.pl: Likewise.

2007-04-03  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-checkbuilddeps.pl ($control): Remove redundant
	variable.

2007-04-03  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-source.pl (fieldimps): Add 'Uploaders'.

2007-03-25  Nicolas François  <nicolas.francois@centraliens.net>

	* m4/libs.m4: Fix typo (supoprt->support).

2007-03-23  Guillem Jover  <guillem@debian.org>

	* debian/pseudo-tags: Renamed to ...
	* debian/usertags: ... this. Updated with the usertags information.
	* debian/dpkg.docs: Install usertags instead of pseudo-tags.

2007-03-21  Jeffrey W. Baker  <jwbaker@acm.org>
            Guillem Jover  <guillem@debian.org>

	* src/archives.c (wanttoinstall): Use vdew_nonambig instead of
	vdew_never on versiondescribe.
	* src/configure.c (deferred_configure): Likewise.
	* src/query.c (list1package): Likewise.
	* dselect/pkgsublist.cc (packagelist::add): Likewise.
	* dselect/pkgtop.cc (packagelist::redraw1itemsel): Likewise.

2007-03-21  Guillem Jover  <guillem@debian.org>

	* dselect/main.cc: Remove duplicated included files <sys/types.h> and
	<sys/stat.h>. Move <fcntl.h> to the system block.

2007-03-21  Guillem Jover  <guillem@debian.org>

	* dselect/method.h: Fix typo in copyright year ('20001'-> '2001').

2007-03-21  Guillem Jover  <guillem@debian.org>

	* configure.ac (AM_GNU_GETTEXT_VERSION): Quote the argument.
	(AC_CHECK_HEADERS): Check for 'locale.h'.
	* lib/gettext.h: Updated file from gettext 0.16.1.

2007-03-21  Guillem Jover  <guillem@debian.org>

	* configure.ac (AM_GNU_GETTEXT_VERSION): Bump to 0.16.1.

2007-03-20  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-source.pl ($diff_ignore_default_regexp): Add '.hg'.

2007-03-13  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl (parsechangelog): Only binmode CDATA from the
	parent side of the opened pipe, on the child side binmode STDOUT.

2007-03-13  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-shlibdeps.pl: Use new style file handler references.

2007-03-13  Guillem Jover  <guillem@debian.org>

	* lib/compression.c (compress_cat): Support compress_type_lzma.
	* dpkg-deb/build.c (do_build): Likewise.
	* dpkg-deb/main.c (usage): Document that '-Z' now accepts lzma as well.
	(setcompresstype): Parse 'lzma' as compress_type_lzma.
	* man/dpkg-deb.1: Move '-z' to it's own OPTIONS entry. Document '-Z',
	and the new 'lzma' value.

2007-03-12  Guillem Jover  <guillem@debian.org>

	* man/dpkg-source.1: Split individual man pages to ...
	* man/deb-shlibs.5: ... here and ...
	* man/deb-substvars.5: ... here and ...
	* man/dpkg-buildpackage.1: ... here and ...
	* man/dpkg-distaddfile.1: ... here and ...
	* man/dpkg-genchanges.1: ... here and ...
	* man/dpkg-gencontrol.1: ... here and ...
	* man/dpkg-parsechangelog.1: ... here and ...
	* man/dpkg-shlibdeps.1: ... here.
	* man/Makefile.am (all-local): Do not make the symlinks anymore.
	(dpkg_source_aliases): Move to ...
	(dist_man_MANS): ... here.
	(man_MANS): Remove variable.
	(CLEANFILES): Likewise.

2007-03-12  Guillem Jover  <guillem@debian.org>

	* man/Makefile.am (dist_man_MANS): Add deb-override.5.
	* man/dpkg-scanpackages.1: Move override file information to ...
	* man/deb-override.5: ... here.

	* man/dpkg-scanpackages.1: Add a reference to deb-override.5.
	* man/dpkg-scansources.1: Likewise.

2007-03-12  Guillem Jover  <guillem@debian.org>

	* scripts/changelog/debian.pl: Fix call to outputclose by not passing
	anything to it.
	($varlistfile): Remove unused variable.

2007-03-12  Guillem Jover  <guillem@debian.org>

	* lib/dpkg.h (compression_type): Rename to ...
	(compress_type): ... this. Fix all users.
	(CAT): Rename to ...
	(compress_type_cat): ... this. Fix all users.
	(GZ): Rename to ...
	(compress_type_gzip): ... this. Fix all users.
	(BZ2): Rename to ...
	(compress_type_bzip2): ... this. Fix all users.

2007-03-06  Guillem Jover  <guillem@debian.org>

	* lib/compression.c (fd_fd_filter): New function, refactored. As
	a side effect the 'failed to exec' string gets unified, and all
	commands use oshite now.
	(decompress_cat): Use fd_fd_filter instead of the duped code.
	(compress_cat): Likewise.

2007-03-06  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-scanpackages.pl (usage): Documemt that the override
	file is now optional.
	(load_override): New function, refactored. Handle the case where
	'$override' is undefined.
	* man/dpkg-scanpackages.1: Mark the override argument as optional.

2007-03-06  Guillem Jover  <guillem@debian.org>

	* man/update-alternatives.8: Reorder EXAMPLES section.

2007-03-06  Guillem Jover  <guillem@debian.org>

	* man/cleanup-info.8: Unify the summary. Unify '--help' and
	'--version' descriptions. Remove unneeded quotes in section names.
	* man/update-alternatives.8: Likewise.
	* man/start-stop-daemon.8: Likewise.
	* man/dpkg-deb.1: Likewise.
	* man/dpkg-divert.8: Likewise.
	* man/dpkg-query.1: Likewise.
	* man/dpkg-name.1: Likewise.
	* man/dpkg-checkbuilddeps.1: Likewise.
	* man/dpkg-architecture.1: Likewise.
	* man/dpkg-split.1: Likewise.
	* man/dpkg-statoverride.8: Likewise.
	* man/dpkg-scanpackages.1: Likewise.
	* man/dpkg-scansources.1: Likewise.

	* man/dpkg-deb.1: Split option aliased names with ',' instead of '|'.
	* man/dpkg-name.1: Likewise.
	* man/dpkg-split.1: Likewise.
	* man/dpkg-query.1: Likewise.
	* man/start-stop-daemon.8: Likewise.

	* man/dpkg-divert.8: List each options in the OPTIONS section.
	* man/dpkg-scanpackages.1: Likewise.
	* man/start-stop-daemon.8: Likewise.

	* man/dpkg-divert.8: Remove redundant '<>' characters to delimit a
	replacable argument.
	* man/dpkg-statoverride.8: Likewise.

	* man/update-alternatives.8: Mark commands in examples as bold.
	* man/dpkg-architecture.1: Reorder sections. Indent examples.
	* man/dpkg-name.1: Do not specify in which programming language the
	program is written in.
	* man/dpkg-deb.1: Split '--extract' and '--vextract' options.

2007-02-28  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-checkbuilddeps.pl: Make getopt parse '--admindir'.
	($admindir): New variable.
	(usage): Document '--admindir'.
	(parse_status): The status argument is not optional anymore.
	* scripts/dpkg-shlibdeps.pl: Parse '--admindir'.
	($admindir): New variable.
	($shlibsppdir): Initialize it after parsing the arguments.
	(usage): Document '--admindir'.
	* scripts/dpkg-buildpackage.sh: Parse '--admindir', and document it in
	usage output. Pass it to dpkg-checkbuilddeps.
	* man/dpkg-source.1: Document new option '--admindir'.
	* man/dpkg-checkbuilddeps.1: Likewise.

2007-02-28  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl (usage): Use '$altdir' instead of
	hardcoding its value.

2007-02-28  Colin Watson  <cjwatson@ubuntu.com>

	* scripts/dpkg-gencontrol.pl: Add missing parenthesis in regular
	expression handling Origin, Bugs and Maintainer for control file
	fields.

2007-02-17  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-source.pl (checkstats): Take '$dscdir' as an explicit
	argument. Fix all callers.
	(checktype): Take '$dir', '$fn' and '$type' as explicit arguments. Fix
	all callers.

2007-02-17  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl: Check if '$alink' is defined before
	using '$aslavelinkcount{$alink}'. Only read_link_group if '$mode' is
	not 'install'.
	($dataread): Remove now unused variable.
	(read_link_group): New function (refactored).
	(find_best_version): Likewise.
	(display_link_group): Likewise.
	(list_link_group): Likewise.
	(config_all): Move exit to outside the function.

2007-02-17  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl (parsecdata): Change CDATA to a reference
	taken from the arguments. Fix all callers.

2007-02-13  Guillem Jover  <guillem@debian.org>

	* src/archives.c (MAXCONFLICTORS): New macro.
	(conflictor): Use MAXCONFLICTORS instad of hardcoded value '20', and
	remove non-matching comments.
	(check_conflict): Exit with an error instead of an assert. Move part
	of the comment to the error message, remove the rest as non-matching.

2007-02-13  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/build.c (getfi): Exit with an error instead of an assert.

2007-02-13  Guillem Jover  <guillem@debian.org>

	* dpkg-deb/dpkg-deb.h (MAXFILENAME): New macro.
	* dpkg-deb/build.c (getfi): Use MAXFILENAME instead of the hardcoded
	value '2048'.

2007-02-13  Guillem Jover  <guillem@debian.org>

	* lib/compression.c (decompress_cat): Use BZ_IO_ERROR instead of
	Z_ERRNO for the error value returned by BZ2_bzerror.

2007-02-12  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-shlibdeps.pl: Move syserr:s to be or'ed after exec:s.

2007-02-12  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl (outputclose): Change argument from a boolean
	to an optional filename argument. Fix all callers.
	(parsecontrolfile): Take '$controlfile' as an explicit argument.
	Fix all callers.
	(parsesubstvars): Take '$varlistfile' as an explicit argument.
	Fix all callers.
	(parsechangelog): Take '$changelogfile' as an explicit argument,
	'$changelogformat' and '$since' as optional arguments. Fix all
	callers.
	(setsourcepackage): Take '$v' as an explicit argument.

2007-02-11  Guillem Jover  <guillem@debian.org>

	* dselect/pkglist.h (packagelist::severalinfoblurb): Do not take a
	string argument. Fix all callers.
	* dselect/pkginfo.cc (packagelist::severalinfoblurb): Likewise.
	(packagelist::itd_relations): Capitalize and make whatinfo setting
	common and move it outside of the if block, and do not add the
	package name.
	(packagelist::itd_description): Likewise.
	(packagelist::itd_statuscontrol): Likewise.
	(packagelist::itd_availablecontrol): Likewise.
	* dselect/baselist.cc (baselist::itd_keys): Capitalize whatinfo string.
	* dselect/methlist.cc (methodlist::itd_description): Likewise and do
	not print the method name.

2007-02-11  Ian Jackson  <iwj@ubuntu.com>
	    Guillem Jover  <guillem@debian.org>

	* src/depcon.c (describedepcon): Use format arguments to make the
	strings l10n-friendlier.

2007-02-04  Julien Cristau  <jcristau@debian.org>

	* scripts/dpkg-source.pl ($diff_ignore_default_regexp): Add
	'.gitignore'.

2007-01-24  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl: Move substvar initializations to ...
	(init_substvars): ... here.

2007-01-24  Frank Lichtenheld  <djpig@debian.org>

	* scripts/822-date.pl: Convert the script to be a simple wrapper
	around 'date -R'.
	* man/822-date.1: 822-date is now deprecated. Document this fact in
	the man page.

2007-01-23  Sven Joachim  <sven_joachim@web.de>
	    Guillem Jover  <guillem@debian.org>

	* dselect/helpmsgs.cc (hlp_listkeys): Fix up and down keystrokes.
	(hlp_methkeys): Reorder up and down keystrokes.

2007-01-23  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-source.pl: Fix typo in variable name from $dirc to
	$dircreate, and append a "/" on each loop.

2007-01-16  Nicolas François  <nicolas.francois@centraliens.net>

	* configure.ac: There are no more Makefiles to generate in the
	man/ subdirectories.
	* man/C/: Move the manpages to the root of the man/ directory.
	* man/C/Makefile.am, man/po4a.mk: The languages makefiles are no
	more needed. Also remove the language directories.
	* man/Makefile.am: New build system.
	The goal of these changes is to simplify the build system (less
	files, less Makefiles, lower the depth of the file hierarchy).

2007-01-15  Ian Jackson  <iwj@ubuntu.com>

	* src/processarc.c (process_archive): Add a missing newline to a
	warning message.

2007-01-15  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-gettext.pl: Remove duplicate 'use static'.
	* scripts/cleanup-info.pl: Use static and warnings.
	* scripts/dpkg-divert.pl: Likewise. Declare variables with 'my'.
	* scripts/dpkg-statoverride.pl: Likewise.
	* scripts/update-alternatives.pl: Likewise.

2007-01-12  Mark Rosenstand  <mark@borkware.net>

	* src/help.c (checkpath): Check for the value of the macro
	WITH_START_STOP_DAEMON instead of it being defined.

2007-01-11  Riku Voipio  <riku.voipio@iki.fi>
	    Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl: Move the getlogin and fowner initialization
	to ...
	(getfowner): ...here. New function.
	* scripts/dpkg-source.pl: Use getfowner() instead of @fowner.
	* scripts/dpkg-gencontrol.pl: Likewise.
	* scripts/dpkg-distaddfile.pl: Likewise.
	* scripts/dpkg-shlibdeps.pl: Likewise.

2007-01-10  Julian Gilbey  <jdg@polya.uklinux.net>

	* scripts/dpkg-buildpackage.sh: Allow '-b' to properly override a
	previously passed '-B'.

2007-01-09  Nicolas Francois  <nicolas.francois@centraliens.net>

	* man/C/dpkg-deb.1: Make the copyright match the one from the source.
	* man/C/dpkg-split.1: Likewise.

2007-01-09  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.14.0~.

2007-01-02  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.13.25.

2007-01-01  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-shlibdeps.pl (@librarypaths): Add '/emul/ia32-linux/lib'
	and '/emul/ia32-linux/usr/lib'.

2006-11-24  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-source.pl: Add lzma extracting support.
	(checkdiff): Likewise.
	(forkgzipread): Likewise.
	* lib/dpkg.h (LZMA): New macro.
	(compression_type): Add compress_type_lzma.
	* lib/compression.c (decompress_cat): Handle compress_type_lzma
	decompression.
	* dpkg-deb/dpkg-deb.h (DATAMEMBER_LZMA): New macro.
	(DATAMEMBER_COMPAT_LZMA): Likewise.
	* dpkg-deb/extract.c (extracthalf): Handle DATAMEMBER_LZMA and
	DATAMEMBER_COMPAT_LZMA members.

2006-11-24  Brendan O'Dea  <bod@debian.org>

	* scripts/controllib.pl (subprocerr): Require POSIX for WIFEXITED,
	WEXITSTATUS, WIFSIGNALED and WTERMSIG.

2006-11-24  Tomas Pospisek  <tpo_deb@sourcepole.ch>

	* man/C/update-alternatives.8: Document that it requires cooperation
	from all packages dealing with the same file.

2006-10-13  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.13.25~.

2006-10-13  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.13.24.

2006-10-13  Guillem Jover  <guillem@debian.org>

	* dselect/pkgdisplay.cc (relatestrings): Add a string for the Breaks
	field as it should match the enum debtype in 'lib/dpkg-db.h'.

2006-10-12  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.13.24~.

2006-10-12  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.13.23.

2006-10-06  Guillem Jover  <guillem@debian.org>

	* README.translators: Add references to the new scripts/po/ChangeLog
	file. State that the languages should be listed alphabetically in
	debian/changelog.

2006-09-29  Nicolas Francois  <nicolas.francois@centraliens.net>

	* man/C/dpkg-scansources.1: Fix a typo.

2006-09-27  Guillem Jover  <guillem@debian.org>

	* m4/compiler.m4: Add a new line at the end of the file, to cope with
	an autoreconf failure due to the new m4 1.4.7.

2006-09-27  Ian Jackson  <iwj@ubuntu.com>

	* dselect/pkgdepcon.cc (packagelist::resolvedepcon): Recognise the
	dep_breaks dependency type in the dependency and conflict resolution.

2006-08-10  Guillem Jover  <guillem@debian.org>

	* dselect/helpmsgs.cc: Replace the comment header about the file being
	autogenerated with a proper copyright and license one. Reindented.
	* dselect/helpmsgs.h: Likewise.

2006-08-08  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-architecture.pl (dpkglibdir): Set to '.' where
	controllib.pl is located.
	(pkgdatadir): Set to '..' where cputable and ostable are located.
	* m4/arch.m4 (_DPKG_ARCHITECTURE): New macro.
	(DPKG_CPU_TYPE): Use _DPKG_ARCHITECTURE instead of parsing cputable.
	(DPKG_OS_TYPE): Use _DPKG_ARCHITECTURE instead of parsing ostable.
	(DPKG_ARCHITECTURE): Use _DPKG_ARCHITECTURE instead of constructing
	the value from cpu_type and os_type.

2006-08-08  Ian Jackson  <iwj@ubuntu.com>

	* lib/dpkg-db.h (deptype): Add dep_breaks.
	* lib/fields.c (f_dependency): Bail out if the Breaks field has an
	alternative through a '|'.
	* lib/parse.c (fieldinfos): Add support for the Breaks field when
	parsing them as a depedency field.
	* src/depcon.c (describedepcon): Support displaying the Breaks
	relationship.
	(depisok): Ignore the Breaks field by adding dep_breaks to the assert
	and returning as succeeded.
	* src/processarc.c (process_archive): Print a message stating that
	current dpkg does not support the Breaks field. Do not bail out in
	case the Breaks references packages to ignore for dependency handling.
	* src/packages.c (dependencies_ok): Add a place holder comment to
	be replaced by the code to prevent configuration of Broken packages.

2006-08-05  Nicolas Francois  <nicolas.francois@centraliens.net>

	* man/C/dpkg-architecture.1: Remove linux-alpha from the architecture
	wildcard examples, and fix a formatting issue.

2006-08-05  Nicolas Francois  <nicolas.francois@centraliens.net>

	* man/C/dpkg-source.1: Typo fix.
	* man/C/dpkg-architecture.1: Likewise.

2006-08-02  Nicolas Francois  <nicolas.francois@centraliens.net>

	* man/C/dpkg.1: Typo fix.
	* man/C/dpkg-divert.8: Likewise.
	* man/C/deb-control.5: Likewise.

2006-07-29  Nicolas Francois  <nicolas.francois@centraliens.net>

	* man/C/dpkg-architecture.1: Typo fix.
	* man/C/dpkg-statoverride.8: Likewise.

2006-07-29  Nicolas Francois  <nicolas.francois@centraliens.net>

	* man/C/dpkg-name.1: Typo fix.

2006-07-27  Nicolas Francois  <nicolas.francois@centraliens.net>

	* man/C/cleanup-info.8: Typo fix.
	* man/C/deb.5: Likewise.
	* man/C/dpkg-scanpackages.1: Likewise.
	* man/C/dpkg-scansources.1: Likewise.

2006-07-23  Helge Kreutzmann  <debian@helgefjell.de>

	* man/C/822-date.1: Fix the manpage's modification date.

2006-07-23  Nicolas Francois  <nicolas.francois@centraliens.net>

	* man/C/start-stop-daemon.8: Typo fix.

2006-07-07  Nicolas François  <nicolas.francois@centraliens.net>

	* dpkg-deb/build.c: Specify --null before the -T option to avoid
	the "tar: -: file name read contains nul character" warning.

2006-07-22  Helge Kreutzmann  <debian@helgefjell.de>

	* man/C/start-stop-daemon.8: Typo fix.
	* man/C/update-alternatives.8: Likewise.

2006-06-21  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.13.23~.

2006-06-21  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.13.22.

2006-06-21  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (signal_str, schedule_str): Move
	variables inside ...
	(parse_options): ... here.

2006-06-21  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (umask_value): New variable.
	(do_help): Print information about the new '--umask' option.
	(parse_umask): New function.
	(parse_options): Parse the new option using parse_umask.
	(main): Set umask, and do not set for the background case if we set
	it previously.
	* man/C/start-stop-daemon.8: Document the new '--umask' option.

2006-06-21  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl (usageerr): Do not mark "%s: %s" for
	translation.
	* scripts/changelog/debian.pl: Remove "or argument" from the
	"unkown option" string to merge it with other similar ones.
	* scripts/dpkg-distaddfile.pl: Quote '%s' in the "unknown option"
	string.
	* scripts/dpkg-source.pl: Likewise.
	* scripts/cleanup-info.pl (ulquit): Print the program name.
	Change all callers to not print the program name, and modify the
	strings to merge them with similar ones.
	* scripts/dpkg-divert.pl: Change strings referring to command line
	argument to use '%s' instead of such argument, thus merging them.
	(quit): Do not mark the string for translation. Do not hardcode the
	program name and use '$0' instead.
	(badusage): Likewise. Make it call usage.
	* scripts/dpkg-statoverride.pl: Likewise.
	* scripts/update-alternatives.pl: Likewise.
	* scripts/install-info.pl: Call quit instead of die and do not print
	the program name. Prepend "unable to" to most of those strings to
	merge them with similar ones. Fix other strings to merge them.
	(ulquit): Make it call quit instead of die and do not print the
	program name.
	(checkpipe): Likewise.
	(quit): New function.
	* lib/fields.c (f_dependency): Make strings use '%s' instead of
	hardcoded character, to merge both.
	* lib/dbmodify.c (createimptmp): Quote and increase to 255 the
	parameter '%.250s' to merge the string with the other ones.

2006-06-18  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-buildpackage.sh: Fix testing
	the content of $signinterface by moving the
	test to a place where it can actually fail.
	Give the user a correct warning message about
	what we do (i.e. defaulting to pgp style).

2006-06-17  Guillem Jover  <guillem@debian.org>

	* man/C/dpkg-architecture.1: Clarify new -e and -i options, give
	backward compatibility information and add some examples.

2006-06-17  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-source.pl: Fix typo in regex that caused
	spurious warnings for user defined fields even though they
	used the correct XB- syntax.

2006-06-16  Robert Luberda  <robert@debian.org>

	* man/C/dpkg-deb.1: Fix typo ("--show-format" -> "--showformat").

2006-06-16  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl (parsechangelog): Move substvar initialization
	to ...
	(init_substvars): ... here. New function. Move the dpkg substvars
	initialization to this function.
	* scripts/dpkg-source.pl: Call init_substvars after parsechangelog.
	* scripts/dpkg-genchanges.pl: Replace setting dpkg substvars with
	init_substvars. If the version field or the one forced from command
	line differs from the substvar, add the later to the output Source
	field inside parenthesis.
	* scripts/dpkg-gencontrol.pl: Likewise.

2006-06-16  Andrew Ferrier  <andrew@new-destiny.co.uk>
	    Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl (usage): Clarify the legend for the
	help text.

2006-06-16  Guillem Jover  <guillem@debian.org>

	* scripts/update-alternatives.pl (config_message): Print '--config'
	listing layout evenly spaced.

2006-06-07  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-scansources.pl: Remove invalid comment mentioning
	documentation being after __END__.

2006-06-07  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-source.pl ($diff_ignore_default_regexp): Add
	'.bzrtags'.

2006-06-04  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.13.22~.

2006-06-04  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.13.21.

2006-06-04  Ian Jackson  <ian@davenant.greenend.org.uk>

	* src/depcon.c (foundcyclebroken): Replace possi->ed argument to
	findbreakcyclerecursive call with dependedon.
	(findbreakcyclerecursive): Remove the last foundcyclebroken call
	which was wrongly using the unrelated provider->installed.depended
	linked list. Remove findbreakcyclerecursive call which may lead to
	infinite recursion.

2006-06-04  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-parsechangelog.pl: Pass forward the '-l' option to
	the format parser.
	* scripts/changelog/debian.pl: Add '-l' option and set $changelogfile.
	(usage): Document the new '-l' option.
	(clerror): Print $changelogfile instead of 'changelog'.
	(clwarn): Likewise.

2006-06-02  Guillem Jover  <guillem@debian.org>

	* scripts/install-info.pl: Do not use English non-essential module.

2006-06-02  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-shlibdeps.pl (@librarypaths): Add '/lib32' and
	'/usr/lib32/'.

2006-06-02  Guillem Jover  <guillem@debian.org>

	* src/query.c (setaction): Print also the short command line action.
	* src/main.c (setaction): Likewise.
	* dpkg-deb/main.c (setaction): Likewise.
	* dpkg-split/main.c (setaction): Likewise.

2006-05-31  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.13.21~.

2006-05-31  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.13.20.

2006-05-31  Koblinger Egmont  <egmont@uhulinux.hu>

	* src/processarc.c (process_archive): Do not pass to parsedb
	pdb_weakclassification, so that the Section and Priority fields
	gets updated with new packages.

2006-05-31  Julian Gilbey  <jdg@debian.org>

	* scripts/changelog/debian.pl: Remove duped string ' , at changelog '.

2006-05-31  Guillem Jover  <guillem@debian.org>

	* src/enquiry.c (cmpversions): Prefix the bad syntax error with a
	'dpkg: ' and print the bogus version string.

2006-05-25  Guillem Jover  <guillem@debian.org>

	* scripts/install-info.pl: Exit if the lock file already exists.
	This change was lost when doing the i18n of the scripts.

2006-05-25  Ben Pfaff  <blp@cs.stanford.edu>

	* scripts/install-info.pl: Use %! instead if $! to check for EEXIST.
	* man/C/install-info.8: Correct default info directory for '--infodir'.

2006-05-23  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl (parsechangelog): Do not strip the epoch from
	the source:Upstream-Version substvar.
	* man/C/dpkg-source.1: Document that the source:Upstream-Version
	substvar can have an epoch.

2006-05-23  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl (usageerr): Use usage instead of
	usageversion.
	* scripts/dpkg-statoverride.pl (UsageVersion): Rename to ...
	(usageversion): ... this.
	* scripts/dpkg-parsechangelog.pl (usageversion): Split into usage
	and version functions. Print to stdout. Standarize output format.
	Add '--help' and '--version'.
	* scripts/dpkg-shlibdeps.pl: Likewise.
	* scripts/dpkg-distaddfile.pl: Likewise.
	* scripts/dpkg-gencontrol.pl: Likewise.
	* scripts/dpkg-genchanges.pl: Likewise.
	* scripts/dpkg-source.pl: Likewise.
	* scripts/changelog/debian.pl: Likewise.
	* scripts/dpkg-statoverride.pl: Likewise. Basename $0.
	* scripts/dpkg-architecture.pl: Likewise. Do not basename $0,
	use $progname instead.
	* scripts/dpkg-checkbuilddeps.pl: Use $progname instead of $me.
	(me): Remove variable.
	(usage): Standarize output format. Print to stdout. Add '-h' option.
	* scripts/dpkg-buildpackage.sh (usageversion): Split into
	showversion and usage functions. Print to stdout. Standarize output
	format. Add '--help' and '--version'.
	(version): Rename variable to ...
	(changesversion): ... this, otherwise there was no program version
	shown on output.
	* scripts/dpkg-scanpackages.pl: Basename $0.
	(options): Pass a sub to the help option calling usage and exit.
	Add '--version'.
	(usage): Switch variable to a function. Print to stdout. Standarize
	output.
	(version): New function.
	* scripts/dpkg-scansources.pl (Version): Rename variable to ...
	(version): ... this (so it will be automaitcally updated by the
	Makefile).
	(Option_spec): Pass \&usage to help option and \&version to version.
	(Usage): Remove variable.
	(version): New function.
	(usage): Move xwarn call to where the actual check is made. Replace
	the die call with a printf and an exit.
	* scripts/dpkg-name.sh: Standarize output format.
	* scripts/dpkg-divert.pl: Basename $0.
	(showversion): Rename to ...
	(version): ... this. Print to stdout. Standarize output format.
	* scripts/update-alternatives.pl: Basename $0.
	(usageversion): Split into usage and version functions. Print to
	stdout. Standarize output format.
	* scripts/cleanup-info.pl: Basename $0.
	(version): Print to stdout. Standarize output format.
	(usage): Likewise. Print option descriptions.
	* scripts/install-info.pl: Basename $0. Add '--version'. On
	argument error print only usage.
	(version): Print to stdout. Standarize output format.
	(usage): Likewise. Print option descriptions.
	* man/C/dpkg-source.1: Add '--help' and '--version' options.
	* man/C/dpkg-architecture.1: Likewise.
	* man/C/dpkg-checkbuilddeps.1: Add '-h' option.
	* man/C/dpkg-divert.8: Option '--help' does not print the version
	anymore.
	* man/C/update-alternatives.8: Likewise.
	* man/C/dpkg-statoverride.8: Likewise. Add '--version' option.

2006-05-19  David Lopez Moreno  <david.lopez.moreno@hispalinux.es>

	* dpkg-deb/build.c (do_build): If failing to stat a
	conffile check for trailing whitespace in the conffiles
	file to give a more useful error message.

2006-05-19  Piotr Engelking  <inkerman42@gmail.com>

	* lib/database.c (informative): Don't regard
	architecture information alone as informative.
	* src/processarc.c (process_archive): Also
	delete origin, bugs and architecture information
	for disappearing packages.
	* src/remove.c (removal_bulk): Likewise for
	removed packages.

2006-05-19  Frank Lichtenheld  <djpig@debian.org>

	* src/help.c (hasdirectoryconffiles): New function
	to test wether a directory contains conffiles of
	a given package.
	* src/main.h: Add declaration of hasdirectoryconffiles.
	* src/remove.c (removal_bulk_remove_files): Don't
	drop directories from our file list that hold
	our conffiles.
	(removal_bulk_remove_leftover_dirs) Likewise.

	* utils/enoent.c: Add a comment at the top of the
	file explaining why we use this odd program at all.

2006-05-18  Frank Lichtenheld  <djpig@debian.org>

	* lib/showpkg.c (show1package): Test the correct
	pointer against NULL so that arbitrary fields get
	be printed.

2006-05-18  Frank Lichtenheld  <djpig@debian.org>

	* man/C/dpkg-query.1: Document that user defined
	fields can also be printed with --showformat.

2006-05-17  Frank Lichtenheld  <djpig@debian.org>

	* man/C/dpkg.1: We don't actually set DPKG_OLD_CONFFILE and
	DPKG_NEW_CONFFILE on subshells, so we shouldn't claim to do so.

2006-05-15  Nicolas François  <nicolas.francois@centraliens.net>

	* src/packages.c: Use fc_dependsversion (set by
	--force-depends-version) when only the version of a
	dependency is not satisfied. fc_dependsversion is never
	used otherwise.

2006-05-15  Nicolas François  <nicolas.francois@centraliens.net>

	* src/configure.c: Flush the terminal's input before
	prompting the user.

2006-05-15  Frank Lichtenheld  <djpig@debian.org>

	* debian/archtable: Update to reflect current
	archive: Add amd64 and remove sh.

	* src/depcon.c (findbreakcyclerecursive): Try
	to find cycles also by moving up Provides links.

2006-05-15  Ian Jackson  <iwj@ubuntu.com>

	* debian/control (dpkg[Depends]): Move
	coreutils dependency to Pre-Depends and
	depend on >= 5.93-1 to ensure that md5sum
	is present.
	* debian/dpkg.postinst: Don't create a
	diversion from coreutil's md5sum.
	* debian/dpkg.prerm: Delete the code
	that removed the diversion generated
	in the postinst. We rely on coreutils
	to clean up the mess we created.

2006-05-12  Frank Lichtenheld  <djpig@debian.org>

	* src/main.c (ignoredepends): Fix parsing of the
	--ignore-depends argument value.

	* dpkg-deb/info.c (info_spew): Prepend the name of the
	directory we're in to the control component name. This
	way we don't spew out garbage if we get an absolute
	path as component name.

	* scripts/dpkg-scanpackages.pl: Print usage
	information on stderr instead of stdout in
	case of error. Only print it on stdout if
	requested via -h.

	* scripts/dpkg-architecture.pl: Convert encoding
	of the file from iso-8859-1 to utf-8.

2006-05-12  Nicolas François  <nicolas.francois@centraliens.net>,
	    Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-gettext.pl: New module. Acts like a
	wrapper around Locale::gettext so that the scripts
	are usable without it, too.
	* debian/dpkg.install: Install dpkg-gettext.pl.
	* scripts/Makefile.am (dist_pkglib_SCRIPTS): Add dpkg-gettext.pl.

	* po/POTFILES.in: Add scripts installed with dpkg
	to the list.
	* po/Makevars (XGETTEXT_OPTIONS): Add _g to list of keywords.
	* debian/dpkg-dev.install: Install .mo files.
	* debian/control (dpkg-dev[Depends]): Bump dependency on dpkg
	to 1.13.20 since it needs dpkg-gettext.pl.
	* scripts/cleanup-info.pl: Add gettext support.
	* scripts/controllib.pl: Likewise.
	* scripts/dpkg-architecture.pl: Likewise.
	* scripts/dpkg-checkbuilddeps.pl: Likewise.
	* scripts/dpkg-distaddfile.pl: Likewise.
	* scripts/dpkg-divert.pl: Likewise.
	* scripts/dpkg-genchanges.pl: Likewise.
	* scripts/dpkg-gencontrol.pl: Likewise.
	* scripts/dpkg-parsechangelog.pl: Likewise.
	* scripts/debian/changelog.pl: Likewise.
	* scripts/dpkg-scanpackages.pl: Likewise.
	* scripts/dpkg-scansources.pl: Likewise.
	* scripts/dpkg-shlibdeps.pl: Likewise.
	* scripts/dpkg-source.pl: Likewise.
	* scripts/dpkg-statoverride.pl: Likewise.
	* scripts/install-info.pl: Likewise.
	* scripts/update-alternatives.pl: Likewise.

2006-05-10  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-buildpackage.sh: Pass all
	remotely sensible -sX option through to
	dpkg-source (-s[nsAkurKUR]).

	* scripts/changelog/debian.pl: Use same regex for
	distribution names as for packages. Since the policy
	doesn't define these names very strict, we should give
	the user more freedom here though all official names
	are matched by a way stricter regex. (Characters now
	allowed are '+' and '.').

2006-05-10  Robert Millan  <rmh@aybabtu.com>,
	    Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-source.pl: When checking the
	signature of a .dsc file, use the Debian
	keyring if available.

2006-05-10  Frank Lichtenheld  <djpig@debian.org>

	* man/C/dpkg-deb.1: Mention the --show-format option also
	seperatly, not just in the description of --show.
	Point the reader to the explanation of --show-format
	in dpkg-query.1 to avoid having to duplicate it.

2006-05-10  Frank Lichtenheld  <djpig@debian.org>

	* man/C/dpkg-deb.1: Mention the --show-format option also
	seperatly, not just in the description of --show.
	Point the reader to the explanation of --show-format
	in dpkg-query.1 to avoid having to duplicate it.

	* man/C/dpkg-scanpackages.1: Add remark that apt ignores
	uncompressed Packages files on non-local access.
	* man/C/dpkg-scansources.1: Likewise (with Sources instead of
	Packages files of course).

2006-05-10  Nicolas François  <nicolas.francois@centraliens.net>

	* lib/showpkg.c (show1package): Honour the requested tabbing
	of fields even if they are empty.

2006-05-04  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.13.20~.

2006-05-04  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.13.19.

2006-05-04  Guillem Jover  <guillem@debian.org>

	* man/C/dpkg-divert.8: Escape hyphens used in command line.
	* man/C/dpkg-architecture.1: Likewise.
	* man/C/dpkg-statoverride.8: Likewise.

2006-05-04  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-genchanges.pl: Do not use $version to refer to the
	source package version, as it denotes the dpkg version.

2006-05-04  Nicolas François  <nicolas.francois@centraliens.net>,
	    Guillem Jover  <guillem@debian.org>

	* scripts/install-info.pl: Use the numerical value of $! instead of
	the string when checking if the locking error was due to an already
	existing file, which is locale dependent, and die accordingly.

2006-05-04  Nicolas François  <nicolas.francois@centraliens.net>

	* scripts/install-info.pl: Add a new line after adding the last
	entry at the end of the dir file, which makes the info readers
	able to see those last entries.

2006-05-04  Wayne Davison  <wayned@users.sourceforge.net>,
	   Guillem Jover  <guillem@debian.org>

	* scripts/install-info.pl: Make '--dir-file' option compatible
	with GNU install-info by renaming the infodir variable to dirfile
	and not appending the '/dir' string except when initializing from
	'--info-dir' or '--infodir'.

2006-05-04  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-gencontrol.pl: Use the source:Version substvar when
	setting the Source field version, in case the binary package
	has a different one from the source package.

2006-05-02  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (do_help): Standarize output format.

2006-05-02  Guillem Jover  <guillem@debian.org>

	* dselect/main.cc (usage): Split string and align so duped strings get
	merged.
	* dpkg-deb/main.c (usage): Likewise.
	* dpkg-split/main.c (usage): Likewise.
	* src/query.c (usage): Likewise.
	* src/main.c (usage): Likewise.

2006-05-02  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-genchanges.pl: Rename dpkg:UpstreamVersion to
	dpkg:Upstream-Version. Make dpkg:Version and dpkg:Upstream-Version
	get the current dpkg versions instead of the package being built.
	* scripts/dpkg-gencontrol.pl: Likewise.
	* man/C/dpkg-source.1: Rename dpkg:UpstreamVersion to
	dpkg:Upstream-Version.

2006-05-02  Ken Bloom  <kbloom@gmail.com>,
	    Jeroen van Wolffelaar  <jeroen@wolffelaar.nl>,
	    Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl (parsechangelog): Add new source:Version,
	source:Upstream-Version and binary:Version substvars.
	* man/C/dpkg-source.1: Document new source:Version,
	source:Upstream-Version and binary:Version substvars.

2006-04-29  Justin Pryzby  <justinpryzby@users.sourceforge.net>

	* src/filesdb.c: Fix a typo (unexecpted -> unexpected).

2006-04-21  Guillem Jover  <guillem@debian.org>

	* src/query.c (enqperpackage): Change dynamically constructed
	grammar to proper sentences.
	* src/packages.c (deppossi_ok_found): Likewise.
	* src/main.c (commandfd): Do not use digits, use textual numbers.
	* lib/dbmodify.c (createimptmp): Use proper verb forms.
	* lib/showcright.c (showcopyright): Remove trailing space from string.
	* lib/parsehelp.c (illegal_packagename): Clarify what is the last '%s'.
	* dpkg-deb/extract.c (movecontrolfiles): Likewise.
	(extracthalf): Do not use abbreviations in the strings.

2006-04-21  Guillem Jover  <guillem@debian.org>

	* src/main.c (printforhelp, setdebug, setforce): Quote each string
	line instead of escaping its new line at the end.

2006-04-19  Nicolas Francois  <nicolas.francois@centraliens.net>

	* man/C/install-info.8: Add a missing quote arround the date.
	* man/C/dpkg-source.1: Add a reference to the Debian Policy Manual
	for a detailed description of the shlibs format.
	Thanks to Russ Allbery.

2006-04-16  Nicolas Francois  <nicolas.francois@centraliens.net>

	* man/C/dpkg-source.1: Document the shlibs.local format.

2006-04-11  Frank Lichtenheld  <djpig@debian.org>

	* src/archives.c (quote_filename): Fix typo in
	variable name. If hit, this could lead to a
	infinite loop and OOM in varbufvprintf. (A
	good way to hit it is installing files with
	long non-ASCII filenames in UTF-8 locales).
	Fixed also some typos in the comment for this
	function.

	* scripts/dpkg-scanpackages.pl: Add -follow
	to @find_args. This was lost in a previous patch
	apparently.

2006-04-10  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.13.19~.

2006-04-10  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.13.18.

2006-04-10  Guillem Jover  <guillem@debian.org>

	* man/C/dpkg.1: Document the new way to replicate the package status
	to another installation by using '--clear-selections'.

2006-04-10  Andrew Suffield  <asuffield@debian.org>

	* src/main.h (clearselections): New prototype.
	* src/main.c (usage): Print '--clear-selections' option description.
	(cmdinfos): Add clear-selectons action.
	* src/select.c (clearselections): New function.
	* man/C/dpkg.1: Document the new '--clear-selections' option.

2006-04-10  Guillem Jover  <guillem@debian.org>

	* src/main.h (fc_autoselect): Remove.
	* src/main.c (fc_autoselect): Likewise.
	(forceinfos): Mark 'auto-select' as obsolete.
	(setforce): Remove mention of 'auto-select' from the help text.
	Handle obsolete options, and display a warning.
	* man/C/dpkg.1: Remove mention of obsolete force/refuse 'auto-select'
	option.

2006-04-09  Guillem Jover  <guillem@debian.org>

	* man/C/dpkg.1: Document that '--get-selections' without a pattern
	will not list packages in state purge.
	* man/C/dpkg-query.1: Document that '-l' without a pattern will not
	list packages in state purge.

2006-04-09  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-shlibdeps.pl: Support system library directories
	symlinked from '/lib/ldconfig/'.

2006-04-09  Branden Robinson  <branden@debian.org>,
            Guillem Jover  <guillem@debian.org>

	* src/main.c (execbackend): Pass '--admindir' over to dpkg-query
	when passing '--admindir' or '--root' to dpkg.

2006-04-04  Andrew Suffield  <asuffield@debian.org>

	* dpkg-buildpackage.sh: Use mustsetvar to set sversion variable.

2006-04-04  Jared Spiegel  <jrrs@frontiernet.net>

	* utils/start-stop-daemon.c (do_help): Add '-r' option to the help
	output.

2006-04-04  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (main): Prefix the chroot path, if any,
	when stating the exec file.

2006-03-30  Guillem Jover  <guillem@debian.org>

	* src/main.c (setforce): Add a '[!]' next to 'all' to denote that
	'--force-all' is dangerous.

2006-03-20  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.13.18~.

2006-03-20  Guillem Jover  <guillem@debian.org>

	* configure.ac: Release 1.13.17.

2006-03-20  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c [OSLinux] (pid_is_exec): Revert back to
	take a struct stat instead of an execname. Get the filename pointed
	by the '/proc/<pid>/exe' symlink, strip any ' (deleted)' string, and
	stat that filename comparing the result with the new argument.

2006-03-15  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl.in: Rename to ...
	* scripts/controllib.pl: ... this.
	(debian_arch_expand): Remove function. Fix all callers.
	(pkgdatadir, read_cputable, read_ostable): Move to ...
	* scripts/dpkg-architecture.pl: ... here.
	* scripts/Makefile.am (%.pl): Remove rule.

2006-03-05  Guillem Jover  <guillem@debian.org>

	* scripts/controllib.pl.in (quiet_warnings): New variable.
	(warn): Do not print if quiet_warnings.
	* dpkg-source.pl (usageversion): Document new option `-q'.

2006-03-05  Guillem Jover  <guillem@debian.org>

	* debian/control (Build-Depends): Do not depend on libselinux1-dev
	in GNU/kFreeBSD amd64.

2006-03-04  Christian Perrier  <bubulle@debian.org>

	* man/C/dpkg-architecture.1: Typo corrections.
	* man/C/dpkg-checkbuilddeps.1: Likewise.
	* man/C/dpkg-name.1: Likewise.
	* man/C/dpkg-source.1: Likewise.
	* man/C/deb-control.5: Likewise.

2006-02-28  Guillem Jover  <guillem@debian.org>

	* man/C/dpkg.1 (SEE ALSO): Add dpkg-query(1).

2006-02-28  Guillem Jover  <guillem@debian.org>

	* man/C/822-date.1: Lower case title header. Put options in bold,
	files and arguments to options in italic. Escape hyphens used in
	command line. Unescape dashes. Remove spaces after full stops and
	after end of line. Separete sections with a dot. Do not put the
	manpage section number in bold.
	* man/C/cleanup-info.8: Likewise.
	* man/C/deb.5: Likewise.
	* man/C/deb-control.5: Likewise.
	* man/C/deb-old.5: Likewise.
	* man/C/dpkg.1: Likewise.
	* man/C/dpkg.cfg.5: Likewise.
	* man/C/dpkg-checkbuilddeps.1: Likewise.
	* man/C/dpkg-deb.1: Likewise.
	* man/C/dpkg-divert.8: Likewise.
	* man/C/dpkg-name.1: Likewise.
	* man/C/dpkg-query.1: Likewise.
	* man/C/dpkg-scanpackages.1: Likewise.
	* man/C/dpkg-source.1: Likewise.
	* man/C/dpkg-split.1: Likewise.
	* man/C/dpkg-statoverride.8: Likewise.
	* man/C/dselect.1: Likewise.
	* man/C/dselect.cfg.5: Likewise.
	* man/C/install-info.8: Likewise.
	* man/C/start-stop-daemon.8: Likewise.
	* man/C/update-alternatives.8: Likewise.
	* man/C/dpkg-scansources.1: Likewise. Remove '.IX' entries.
	* man/C/dpkg-architecture.1: Likewise. Split most of the body of the
	section DESCRIPTION into OPTIONS and ACTIONS.

2006-02-28  Matt Kraai  <kraai@ftbfs.org>

	* scripts/dpkg-gencontrol.pl: Fix typo (occoured -> occurred).
	* scripts/dpkg-source.pl: Likewise.

2006-02-20  Matt Kraai  <kraai@ftbfs.org>

	* man/C/dpkg-source.1: Add missing parentheses around manpage
	section number.

2006-02-19  Guillem Jover  <guillem@debian.org>

	* po/README.translators: Move to ...
	* README.translators: ... here. Formatting fixes. Update to refer
	to latest new ChangeLog files, and rules.

2006-02-19  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-scanpackages.pl: Fix option
	parsing of arch option. Also fix a mistake
	in constructing @find_args.

2006-02-18  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-gencontrol.pl: Call parsedep
	with use_arch and reduce_arch parameters to
	allow using architectures in dependency
	fields of binary packages in debian/control.

	* scripts/dpkg-gencontrol.pl: Fix handling of
	debian/files when architecture is set via -D
	command line option. The value override was
	applied too late.

	* configure.ac: Bump version to 1.13.17~.

	* configure.ac: Release 1.13.16.

2006-02-18  A. Costa  <agcosta@gis.net>

	* man/C/dpkg-deb.1: Typo fix.
	* man/C/dpkg-statoverride.8: Likewise.
	* man/C/install-info.8: Likewise.
	* man/C/start-stop-daemon.8: Likewise.
	* man/C/update-alternatives.8: Likewise.
	* man/C/dpkg.1: Likewise.
	* man/C/dpkg.cfg.5: Likewise.

2006-02-17  Frank Lichtenheld  <djpig@debian.org>

	* man/ChangeLog: Start an own changelog for the
	manpages.

	* scripts/dpkg-scanpackages.pl: Fix override handling
	which was broken by the latest changes.

	* scripts/dpkg-gencontrol.pl: Make -isp the default
	behaviour.
	* man/C/dpkg-source.1: Document the behaviour
	change in dpkg-gencontrol.

	* man/Makefile.am (updatepo): New target that calls
	'make updatepo' in all subdirectories.

2006-02-17  Guillem Jover  <guillem@debian.org>

	* debian/dselect.install: Install only dselect domain.
	* debian/dpkg.install: Install only dpkg domain.
	* dselect/po: New directory.
	* dselect/main.cc (main): Use DSELECT domain.
	* dselect/Makefile.am (SUBDIRS): Add po.
	* configure.ac (AC_CONFIG_FILES): Add dselect/po/Makefile.in.

2006-02-17  Guillem Jover  <guillem@debian.org>

	* methods/: Move directory to dselect/methods/.
	* Makefile.am (SUBDIRS): Move methods to ...
	* dselect/Makefile.am (SUBDIRS): ... here. New variable.
	* configure.ac (AC_CONFIG_FILES): Rename methods/Makefile to
	dselect/methods/Makefile.

2006-02-17  Guillem Jover  <guillem@debian.org>

	* configure.ac: Require gettext 0.14.5.

2006-02-17  Guillem Jover  <guillem@debian.org>

	* configure.ac: Use AC_CONFIG_AUX_DIR to move auxiliary scripts to
	config/.

2006-02-16  Frank Lichtenheld  <djpig@debian.org>

	* configure.ac: Bump version to 1.13.16~.

2006-02-15  Frank Lichtenheld  <djpig@debian.org>

	* configure.ac: Release 1.13.15.

2006-02-13  Jordi Mallach  <jordi@debian.org>

	* src/processarc.c (process_archive): Add missing closing parenthesis
	in a string.

2006-02-12  Frank Lichtenheld  <djpig@debian.org>

	* configure.ac: Bump version to 1.13.15~.

	* configure.ac: Release 1.13.14.

2006-02-11  Denis Barbier  <barbier@debian.org>

	* man/C/dpkg.1: Escape ` and ', otherwise they are converted to
	quotation marks, which makes cut and paste useless.
	* man/C/dpkg-query.1: Likewise.
	* man/C/dpkg-name.1: Likewise.
	* man/C/dpkg-architecture.1: Likewise.

2006-02-11  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-source.pl: Add .git to
	$diff_ignore_default_regexp.

	* scripts/dpkg-source.pl: Remove any
	newlines from Uploaders field to allow
	people to make it multi-line in the
	source package.

2006-02-10  Denis Barbier  <barbier@linuxfr.org>

	* scripts/dpkg-source.pl: Touch all patched files
	to have the same timestamp. This should mitigate
	time-skew problems until we can finally add proper
	timestamps to the diffs.

2006-02-10  Ian Jackson  <iwj@ubuntu.com>

	* src/configure.c: Differentiate between modified
	and deleted configuration files. Gives and more
	accurate description to the user and eliminates
	a warning that was produced when trying to
	backup a non-existant file.

	* lib/dpkg-db.h (conffile): Add `obsolete' field.
	* lib/dump.c (w_conffiles): Write "obsolete" at the
	end of conffile entry if obsolete is set.
	* lib/fields.c (f_conffiles): Parse entries for
	obsolete conffiles correctly.
	* src/filesdb.h (filenamenode.flags): Add new
	flag for obsolete conffiles.
	* src/remove.c (removal_bulk_remove_configfiles):
	Handle obsolete conffiles.
	* src/archives.c (newconff_append): New function
	to append a filenamenode to a fileinlist.
	(addfiletolist): New function to add a filenamenode
	to a tarcontext.
	(tarobject): Use new addfiletolist function.
	Handle case where a new package takes over
	an obsolete conffile from another package.
	* src/archives.h: Add declaration of the
	addfiletolist function.
	* src/processarc.c (process_archive): Use new
	newconff_append function from archives.c.
	Detect obsoleted conffiles and mark them as such.
	* src/help.c (chmodsafe_unlink): Make it possible
	to differentiate between failed chmod and failed
	unlink by adding a new `failed' argument which
	will be set to the name of the failed command.
	(chmodsafe_unlink_statted): New function that
	can be called if we already have a stat result for
	the file/directory to be removed.
	(ensure_pathname_nonexisting): Give better error
	messages by utilizing the changes to
	chmodsafe_unlink.
	* src/main.h: Reflect changes in archives.c
	and help.c (add declarations for newconff_append
	and chmodsafe_unlink_statted and change the
	one of chmodsafe_unlink).
	(conffopt): Add new isold flag.

2006-02-10  James R. Van Zandt  <jrvz@comcast.net>

	* man/C/dpkg.1: Document the default log file. The behaviour in case
	of multiple --log options. And add a reference to dpkg.cfg manpage.

2006-02-10  Philippe Batailler  <philippe.batailler@free.fr>,
	    Guillem Jover  <guillem@debian.org>

	* man/C/dpkg-query.1: Use dots instead of blank lines to logically
	separate sections.
	(SYNOPSIS): Add command descriptions.
	(COMMANDS): Use package-name instead of package.
	(OPTIONS): Give an example for --showformat.
	(SEE ALSO): Add a final dot to reference.

2006-02-08  Guillem Jover  <guillem@debian.org>

	* man/po4a.mk (%): Replace % with $@ as the former is not substituted
	in the rule's command.

2006-02-08  Guillem Jover  <guillem@debian.org>

	* debian/contrl (Build-Depends): Depend on version >= 1.28-4 of
	libselinux1-dev as it has pkg-config support. Remove libsepol1-dev,
	now dragged by libselinux1-dev. Add pkg-config.
	* m4/libs.m4 (DPKG_LIB_SELINUX): Use pkg-config to get the static
	and dynamic linker flags, thus no more hardcoding the transitional
	libraries.

2006-02-07  Nicolas François  <nicolas.francois@centraliens.net>

	* man/C/dselect.1: Fix a typo: replace '.sh' by '.sp'.
	* man/C/dpkg-scansources.1: Fix a typo: replace '.Sp' by '.sp'.

2006-02-07  Guillem Jover  <guillem@debian.org>

	* man/C/update-alternatives.8: Remove trailing 'C'.

2006-02-06  Changwoo Ryu  <cwryu@debian.org>,
	    Guillem Jover  <guillem@debian.org>

	* lib/dump.c (writerecord): Mark strings as translatable.
	* lib/fields.c (f_priority): Likewise.
	* lib/mlib.c (checksubprocerr): Likewise.

2006-02-06  Guillem Jover  <guillem@debian.org>

	* src/main.c (printversion): Do not split strings with a macro in
	the middle, use C format arguments. Use printf instead of fputs.
	* src/query.c (printversion): Likewise.
	* dpkg-deb/main.c (printversion): Likewise.
	* dpkg-split/main.c (printversion): Likewise.

	* src/main.c (usage): Use printf instead of fprintf. Uppercase initial
	letter for commands descriptions. Quote strings per line. Standarize
	indentation. Split globally common strings. Remove program name prefix
	from command descriptions. Standarize 'Usage:' and 'Commands:'
	headings. Split independent commands into different lines.
	* src/query.c (usage): Likewise.
	* dpkg-deb/main.c (usage): Likewise.
	* dpkg-split/main.c (usage): Likewise.

	* src/main.c (printforhelp): Use 'license' instead of 'licence'.
	* src/query.c (printforhelp): Likewise.

	* dselect/main.cc (programdesc): Add version string from ...
	(copyrightstring): ... here. Move GPL license notice to ...
	(licensestring): ... here. New variable.
	(printversion): Use printf instead of fprintf. Give proper arguments
	to the new formated strings. Print 'licensestring'.
	(usage): Use printf instead of fprintf. Standarize indentation. Add
	options descriptions. Add a new line after each section.
	(curseson): Do not split strings with a macro in the middle, use
	C format arguments.
	(refreshmenu): Fix arguments given to 'programdesc' and
	'copyrightstring' variables. Print 'licensestring' variable.

2006-02-06  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (main): When using --chuid set the HOME
	environment variable.

2006-02-05  Christian Perrier  <bubulle@debian.org>

	* man/*: Switch all translations to po4a. Work contributed
	by Nicolas François.

2006-01-30  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-shlibdeps.pl: Fix some variable name
	typos that lead to semantic errors. Also change
	the names of the variables to prevent such errors
	in the future.

2006-01-29  Frank Lichtenheld  <djpig@debian.org>

	* man/C/dpkg-scanpackages.1: Document new dpkg-scanpackages
	-m option added by Don Armstrong.
	* scripts/dpkg-scanpackages.pl: Fix some bugs introduced by
	the rewrite.

	* man/C/dpkg-source.1: Document that the -sX switches for
	dpkg-source are mutually exclusive and only one can be in
	effect.
	* scripts/dpkg-source.pl: Warn if more than one -sX switch
	is specified on the command line.

	* scripts/dpkg-source.pl: Make dpkg-source -b more robust
	regarding to existing symlinks by creating all files
	in secure temporary files and renaming them afterwards.
	This fixes problems with packages retrieved with
	apt-get source from local repositories.

2006-01-29  Don Armstrong  <don@debian.org>

	* scripts/dpkg-scanpackages.pl: Rewrite the script to support
	multiple versions of packages in a single Packages file;
	use Getopt::Long instead of attempting to parse the command line
	ourselves and doing it badly;
	get rid of unecessary hashes and arrays that aren't used at all;
	output help when given the --help/-h/-? options

2006-01-29  maximilian attems  <debian@sternwelten.at>

	* scripts/dpkg-source.pl: Add files and
	dirs used by bzr to $diff_ignore_default_regexp.

2006-01-29  Julian Gilbey  <jdg@debian.org>

	* scripts/dpkg-buildpackage.sh: Create .changes
	file even if signing .dsc file fails to make it
	easier to just sign the package later.

	* scripts/dpkg-buildpackage.sh: Change heuristics
	of gpg check so that it allows for more complex
	setups.

2006-01-29  Anand Kumria  <wildfire@progsoc.org>

	* scripts/dpkg-source.pl (checkdiff): Ignore comments
	hunk header line as used by diff -p.

2006-01-29  Guillem Jover  <guillem@debian.org>

	* utils/start-stop-daemon.c (do_help): Print the proper version
	giving it as an argument to printf, instead of printing 'VERSION'.

2006-01-29  Guillem Jover  <guillem@debian.org>

	* configure.ac: Bump version to 1.13.14~.

2006-01-28  Frank Lichtenheld  <djpig@debian.org>

	* configure.ac: Release 1.13.13.

2006-01-28  Guillem Jover  <guillem@debian.org>

	* scripts/dpkg-architecture.pl: Do not print the warning about a
	missmatch between gcc target machine type and GNU target system
	type if the actions are '-e' or '-i'.

2006-01-27  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-shlibdeps.pl: Honor LD_LIBRARY_PATH when
	searching for shared libraries.
	* scripts/dpkg-shlibdeps.pl: Don't recurse into package
	directories when searching for local shlibs files.

2006-01-26  Zefram  <zefram@fysh.org>,
	    Guillem Jover  <guillem@debian.org>

	* man/C/dpkg-query.1: Document the correct format string for
	the '--showformat' option. Update '-l' example. Lower case program
	name in title header.

2006-01-26  Christoph Maser  <cm@financial.com>

	* utils/start-stop-daemon.c (do_help): Fix typo ('-C' -> '-d').

2006-01-26  A Costa  <agcosta@gis.net>

	* man/C/dselect.1: Fix typos.

2006-01-26  Bastian Kleineidam  <calvin@debian.org>

	* man/C/dpkg.1: Document the --no-debsig option.

2006-01-26  Marc Haber  <mh+debian-packages@zugschlus.de>

	* man/C/dpkg-statoverride.8: Fix typo.

2006-01-24  Frank Lichtenheld  <djpig@debian.org>

	* debian/control (Section): dpkg and dselect are now in section
	admin, not section base. Correct info in the control file.
	(Standards-Version): Bump Standards-Version to 3.6.2 (no changes).

	* man/C/dpkg-architecture.1: Fix typo.

2006-01-23  Vasilis Vasaitis  <v.vasaitis@sms.ed.ac.uk>

	* utils/start-stop-daemon.c (pid_is_exec) [OSLinux]: Change function
	prototype to take a constant string instead of a struct stat. Compare
	the filename pointed by the '/proc/<pid>/exe' symlink, instead of the
	stat device and inode numbers. Fix all callers.

2006-01-23  Frank Lichtenheld  <djpig@debian.org>

	* scripts/dpkg-shlibdeps.pl: Rewrite of the script
